<?php
/**
 * Created by PhpStorm.
 * User: zain
 * Date: 3/15/2019
 * Time: 11:55 AM
 */

add_action('admin_head', 'ptsc_add_my_tc_button');
function ptsc_add_my_tc_button()
{
    global $typenow;
    // check user permissions
    if (!current_user_can('edit_posts') && !current_user_can('edit_pages')) {
        return;
    }
    // verify the post type
    if (!in_array($typenow, ['post', 'page'])) {
        return;
    }
    // check if WYSIWYG is enabled
    if (get_user_option('rich_editing') == 'true') {
        add_filter("mce_external_plugins", "ptsc_add_tinymce_plugin");
        add_filter('mce_buttons', 'ptsc_register_my_tc_button');
    }
}

function ptsc_add_tinymce_plugin($plugin_array)
{
    $plugin_array['ptsc_tc_button'] = PTSC_URL . '/admin/assets/js/shortcodes.js.php';
    return $plugin_array;
}


function ptsc_register_my_tc_button($buttons)
{
    array_push($buttons, "ptsc_tc_button");

    return $buttons;
}

add_action('wp_ajax_ptsc_verification', 'ptsc_verification');
function ptsc_verification()
{
    echo ptsc_verify_purchase($_POST);
    wp_die();
}

add_action('wp_ajax_ptsc_unverification', 'ptsc_unverification');
function ptsc_unverification()
{
    echo ptsc_unverify_purchase();
    wp_die();
}

add_action('wp_ajax_ptsc_get_requested_template', 'ptsc_get_requested_template');
function ptsc_get_requested_template()
{
    echo ptsc_get_temp_response($_POST);
    wp_die();
}

add_action('wp_ajax_ptsc_request_processor', 'ptsc_request_processor');
function ptsc_request_processor()
{
    $ptsc_what = (!empty($_POST['ptsc_what'])) ? esc_attr($_POST['ptsc_what']) : 'nothing';
    switch ($ptsc_what) {
        case "update_mode":

            if (update_option('w_mode', $_POST['w_mode'])) {
                $response['status'] = 'OK';
                $response['message'] = 'Working Mode Updated Successfully';
            } else {
                $response['status'] = 'Error';
                $response['message'] = 'Working Mode is not Updated, Please try again.';
            }
            break;
        case "save_general_settings":
            update_option('w_mode', isset($_POST['w_mode']) ? $_POST['w_mode'] : get_option('w_mode'));
            update_option('ptsc_description_separator', $_POST['ptsc_description_separator']);
            update_option('ptsc_primary_color', $_POST['ptsc_primary_color']);
            update_option('ptsc_secondary_color', $_POST['ptsc_secondary_color']);

            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! General Setting Saved Successfully';
            break;

        case "save_currency_settings":
            update_option('ptsc_default_currency', $_POST['ptsc_default_currency']);
            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! Currency Setting Saved Successfully';
            break;
        case "save_pice_settings":
            update_option('ptsc_thousand_separator', $_POST['ptsc_thousand_separator']);
            update_option('ptsc_decimal_separator', $_POST['ptsc_decimal_separator']);
            update_option('ptsc_decimals', $_POST['ptsc_decimals']);
            update_option('ptsc_price_not_configured_en_US', $_POST['ptsc_price_not_configured_en_US']);
            update_option('ptsc_duration_connector', $_POST['ptsc_duration_connector']);
            update_option('ptsc_price_zero_en_US', $_POST['ptsc_price_zero_en_US']);
            update_option('ptsc_show_trailing_zeros', $_POST['ptsc_show_trailing_zeros']);
            update_option('ptsc_duration_style', $_POST['ptsc_duration_style']);
            update_option('ptsc_duration_connector', $_POST['ptsc_duration_connector']);
            update_option('ptsc_override_string_price_due', $_POST['ptsc_override_string_price_due']);
            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! Price Setting Saved Successfully';
            break;

        case "save_billing_settings":
            update_option('ptsc_order_page_url', $_POST['ptsc_order_page_url']);
            update_option('invoice_due_days', $_POST['invoice_due_days']);
            update_option('invoice_generated_before_days', $_POST['invoice_generated_before_days']);
            update_option('invoice_prefix', $_POST['invoice_prefix']);
            update_option('invoice_start', $_POST['invoice_start']);
            update_option('gp_api', $_POST['gp_api']);
            update_option('order_comp_msg', $_POST['order_comp_msg']);
            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! Billing Setting Saved Successfully';
            break;


        case "save_social_settings":
            update_option('ptsc_google_client_id', $_POST['ptsc_google_client_id']);
            update_option('ptsc_show_google_login', $_POST['ptsc_show_google_login']);
            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! Social Setting Saved Successfully';
            break;

        case "save_email_settings":
            update_option('ptsc_email_sender', $_POST['ptsc_email_sender']);
            update_option('ptsc_email_sender_email', $_POST['ptsc_email_sender_email']);
            update_option('ptsc_email_styling', $_POST['ptsc_email_styling']);
            update_option('ptsc_email_header_content', $_POST['ptsc_email_header_content']);
            update_option('ptsc_email_footer_content', $_POST['ptsc_email_footer_content']);
            update_option('Ptsc_email_signature', $_POST['Ptsc_email_signature']);
            update_option('ptsc_enabel_emmail_option', $_POST['ptsc_enabel_emmail_option']);
            update_option('enable_order-confirmation', $_POST['enable_order-confirmation']);
            update_option('enable_invoice-generated', $_POST['enable_invoice-generated']);
            update_option('enable_admin_emails', $_POST['enable_admin_emails']);
            update_option('enable_invoice-paid', $_POST['enable_invoice-paid']);
            update_option('enable_contact-form', $_POST['enable_contact-form']);
            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! Email Setting Saved Successfully';
            break;

        case 'save_payment_methods':

            //~~ Save Bank Transfer
            update_option('ptsc_bank_transfer_display_name', $_POST['ptsc_bank_transfer_display_name']);
            update_option('ptsc_bank_transfer_name', $_POST['ptsc_bank_transfer_name']);
            update_option('ptsc_bank_transfer_payee', $_POST['ptsc_bank_transfer_payee']);
            update_option('ptsc_bank_transfer_sort_code', $_POST['ptsc_bank_transfer_sort_code']);
            update_option('ptsc_bank_transfer_ac_number', $_POST['ptsc_bank_transfer_ac_number']);
            update_option('ptsc_pg_bank_transfer', $_POST['ptsc_pg_bank_transfer']);

            //~~ Save PayPal settings
            update_option('ptsc_pg_paypal', $_POST['ptsc_pg_paypal']);
            update_option('ptsc_paypal_gateway', $_POST['ptsc_paypal_gateway']);
            update_option('ptsc_paypal_display_name', $_POST['ptsc_paypal_display_name']);
            update_option('ptsc_paypal_email', $_POST['ptsc_paypal_email']);
            update_option('ptsc_enable_pg', $_POST['ptsc_enable_pg']);
            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! Payment Setting Saved Successfully';
            break;


        case "save_company_settings":
            update_option('ptsc_Company_name_url', $_POST['ptsc_Company_name_url']);
            update_option('ptsc_Company_name', $_POST['ptsc_Company_name']);
            update_option('ptsc_company_domain', $_POST['ptsc_company_domain']);
            update_option('ptsc_Company_details', $_POST['ptsc_Company_details']);
            update_option('ptsc_Company_address_one', $_POST['ptsc_Company_address_one']);
            update_option('ptsc_Company_address_tow', $_POST['ptsc_Company_address_tow']);
            update_option('ptsc_country_name', $_POST['ptsc_country_name']);
            update_option('ptsc_city_name', $_POST['ptsc_city_name']);
            update_option('ptsc_postal_code', $_POST['ptsc_postal_code']);
            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! Company Setting Saved Successfully';
            break;

        case "save_client_fields":
            update_option('ptsc_client_last_name', $_POST['ptsc_client_last_name']);
            update_option('ptsc_client_number', $_POST['ptsc_client_number']);
            update_option('ptsc_client_company_name', $_POST['ptsc_client_company_name']);
            update_option('ptsc_client_password', $_POST['ptsc_client_password']);
            update_option('ptsc_client_address1', $_POST['ptsc_client_address1']);
            update_option('ptsc_client_address2', $_POST['ptsc_client_address2']);
            update_option('ptsc_client_country', $_POST['ptsc_client_country']);
            update_option('ptsc_client_state', $_POST['ptsc_client_state']);
            update_option('ptsc_client_city', $_POST['ptsc_client_city']);
            update_option('ptsc_client_dob', $_POST['ptsc_client_dob']);
            update_option('ptsc_client_profession', $_POST['ptsc_client_profession']);
            update_option('ptsc_client_investment_budget', $_POST['ptsc_client_investment_budget']);
            update_option('ptsc_client_cnic', $_POST['ptsc_client_cnic']);
            update_option('ptsc_client_remarks', $_POST['ptsc_client_remarks']);
            update_option('ptsc_client_last_name_required', $_POST['ptsc_client_last_name_required']);
            update_option('ptsc_client_last_name_label', $_POST['ptsc_client_last_name_label']);
            update_option('ptsc_phone_number_required', $_POST['ptsc_phone_number_required']);
            update_option('ptsc_company_name_required', $_POST['ptsc_company_name_required']);
            update_option('ptsc_client_password_required', $_POST['ptsc_client_password_required']);
            update_option('ptsc_address_1_required', $_POST['ptsc_address_1_required']);
            update_option('ptsc_address_2_required', $_POST['ptsc_address_2_required']);
            update_option('ptsc_country_field_required', $_POST['ptsc_country_field_required']);
            update_option('ptsc_state_field_required', $_POST['ptsc_state_field_required']);
            update_option('ptsc_city_field_required', $_POST['ptsc_city_field_required']);
            update_option('ptsc_date_field_required', $_POST['ptsc_date_field_required']);
            update_option('ptsc_client_profession_field_required', $_POST['ptsc_client_profession_field_required']);
            update_option('ptsc_client_investment_field_required', $_POST['ptsc_client_investment_field_required']);
            update_option('ptsc_client_cnic_field_required', $_POST['ptsc_client_cnic_field_required']);
            update_option('ptsc_client_remarks_field_required', $_POST['ptsc_client_remarks_field_required']);
            update_option('ptsc_phone_number_label', $_POST['ptsc_phone_number_label']);
            update_option('ptsc_company_name_label', $_POST['ptsc_company_name_label']);
            update_option('ptsc_client_password_label', $_POST['ptsc_client_password_label']);
            update_option('ptsc_address_1_label', $_POST['ptsc_address_1_label']);
            update_option('ptsc_address_2_label', $_POST['ptsc_address_2_label']);
            update_option('ptsc_country_field_label', $_POST['ptsc_country_field_label']);
            update_option('ptsc_state_field_label', $_POST['ptsc_state_field_label']);
            update_option('ptsc_city_field_label', $_POST['ptsc_city_field_label']);
            update_option('ptsc_date_field_label', $_POST['ptsc_date_field_label']);
            update_option('ptsc_client_profession_field_label', $_POST['ptsc_client_profession_field_label']);
            update_option('ptsc_client_investment_field_label', $_POST['ptsc_client_investment_field_label']);
            update_option('ptsc_client_cnic_field_label', $_POST['ptsc_client_cnic_field_label']);
            update_option('ptsc_client_remarks_field_label', $_POST['ptsc_client_remarks_field_label']);

            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! client Setting Saved Successfully';
            break;

        case "save_terms_services_fields":
            update_option('ptsc_tc_text', $_POST['ptsc_tc_text']);
            update_option('ptsc_tc_link', $_POST['ptsc_tc_link']);
            update_option('show_tc', $_POST['show_tc']);
            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! Terms Services Setting Saved Successfully';
            break;

        case 'ptsc_update_mode':
            update_option('ptsc_mode_detector','1');
            update_option('w_mode',$_POST['mode_value']);

            //~~ Creating the Order page when client select display and sell mode
            if($_POST['mode_value'] == 'display_and_sell'){
                global $wpdb;

                if (null === $wpdb->get_row("SELECT post_name FROM {$wpdb->prefix}posts WHERE post_name = 'makli-checkout'", 'ARRAY_A')) {

                    $current_user = wp_get_current_user();

                    // create post object
                    $page = array(
                        'post_title' => __('Makli Checkout'),
                        'post_status' => 'publish',
                        'post_author' => $current_user->ID,
                        'post_type' => 'page',
                        'post_content' => '[ptsc_cart_single_page style=’01_default’]'
                    );

                    // insert the post into the database
                    wp_insert_post($page);
                    update_option("ptsc_order_page_url", get_permalink(get_page_by_path('makli-checkout')));
                }
            }

            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! Mode has been updated successfully';
            break;

        case 'ptsc_import_demo':

            //~~ Importing Data and creating a demo page

            global $wpdb;
            $ptsc = new PTSC();

            //~~ Adding Demo Service
            $demo_data = array(
                "demo-1" => array(
                    'product_description' => '225 Mb Diskspace
               1 Database
               15 Email Accounts',
                    'formatted_product_description' => 'Diskspace: 225 Mb
               Database:1
               Email Accounts:15',
                    'pay_type' => 'recurring',
                    'order_url' => 'https://google.com',
                    'product_button_text' => 'Order Now'
                ),
                "demo-2" => array(
                    'product_description' => '250 Mb Diskspace
               2 Database
               30 Email Accounts',
                    'formatted_product_description' => 'Diskspace: 250 Mb
               Database:2
               Email Accounts:30',
                    'pay_type' => 'recurring',
                    'order_url' => 'https://google.com',
                    'product_button_text' => 'Order Now'
                ),
            );

            $counter = 0;
            foreach ($demo_data as $demo_name => $demo_value) {
                $data = [
                    'product_name' => $demo_name,
                    'product_description' => $demo_value['product_description'],
                    'formatted_product_description' => $demo_value['formatted_product_description'],
                    'pay_type' => $demo_value['pay_type'],
                    'order_url' => $demo_value['order_url'],
                    'product_button_text' => $demo_value['product_button_text']
                ];

                if ($ptsc->ptsc_products->ptsc_get_by('product_name', $demo_name)) {
                    $ptsc->ptsc_products->ptsc_delete_on('product_name', $demo_name);
                }
                //~~ Adding product values
                $result[$counter] = $ptsc->ptsc_products->ptsc_add($data);


                //~~ Adding Product Pricing
                $data_price = [
                    "currency" => 1,
                    "relid" => $result[$counter],
                    'msetupfee' => '0',
                    'qsetupfee' => '0',
                    'ssetupfee' => '0',
                    'asetupfee' => '0',
                    'bsetupfee' => '0',
                    'tsetupfee' => '0',
                    'monthly' => 10,
                    'monthly_url' => '',
                    'quarterly' => 0,
                    'quarterly_url' => '',
                    'semiannually' => 0,
                    'semiannually_url' => '',
                    'annually' => 100,
                    'annually_url' => '',
                    'biennially' => 0,
                    'biennially_url' => '',
                    'triennially' => 0,
                    'triennially_url' => '',
                ];
                $action = $ptsc->ptsc_pricing->ptsc_add($data_price);

                $counter++;
            }

            //~~ Adding widgets
            $shortcodes = ['group pricing table', 'pricing slider'];

            $group_counter = 0;
            foreach ($shortcodes as $sc) {
                $data = [
                    'prod_count' => 'multi',
                    'shortcode' => $sc,
                    'name' => $sc,
                    'rows' => 50,
                    'product_vendor' => 'ptsc_prods',
                    'product_section' => 'wc_desc',
                    'woo_prods_ids' => '',
                    'save' => '',
                    'ribbon_text' => 'Most Popular',
                    'product' => $result,
                    'enable_tooltips' => 1,
                    'show_discount' => 'yes',
                    'button_text' => 'Buy Now',
                    'template_file' => 'default/default.tpl',
                    'billingcycle' => 'monthly',
                    'billingcycle2' => '',
                    'billingcycle3' => '',
                    'billingcycle4' => 'annually',
                    'billingcycle5' => '',
                    'billingcycle6' => '',
                    'duration_style' => 'short',
                    'monthly_overide_string' => '',
                    'quarterly_overide_string' => '',
                    'semiannually_overide_string' => '',
                    'annually_overide_string' => '',
                    'biennially_overide_string' => '',
                    'triennially_overide_string' => '',
                    'single_pricing_table_template_file' => '',
                    'single_pricing_table_custom_text' => 'All prices in Excl',
                    'single_pricing_table_rows' => 50,
                    'single_pricing_table_hide_width' => '',
                    'jumbotron_template_file' => 'default/default.tpl',
                    'jumbotron_custom_text' => 'All prices in Excl',
                    'jumbotron_rows' => 50,
                    'jumbotron_hide_width' => '',
                    'section_table_template_file' => '',
                    'section_table_custom_text' => 'All prices in Excl',
                    'section_table_rows' => 50,
                    'section_table_hide_width' => '',
                    'tabs_table_template_file' => '',
                    'tabs_table_rows' => 50,
                    'toggle_style' => 'radio_button',
                    'tabs_table_hide_width' => '',
                    'tabs_table_enable_table_carousel' => 0,
                    'tabs_table_custom_text' => 'All prices in Excl',
                    'carousel_table_template_file' => 'default/default.tpl',
                    'carousel_table_rows' => 50,
                    'carousel_table_hide_width' => '',
                    'carousel_table_enable_table_carousel' => 0,
                    'carousel_table_custom_text' => 'All prices in Excl',
                    'group_pricing_table_template_file' => 'default/advance-01-mod-group.tpl',
                    'group_pricing_table_rows' => 50,
                    'group_pricing_table_hide_width' => '',
                    'group_pricing_table_enable_table_carousel' => 0,
                    'group_pricing_table_custom_text' => 'All prices in Excl',
                    'comparison_table_template_file' => 'default/default.tpl',
                    'comparison_table_rows' => 50,
                    'comparison_table_hide_width' => '',
                    'pricing_slider_template_file' => 'default/default.tpl',
                    'pricing_slider_rows' => 6,
                    'pricing_slider_hide_width' => '',
                    'description_separator' => ':',
                    'convert_to_symbol' => 0,
                    'convert_yes_with' => 'fa-check',
                    'convert_no_with' => 'fa-close',
                ];

                //~~ Adding group to DB
                $group_response = $ptsc->ptsc_group->ptsc_add($data);

                $sc_ids[$group_counter] = $group_response;
                $group_counter++;

                //~~ Adding product data to group details
                foreach ($data["product"] as $product_id) {
                    $Record["product_id"] = $product_id;
                    $Record["group_id"] = $group_response;
                    $Record["order_by"] = 0;
                    $Record["font_awesome"] = "";
                    $Record['featured'] = 0;
                    $response_plans = $ptsc->ptsc_group_detail->ptsc_add($Record);
                }

            }

            //~~ Creating Demo page if not exist
            if (null === $wpdb->get_row("SELECT post_name FROM {$wpdb->prefix}posts WHERE post_name = 'makli-ecommerce-demo-page'", 'ARRAY_A')) {
                $current_user = wp_get_current_user();
                // create post object
                $page = array(
                    'post_title' => __('Makli eCommerce Demo Page'),
                    'post_status' => 'publish',
                    'post_author' => $current_user->ID,
                    'post_type' => 'page',
                    'post_content' => '
            [makli_pricing_table_group id="' . $sc_ids[0] . '"]
            [makli_order_slider id="' . $sc_ids[1] . '"]
            '
                );

                // insert the post into the database
                wp_insert_post($page);
            }
            else {

                //~~ update page if already exist
                $post_id = $wpdb->get_row("SELECT ID FROM {$wpdb->prefix}posts WHERE post_name = 'makli-ecommerce-demo-page'", 'ARRAY_A');
                $page = array(
                    'ID' => $post_id['ID'],
                    'post_content' => '
            [makli_pricing_table_group id="' . $sc_ids[0] . '"]
            [makli_order_slider id="' . $sc_ids[1] . '"]
            '
                );
                wp_update_post($page);

            }

            update_option('ptsc_demo_imported',1);
            $demo_page_url = get_site_url().'/makli-ecommerce-demo-page';
            $response['status'] = 'OK';
            $response['message'] = " Congratulations!! Demo Data imported successfully, <a target='_blank' href='.$demo_page_url.'>View Demo Page</a> <i class='fa fa-external-link'></i>";

            break;

        case "save_ecommerce_general_settings":
            update_option('ptsc_order_page_url', $_POST['ptsc_order_page_url']);
            update_option('gp_api', $_POST['gp_api']);
            update_option('order_comp_msg', $_POST['order_comp_msg']);
            $response['status'] = 'OK';
            $response['message'] = ' Congratulations!! eCommerce General Setting Saved Successfully';
            break;

        default:
            $response['message'] = 'Something went wrong. Please try again later';
            $response['status'] = "Error";
    }
    echo json_encode($response, JSON_FORCE_OBJECT);
    die();
}