<?php
?>


<?php
/**
 * Used to add coupon code
 *
 */
?>
<?php
global $wpdb;
$ptsc = new PTSC();
$published_status = isset($_GET['edit']) ? esc_html__('Active', 'admin', 'ptsc') : esc_html__('Not Active', 'admin', 'ptsc');
$products = $ptsc->ptsc_products->ptsc_select();

//~~ Setting Default values
$coupon_data = array();
$coupon_data['coupon_id'] = '';
$coupon_data['coupon_code'] = '';
$coupon_data['type'] = '';
$coupon_data['value'] = '';
$coupon_data['max_uses'] = '';
$coupon_data['uses'] = 0;
$coupon_data['start_date'] = '';
$coupon_data['expire_date'] = '';
$coupon_data['notes'] = '';
$coupon_data['activate'] = '';
//~~ Getting data for relevant coupon
if (isset($_GET['edit'])) {
    $coupon_id = $_GET['edit'];
    $coupon_data = $ptsc->ptsc_coupons->ptsc_get($coupon_id);
}

//~ Data submitted for add
if (isset($_POST["save_coupon"])) {

    $all_coupons = $ptsc->ptsc_coupons->ptsc_select();

    if (isset($_POST["c_code"])) {
        $coupon_data["coupon_code"] = $_POST["c_code"];
    }
    if (isset($_POST["c_type"])) {
        $coupon_data["type"] = $_POST["c_type"];
    }
    if (isset($_POST["c_value"])) {
        $coupon_data["value"] = $_POST["c_value"];
    }
    if (isset($_POST["c_users"])) {
        $coupon_data["max_uses"] = $_POST["c_users"];
    }
    if (isset($_POST["products_attached"])) {
        $products_imploded = implode(',',$_POST['products_attached']);
        $coupon_data["products"] = $products_imploded;
    }
    if (isset($_POST["c_start_date"])) {
        $coupon_data["start_date"] = $_POST["c_start_date"];
    }
    if (isset($_POST["c_expire_date"])) {
        $coupon_data["expire_date"] = $_POST["c_expire_date"];
    }
    if (isset($_POST["c_notes"])) {
        $coupon_data["notes"] = $_POST["c_notes"];
    }
    if (isset($_POST["c_status"])) {
        $coupon_data['activate'] = $_POST["c_status"];
    }else{
        $coupon_data['activate'] = 0;
    }

    if (isset($_GET["edit"])) {
        $response_edit = $wpdb->update(ptsc_get_coupons_table_name(), $coupon_data, ["coupon_id" => $_GET["edit"]]);
    } else {
        $start_date = new DateTime($coupon_data["start_date"]);
        $expire_date = new DateTime($coupon_data["expire_date"]);
        foreach ($all_coupons as $coupon){
            if($coupon['coupon_code'] == $_POST["c_code"]){
                $coupon_message = "Coupon already exist";
            }
        }
        if(!empty($coupon_message)){
            $message = $coupon_message;
        }
        elseif ($expire_date < $start_date){
            $message = esc_html_x("Expire Date is lesser than start date", "admin", "ptsc");
        }else {
            $response_add = $wpdb->insert(ptsc_get_coupons_table_name(), $coupon_data);
        }
    }
    ?>

    <!-- Tooltip Save Message Starts Here -->
    <?php
    if (!empty($response_add)) {
        $message = "Coupon Code saved successfully";
    } elseif (!empty($response_edit)) {
        $message = "Coupon Code updated successfully";
    } else {
        $message = !empty($message) ? $message : esc_html_x("Something went wrong", "admin", "ptsc");
    }
    ?>

    <!-- Show Message -->
    <?php if(!empty($coupon_message)){ ?>
        <div class='notice notice-error'><p><?php echo $message ?></p></div>
    <?php }else{ ?>
        <div class='updated'><p><?php echo $message ?></p></div>
    <?php } ?>
<?php }
?>

<div class="wrap">
    <!-- Page Heading Starts Here  -->
    <div class="">
        <h1 class="wp-heading-inline">
            <?php echo esc_html_x("Add New Coupon", "admin", "ptsc"); ?>
        </h1>
        <a class='page-title-action' href="?page=ptsc-coupons">
            <span class="ptsc_icon ptsc_icon_left-dir"></span><?php echo esc_html_x(" Back to List", "admin", "ptsc"); ?>
        </a>
        <hr class="wp-header-end">
    </div>


    <!-- Page Body Starts Here  -->
    <div class="ptsc_panel_body">
        <form action="" method="post">
            <input type="hidden" name="id" value="0"/>
            <div id="poststuff">
                <div id="post-body" class="metabox-holder columns-2">
                    <div id="post-body-content">

                        <div id="titlediv">
                            <div id="titlewrap">
                                <!-- Tooltip Name -->
                                <div class="ptsc_form_field ptsc_form_field_horizontal" style="padding-top: 0;">
                                    <input required="required" name="c_code" id="c_code" value="<?php echo $coupon_data['coupon_code'] ?>"
                                           placeholder="<?php echo esc_html_x('Coupon Code', 'admin', 'ptsc') ?>"
                                           style="float: none; width: 100%; max-width: 100%"/>
                                    <small class=""><?php echo esc_html_x("*Enter a Coupon Code", "admin", "ptsc") ?>
                                        .
                                    </small>
                                </div>
                            </div>
                        </div>
                    </div><!-- /post-body-content -->

                    <div id="postbox-container-1" class="postbox-container">
                        <div id="side-sortables" class="meta-box-sortables ui-sortable">
                            <div CLASS="postbox">
                                <div class="postbox-header">
                                    <h2 class="hndle ui-sortable-handle">Save</h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                class="screen-reader-text">Toggle panel: Details</span><span
                                                class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside" style="padding: 0;">
                                    <div>
                                        <div id="misc-publishing-actions">
                                            <div class="misc-pub-section misc-pub-post-status">
                                                Status: <span
                                                    id="post-status-display"><?php echo $published_status ?></span>
                                            </div>

                                        </div>

                                        <div id="major-publishing-actions">

                                            <div id="publishing-action">
                                                <!-- Save and Cancel Button -->
                                                <a href="?page=ptsc-coupons"
                                                   class="button"><?php echo esc_html_x('Cancel', 'admin', 'ptsc') ?></a>
                                                <input type="submit" name="save_coupon" value="Save Coupon"
                                                       class="button button-primary"/>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="postbox-container-2" class="postbox-container">
                        <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                            <div class="postbox">
                                <div class="postbox-header">
                                    <h2 class="hndle ui-sortable-handle">Details</h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                class="screen-reader-text">Toggle panel: Details</span><span
                                                class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside">
                                    <!-- coupon Type -->
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="glink"><strong><?php echo esc_html_x('Type', 'admin', 'ptsc') ?></strong></label>
                                        <select name="c_type" id="c_type">
                                            <option selected="selected">Select</option>
                                            <option <?php echo $coupon_data['type'] == 'amount' ? "selected=selected":''  ?> value="amount" >Amount</option>
                                            <option <?php echo $coupon_data['type'] == 'percentage' ? "selected=selected":''  ?> value="percentage">Percentage</option>
                                        </select>
                                    </div>

                                    <!-- Coupon Value -->
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="c_value"><strong><?php echo esc_html_x('Value', 'admin', 'ptsc') ?></strong></label>
                                        <input type="number" name="c_value" id="c_value" value="<?php echo $coupon_data['value'] ?>"
                                               placeholder="<?php echo esc_html_x('Discount price/percentage', 'admin', 'ptsc') ?>"/>
                                    </div>
                                    <!-- Number of user -->
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="c_users"><strong><?php echo esc_html_x('Maximum Uses', 'admin', 'ptsc') ?></strong></label>
                                        <input type="number" name="c_users" id="c_users" value="<?php echo $coupon_data['max_uses'] ?>"
                                               placeholder="<?php echo esc_html_x('Maximum Uses', 'admin', 'ptsc') ?>"/>
                                    </div>

                                    <!-- Products attached with coupons -->
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="products_attached"><strong><?php echo esc_html_x('Products', 'admin', 'ptsc') ?></strong></label>
                                        <select name="products_attached[]" id="products_attached" multiple="multiple">
                                            <?php foreach ($products as $prod){ ?>
                                                <?php $selected =  in_array(strtolower($prod['product_name']),explode(',',$coupon_data['products'])) ? "selected" :"" ?>
                                                <option value="<?php echo strtolower($prod['product_name']) ?>" <?php echo $selected ?>><?php echo $prod['product_name'] ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>

                                    <!-- Start Date  -->
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="c_start_date"><strong><?php echo esc_html_x('Start Time', 'admin', 'ptsc') ?></strong></label>
                                        <input type="date" name="c_start_date" id="c_start_date" value="<?php echo $coupon_data['start_date'] ?>"/>
                                    </div>
                                    <!-- End Date  -->
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="c_expire_date"><strong><?php echo esc_html_x('End Date', 'admin', 'ptsc') ?></strong></label>
                                        <input type="date" name="c_expire_date" id="c_expire_date" value="<?php echo $coupon_data['expire_date'] ?>"/>
                                    </div>

                                    <!-- Note -->
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="c_notes"><strong><?php echo esc_html_x('Notes', 'admin', 'ptsc') ?></strong></label>
                                        <textarea
                                            placeholder="<?php echo esc_html_x('Note', 'admin', 'ptsc') ?>"
                                            id="c_notes" name="c_notes"><?php echo $coupon_data['notes'] ?></textarea>
                                    </div>

                                    <!-- Activate or not -->
                                    <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <label for="c_status"><strong><?php echo esc_html_x('Activate?', 'admin', 'ptsc') ?></strong></label>
                                        <input type="checkbox" name="c_status"
                                               value="1" <?php if ($coupon_data['activate'] == 1)
                                            echo "checked='checked'" ?>>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div><!-- /post-body -->
                    <br class="clear">
                </div>
            </div>


        </form>
    </div>
    <!--</div>-->
</div>