<?php
/**
 * Created by PhpStorm.
 * User: Sajid
 * Date: 2/2/2021
 * Time: 12:29 PM
 */

$published_status =  esc_html__('Pending', 'admin', 'ptsc');

require_once(PTSC_PATH . '/classes/ptsc.php');
$ptsc = new PTSC();
$action_message = '';
$date = date('Y-m-d');
$invoice_date_default = date('Y-m-d', strtotime($date . ' -' . get_option('invoice_generated_before_days') . ' days'));
$invoice_due_date_default = date('Y-m-d', strtotime($date . ' +' . get_option('invoice_due_days') . ' days'));
$payment_gateways = ptsc_get_all_payment_gateways();
ppa($payment_gateways);
//~~ Default Values
$invoice_no = '';
$invoice_date = '';
$invoice_due_date = '';
$cancel_date = '';
$refund_date = '';
$inv_status = '';
$pay_method = '';
$client_name = '';
$client_email = '';
$item_desc = '';
$inv_amount = '';

if (isset($_GET['edit'])) {
    $invoice_heading = "Manage Invoice";
    $invoice_data = $ptsc->ptsc_invoices->ptsc_get_by('id', $_GET['edit']);
    $invoice_data = $invoice_data[0];


    //~~ Getting Invoice Status
    $published_status =  $invoice_data['status'];

    //~~ Getting invoice data
    $invoice_no = isset($_POST['Invoice_number']) ? $_POST['Invoice_number'] : $invoice_data['invoice_no'];
    $invoice_date = isset($_POST['inv_opt_date']) ? $_POST['inv_opt_date'] : $invoice_data['invoice_date'];
    $user_id = $invoice_data['user_id'];

    //~~ Converting datetime to desired format
    $d = new DateTime($invoice_date);
    $invoice_date = $d->format('Y-m-d');

    $invoice_due_date = $invoice_data['due_date'];

    //~~ Converting datetime to desired format
    $d = new DateTime($invoice_due_date);
    $invoice_due_date = $d->format('Y-m-d');

    $cancel_date = (isset($_POST['inv_status']) && ($_POST['inv_status'] == 'Cancelled')) ? date('Y/m/d H:i:s') : $invoice_data['cancel_date'];
    $refund_date = (isset($_POST['inv_status']) && ($_POST['inv_status'] == 'Refunded')) ? date('Y/m/d H:i:s') : $invoice_data['refund_date'];
    $inv_status = (isset($_POST['inv_status'])) ? $_POST['inv_status'] : $invoice_data['status'];
    $pay_method = (isset($_POST['pay_method'])) ? $_POST['pay_method'] : $invoice_data['payment_method'];

    //~~ Getting Client Data associated with the invoice
    $inv_user_data = $ptsc->ptsc_users->ptsc_get_by('wp_id', $invoice_data['user_id']);
    $inv_user_data = isset($inv_user_data[0])?$inv_user_data[0]:[];


    $client_name = isset($inv_user_data['user_name'])?$inv_user_data['user_name']:'';
    $client_email = isset($inv_user_data['email'])?$inv_user_data['email']:'';

    //~~ Getting Invoice Items
    $inv_item_desc = $ptsc->ptsc_invoice_items->ptsc_get_by('invoice_id', $invoice_data['id']);
    $inv_item_desc = $inv_item_desc[0];


    $item_desc = isset($_POST['ptsc_invoice_item_description']) ? htmlspecialchars($_POST['ptsc_invoice_item_description']) : $inv_item_desc['item_descriptions'];
    $inv_amount = isset($_POST['invoice_amount']) ? $_POST['invoice_amount'] : $inv_item_desc['amount'];


    if (isset($_POST['save_client_invoice'])) {

        //~~ Accepting Order if checked the checkbox
        /*if (isset($_POST['accept_inv_order'])){

        }*/


        //~~ Add invoice data
        $client_invoice_data = [
            'user_id' => $user_id,
            'invoice_no' => $invoice_no,
            'cur_id' => 1,
            'invoice_date' => $invoice_date,
            'due_date' => $invoice_due_date,
            'date_paid' => '0000-00-00',
            'last_capture_attempt' => date('Y/m/d H:i:s'),
            'refund_date' => $refund_date,
            'cancel_date' => $cancel_date,
            'sub_total' => $inv_amount,
            'tax' => 0,
            'tax_rate' => 0.00,
            'total' => $inv_amount,
            'status' => $inv_status,
            'payment_method' => $pay_method,
            'created_date' => date('Y/m/d H:i:s'),
            'updated_date' => date('Y/m/d H:i:s'),
            'notes' => '',
        ];

        $inv_opt_response = $ptsc->ptsc_invoices->ptsc_update($invoice_data['id'], $client_invoice_data);

        //~~ Getting Invoice Status
        $published_status =  $inv_status;

        if (get_option('enable_invoice-paid') == 1) {
            if ($inv_status == "Paid") {
                $client_data = [
                    'client_name' => $client_name,
                    'client_email' => $client_email,
                    'signature' => get_option('Ptsc_email_signature'),
                    'company_name' => get_option('ptsc_Company_name'),
                    'company_domain' => get_option('ptsc_company_domain'),
                    'company_logo' => get_option('ptsc_Company_name_url'),
                    'email_header' => get_option('ptsc_email_header_content'),
                    'email_footer' => get_option('ptsc_email_footer_content')
                ];
                do_action('ptsc_invoice_paid', $invoice_data, $client_data);
            }
        }

        //~~ Updating Item description

        //== Add invoice items data
        $client_invoice_items = [
            'invoice_id' => $inv_item_desc['invoice_id'],
            'user_id' => $inv_item_desc['user_id'],
            'item_descriptions' => $item_desc,
            'amount' => $inv_amount,
            'notes' => ''
        ];

        $client_inv = $ptsc->ptsc_invoice_items->ptsc_update($inv_item_desc['id'], $client_invoice_items);
        if ($client_inv) {
            $action_message = esc_html_x("Invoice Updated Successfully", 'admin', 'ptsc');

        }


    }

}
elseif (isset($_GET['user_id'])) {
    $invoice_heading = "Add Invoice";
    $user_id = $_GET['user_id'];
    if (!empty($user_id)) {
        $user_data = $ptsc->ptsc_users->ptsc_get_by('wp_id', $user_id);
        $user_data = $user_data['0'];

        //~~ Getting all invoice data
        $invoice_no = isset($_POST['Invoice_number']) ? $_POST['Invoice_number'] : '';
        $invoice_date = !empty($_POST['inv_opt_date']) ? $_POST['inv_opt_date'] : '0000-00-00';

        $invoice_due_date = !empty($_POST['inv_op_due']) ? $_POST['inv_op_due'] : '0000-00-00';
        $cancel_date = (isset($_POST['inv_status']) && ($_POST['inv_status'] == 'Cancelled')) ? date('Y/m/d') : '0000-00-00';
        $refund_date = (isset($_POST['inv_status']) && ($_POST['inv_status'] == 'Refunded')) ? date('Y/m/d') : '0000-00-00';
        $inv_status = (isset($_POST['inv_status'])) ? $_POST['inv_status'] : '';
        $pay_method = (isset($_POST['pay_method'])) ? $_POST['pay_method'] : '';

        //~~ Getting Invoice Items
        $item_desc = isset($_POST['ptsc_invoice_item_description']) ? htmlspecialchars($_POST['ptsc_invoice_item_description']) : '';
        $inv_amount = isset($_POST['invoice_amount']) ? $_POST['invoice_amount'] : '';

        //~~ Getting User Data
        $client_name = $user_data['user_name'];
        $client_email = $user_data['email'];

        //~~ If the Invoice Options are saved
        if (isset($_POST['save_client_invoice'])) {

            //== Add invoice data
            $client_invoice_data = [
                'user_id' => $user_id,
                'invoice_no' => $invoice_no,
                'cur_id' => 1,
                'invoice_date' => $invoice_date,
                'due_date' => $invoice_due_date,
                'date_paid' => '0000-00-00',
                'last_capture_attempt' => date('Y/m/d H:i:s'),
                'refund_date' => $refund_date,
                'cancel_date' => $cancel_date,
                'sub_total' => $inv_amount,
                'tax' => 0,
                'tax_rate' => 0.00,
                'total' => $inv_amount,
                'status' => $inv_status,
                'payment_method' => $pay_method,
                'created_date' => date('Y/m/d H:i:s'),
                'updated_date' => date('Y/m/d H:i:s'),
                'notes' => '',
            ];

            $inv_opt_response = $ptsc->ptsc_invoices->ptsc_add($client_invoice_data);
            if ($inv_opt_response) {

                //~~ Getting Invoice Status
                $published_status =  $inv_status;

                //~~ Add invoice data
                $client_invoice_items = [
                    'invoice_id' => $inv_opt_response,
                    'user_id' => $user_id,
                    'item_descriptions' => $item_desc,
                    'amount' => $inv_amount,
                    'notes' => ''
                ];

                $client_inv = $ptsc->ptsc_invoice_items->ptsc_add($client_invoice_items);
                if ($client_inv) { ?>
                    <script> window.location = 'admin.php?page=ptsc-invoice'; </script>
                    <?php $action_message = esc_html_x("Invoice created successfully", 'admin', 'ptsc');
                }
            } else {
                $action_message = esc_html_x("Something went wrong", 'admin', 'ptsc');
            }


        }


    }
}
?>
<?php if ($action_message){ ?>
<div class='updated'><p><?php echo $action_message ?> </p></div>
<?php } ?>
<div class="wrap">
    <?php $path = "admin.php?page=ptsc-orders"; ?>
    <div class="">
        <h1 class="wp-heading-inline">
            <?php echo isset($invoice_heading) ? $invoice_heading : 'Manage Invoice' ?>
        </h1>
        <a class="page-title-action" href="admin.php?page=ptsc-invoice"><span
                    class="lnr lnr-list"></span><?php echo esc_html_x(" All Invoice", "admin", "ptsc"); ?>
        </a>
        <hr class="wp-header-end">
    </div>

    <form action="" method="post">
        <div class="ptsc_panel_body">
            <div id="poststuff" class="ptsc_add_invoice_page">
                <div id="post-body" class="metabox-holder columns-2">
                    <div id="postbox-container-1" class="postbox-container">
                        <div id="side-sortables"  class="meta-box-sortables ui-sortable">
                            <div CLASS="postbox">
                                <div class="postbox-header">
                                    <h2 class="hndle ui-sortable-handle">Save</h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                    class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                    class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                    class="screen-reader-text">Toggle panel: Details</span><span
                                                    class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside" style="padding: 0;">
                                    <div>
                                        <div id="misc-publishing-actions">
                                            <div class="misc-pub-section misc-pub-post-status">
                                                Status: <span
                                                        id="post-status-display"><?php echo $published_status ?></span>
                                            </div>
                                            <?php /*if (isset($_GET['edit'])){ */?><!--
                                            <div class="misc-pub-section misc-pub-post-status">
                                                <label>
                                                <input type="checkbox" name="accept_inv_order" value="Accept Order">
                                                <?php /*echo esc_html_x('Accept Order','admin','ptsc') */?>
                                                </label>
                                            </div>
                                            --><?php /* } */?>

                                        </div>
                                        <div class="inside" id="ptsc_invoice_status">

                                            <div class="ptsc_text_center ptsc_main">
                                                <div class="ptsc_radio_container">
                                                    <label class="ptsc_radio ptsc_button ptsc_button_secondary ptsc_button_block <?php echo $inv_status == 'Draft' ? 'ptsc_checked' : '' ?>">
                                                        <input type="radio" <?php echo $inv_status == 'Draft' ? 'checked' : '' ?>
                                                               value="Draft"  name="inv_status"><?php esc_html_e('Draft', 'admin', 'ptsc') ?>
                                                    </label>
                                                    <label class="ptsc_radio ptsc_button ptsc_button_secondary ptsc_button_block <?php echo $inv_status == 'Unpaid' ? 'ptsc_checked' : '' ?>">
                                                        <input type="radio" <?php echo $inv_status == 'Unpaid' ? 'checked' : '' ?>
                                                               value="Unpaid"  name="inv_status"><?php esc_html_e('Unpaid', 'admin', 'ptsc') ?>
                                                    </label>
                                                    <label class="ptsc_radio ptsc_button ptsc_button_secondary ptsc_button_block <?php echo $inv_status == 'Paid' ? 'ptsc_checked' : '' ?>">
                                                        <input type="radio" <?php echo $inv_status == 'Paid' ? 'checked' : '' ?>
                                                               value="Paid"  name="inv_status"><?php esc_html_e('Paid', 'admin', 'ptsc') ?>
                                                    </label>
                                                    <label class="ptsc_radio ptsc_button ptsc_button_secondary ptsc_button_block <?php echo $inv_status == 'Cancelled' ? 'ptsc_checked' : '' ?>">
                                                        <input type="radio" <?php echo $inv_status == 'Cancelled' ? 'checked' : '' ?>
                                                               value="Cancelled"  name="inv_status"><?php esc_html_e('Cancelled', 'admin', 'ptsc') ?>
                                                    </label>
                                                    <label class="ptsc_radio ptsc_button ptsc_button_secondary ptsc_button_block <?php echo $inv_status == 'Refunded' ? 'ptsc_checked' : '' ?>">
                                                        <input type="radio" <?php echo $inv_status == 'Refunded' ? 'checked' : '' ?>
                                                               value="Refunded"  name="inv_status"><?php esc_html_e('Refunded', 'admin', 'ptsc') ?>
                                                    </label>
                                                    <label class="ptsc_radio ptsc_button ptsc_button_secondary ptsc_button_block <?php echo $inv_status == 'Collections' ? 'ptsc_checked' : '' ?>">
                                                        <input type="radio" <?php echo $inv_status == 'Collections' ? 'checked' : '' ?>
                                                               value="Collections"  name="inv_status"><?php esc_html_e('Collections', 'admin', 'ptsc') ?>
                                                    </label>
                                                    <label class="ptsc_radio ptsc_button ptsc_button_secondary ptsc_button_block <?php echo $inv_status == 'pending' ? 'ptsc_checked' : '' ?>">
                                                        <input type="radio" <?php echo $inv_status == 'pending' ? 'selected' : '' ?>
                                                               value="pending"  name="inv_status"><?php esc_html_e('Payment Pending', 'admin', 'ptsc') ?>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                        <div id="major-publishing-actions">
                                            <div id="publishing-action">

                                                <!--<input type="submit" name="reject_order"
                                                       value="Cancel Changes"
                                                       class="button"/>-->

                                                <input type="submit" name="save_client_invoice"
                                                       value="Save Changes"
                                                       class="button button-primary ptsc_button_success"/>

                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="dashboard-widgets" class="metabox-holder columns-2 ptsc_padding_0">
                    <div id="postbox-container" class="postbox-container">
                        <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                            <div class="postbox">
                                <div class="postbox-header">
                                    <h2 class="hndle ui-sortable-handle"><?php echo esc_html_x("Summary", "admin", "ptsc") ?></h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                    class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                    class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                    class="screen-reader-text">Toggle panel: Details</span><span
                                                    class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside">
                                    <div class="ptsc_panel_body ptsc_main">
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="pname"><span><?php echo esc_html_x('Client Name', 'admin', 'ptsc') ?></span></label>
                                            <input name="pname" id=""
                                                   disabled='disabled'
                                                   value="<?php echo $client_name ?>"/>
                                        </div>

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="cl_email"><span><?php echo esc_html_x('Client Email', 'admin', 'ptsc') ?></span></label>
                                            <input name="cl_email" id=""
                                                   disabled='disabled'
                                                   value="<?php echo $client_email ?>"/>
                                        </div>

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="inv_amount"><span><?php echo esc_html_x('Total Due', 'admin', 'ptsc') ?></span></label>
                                            <input name="inv_amount" id="inv_amount"
                                                   disabled='disabled'
                                                   value="<?php echo !empty($inv_amount) ? $inv_amount : '$ 0.00 USD' ?>"/>
                                        </div>

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="inv_bal"><span><?php echo esc_html_x('Balance', 'admin', 'ptsc') ?></span></label>
                                            <input name="inv_bal" id="inv_bal"
                                                   disabled='disabled'
                                                   value="<?php echo !empty($inv_amount) ? $inv_amount : '$ 0.00 USD' ?>"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div><!-- /post-body -->
                    <div id="postbox-container" class="postbox-container">
                        <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                            <div class="postbox">
                                <div class="postbox-header">
                                    <h2><?php echo esc_html_x("Options", "admin", "ptsc") ?></h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                    class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                    class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                    class="screen-reader-text">Toggle panel: Details</span><span
                                                    class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside">
                                    <div class="ptsc_panel_body ptsc_main">

                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="inv_opt_date"><span><?php echo esc_html_x('Invoice Date', 'admin', 'ptsc') ?></span></label>
                                            <input type="date" name="inv_opt_date" id="inv_opt_date"
                                                   value="<?php echo $invoice_date ?>"/>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="Payment Method"><span><?php echo esc_html_x('Pay Method', 'admin', 'ptsc') ?></span></label>
                                            <select name="pay_method" id="pay_method">
                                                <option value=""><?php esc_html_e('Select Option', 'admin', 'ptsc') ?></option>
                                                <?php foreach ($payment_gateways as $pg) { ?>
                                                    <?php $selected = $pg['gateway'] == $pay_method ? 'selected' : '' ?>
                                                    <option <?php echo $selected ?>
                                                            value="<?php echo $pg['gateway'] ?>"><?php echo $pg['display_name'] ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="Invoice_number"><span><?php echo esc_html_x('Invoice #', 'admin', 'ptsc') ?></span></label>
                                            <input disabled name="Invoice_number" id="Invoice_number"
                                                   value="<?php echo $invoice_no ?>"/>
                                        </div>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="inv_op_due"><span><?php echo esc_html_x('Due Date', 'admin', 'ptsc') ?></span></label>
                                            <input type="date" name="inv_op_due" id="inv_op_due"
                                                   value="<?php echo $invoice_due_date ?>"/>
                                        </div>
                                        <!-- PLEASE DON'T REMOVE IT -->

                                        <!--<div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <label for="Invoice Date"><span><?php /*echo esc_html_x('Tax Rate', 'admin', 'ptsc') */ ?></span></label>
                                            <input name="Invoice_number" id="o_amount"
                                                   value="<?php /*echo $order_data['balance'] */ ?>"/>
                                        </div>-->
<!--                                        <div class="ptsc_form_field ptsc_form_field_horizontal">-->
<!--                                            <label for="inv_status"><span>--><?php //echo esc_html_x('Status', 'admin', 'ptsc') ?><!--</span></label>-->
<!--                                            <select name="inv_status" class="">-->
<!--                                                <option --><?php //echo $inv_status == 'Draft' ? 'selected' : '' ?>
<!--                                                        value="Draft">--><?php //esc_html_e('Draft', 'admin', 'ptsc') ?><!--</option>-->
<!--                                                <option --><?php //echo $inv_status == 'Unpaid' ? 'selected' : '' ?>
<!--                                                        value="Unpaid">--><?php //esc_html_e('Unpaid', 'admin', 'ptsc') ?><!--</option>-->
<!--                                                <option --><?php //echo $inv_status == 'Paid' ? 'selected' : '' ?>
<!--                                                        value="Paid">--><?php //esc_html_e('Paid', 'admin', 'ptsc') ?><!--</option>-->
<!--                                                <option --><?php //echo $inv_status == 'Cancelled' ? 'selected' : '' ?>
<!--                                                        value="Cancelled">--><?php //esc_html_e('Cancelled', 'admin', 'ptsc') ?><!--</option>-->
<!--                                                <option --><?php //echo $inv_status == 'Refunded' ? 'selected' : '' ?>
<!--                                                        value="Refunded">--><?php //esc_html_e('Refunded', 'admin', 'ptsc') ?><!--</option>-->
<!--                                                <option --><?php //echo $inv_status == 'Collections' ? 'selected' : '' ?>
<!--                                                        value="Collections">--><?php //esc_html_e('Collections', 'admin', 'ptsc') ?><!--</option>-->
<!--                                                <option --><?php //echo $inv_status == 'pending' ? 'selected' : '' ?>
<!--                                                        value="pending">--><?php //esc_html_e('Payment Pending', 'admin', 'ptsc') ?><!--</option>-->
<!--                                            </select>-->
<!--                                        </div>-->

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div><!-- /post-body -->
                        <br class="clear">
                    </div>
                    <div id="postbox-container-3" class="postbox-container">
                        <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                            <div class="postbox">
                                <div class="postbox-header">
                                    <h2> <?php echo esc_html_x("Payment Method", "admin", "ptsc") ?></h2>
                                    <div class="handle-actions hide-if-no-js">
                                        <button type="button" class="handle-order-higher" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-higher-description">
                                            <span class="screen-reader-text">Move up</span><span
                                                    class="order-higher-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-higher-description">Move Details box up</span>
                                        <button type="button" class="handle-order-lower" aria-disabled="false"
                                                aria-describedby="ptsc_details-handle-order-lower-description">
                                            <span class="screen-reader-text">Move down</span><span
                                                    class="order-lower-indicator" aria-hidden="true"></span>
                                        </button>
                                        <span class="hidden" id="ptsc_details-handle-order-lower-description">Move Details box down</span>
                                        <button type="button" class="handlediv" aria-expanded="true"><span
                                                    class="screen-reader-text">Toggle panel: Details</span><span
                                                    class="toggle-indicator" aria-hidden="true"></span></button>
                                    </div>
                                </div>
                                <div class="inside">
                                    <div class="ptsc_panel_body ptsc_main">
                                        <div class="ptsc_panel_body ptsc_main">
                                            <table class="wp-list-table widefat fixed striped table-view-list posts">
                                                <thead class="ptsc_panel_header ptsc_panel_header_white">
                                                <tr>
                                                    <th scope="col" class="manage-column" style="text-align: center;">
                                                        <span><?php echo esc_html_x("Description", "admin", "ptsc"); ?></span>
                                                    </th>
                                                    <th scope="col" class="manage-column" style="text-align: center;"
                                                        width="15%">
                                                        <span><?php echo esc_html_x("Amount", "admin", "ptsc"); ?></span>
                                                    </th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <td>
                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                        <textarea name="ptsc_invoice_item_description"
                                                  rows="1"><?php echo $item_desc ?></textarea>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <input type="number" name="invoice_amount" id="i_amount"
                                                                   value="<?php echo $inv_amount ?>"/>
                                                        </div>
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div><!-- /post-body -->
                    <br class="clear">
                </div>
            </div>
        </div>

    </form>
</div>