<?php

require_once(PTSC_PATH . '/classes/ptsc.php');

$ptsc = new PTSC();


if (isset($_GET['del-coupon'])) {
    $ptsc->ptsc_coupons->ptsc_delete($_GET['del-coupon']);
    ?>
    <div class='updated'><p> <?php echo "Coupon deleted successfully"; ?></p></div>
<?php } ?>

<?php
$list = $ptsc->ptsc_coupons->ptsc_select();

//~~ Getting Screen Option Value
$user = get_current_user_id();
$screen = get_current_screen();
$option = $screen->get_option('per_page', 'option');
$per_page = get_user_meta($user, $option, true);
if (empty ($per_page) || $per_page < 1) {
    $per_page = $screen->get_option('per_page', 'default');
}
?>

<div class="wrap">
    <h1 class="wp-heading-inline">
        <?php echo esc_html_x("Coupon", "admin", "ptsc"); ?>
    </h1>
    <a href="?page=ptsc-add-coupons"
       class="page-title-action ptsc_icon ptsc_icon_plus">
        <?php echo esc_html_x('Add Coupons', 'admin', 'ptsc') ?>
    </a>
    <hr class="wp-header-end">
</div>


<div class="wrap">
    <?php if (empty($list)) { ?>
        <div class="inside ptsc_empathy_box">
            <div class="ptsc_panel_warning" style="padding: 5em 0 0;">
                <div class="ptsc_form_field ptsc_form_field_horizontal">
                    <div class="ptsc_text_center">
                        <div style="font-size: 120px;color: #ddd; margin: 0 0 .1875em; display: block; height: 71px;">
                            <i class="ptsc ptsc_icon_box"></i>
                        </div>
                        <div>
                            <h2><?php echo esc_html_x("Ready to add Coupons?", "admin", "ptsc"); ?>
                            </h2>
                        </div>
                        <div>
                            <a href="?page=ptsc-add-coupons&add" class="button button-primary">
                                <?php echo esc_html_x("Add Coupon", "admin", "ptsc"); ?>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    <?php } else { ?>
        <table class="wp-list-table widefat fixed striped table-view-list posts">
            <thead class="ptsc_panel_header ptsc_panel_header_white">
            <tr>
                <!--            <td id="cb" class="manage-column column-cb check-column">-->
                <!--                <span>--><?php //echo esc_html_x("ID", "admin", "ptsc"); ?><!--</span>-->
                <!--            </td>-->
                <th scope="col" class="manage-column column-title column-primary sorted desc">
                    <a href="#">
                        <span><?php echo esc_html_x("No.", "admin", "ptsc"); ?></span>
                        <span class="sorting-indicator"></span>
                    </a>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Code", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Type", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Value", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Max. Uses", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Start Date", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("End Date", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Active", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column" style="text-align: center;">
                    <span><?php echo esc_html_x("Action", "admin", "ptsc"); ?></span>
                </th>
            </tr>
            </thead>
            <tbody id="the-list">
            <?php
            $coupon_list_count = 0;
            if (is_array($list) && count($list) > 0) {
                foreach ($list as $coupon):
                    ?>
                    <tr>
                        <td class=" ">
                            <a class="row-title"
                               href="?page=ptsc-add-coupons&edit=<?php echo $coupon["coupon_id"] ?>"> <?php echo $coupon["coupon_id"] ?> </a>
                        </td>
                        <td class=" ">
                            <?php echo $coupon['coupon_code'] ?>
                        </td>
                        <td class=" ">
                            <?php echo $coupon['type'] ?>
                        </td>
                        <td class=" ">
                            <?php echo $coupon['value'] ?>
                        </td>
                        <td class=" ">
                            <?php echo $coupon['max_uses'] ?>
                        </td>
                        <td class=" ">
                            <?php echo $coupon['start_date'] ?>
                        </td>
                        <td class=" ">
                            <?php echo $coupon['expire_date'] ?>
                        </td>
                        <td class=" ">
                            <?php echo $coupon['activate'] == 1 ? 'Yes' : 'No' ?>
                        </td>
                        <td class="ptsc_main" style="text-align: center">
                            <a href="?page=ptsc-add-coupons&edit=<?php echo $coupon["coupon_id"] ?>"
                               class="ptsc_button ptsc_button_primary ptsc_icon ptsc_icon_pencil">
                            </a>
                            <a class="ptsc_button ptsc_button_primary  ptsc_icon ptsc_icon_trash"
                               title="Delete this Coupon"
                               data-id="<?php echo $coupon["coupon_id"] ?>"
                               href="admin.php?page=ptsc-coupons&del-coupon=<?php echo $coupon["coupon_id"] . "&name=" . $coupon['coupon_code'] ?>"
                               style="margin-bottom: 0"
                               onclick="return confirm('Are you sure You want to delete?')">
                            </a>
                        </td>
                    </tr>


                    <!-- End Group Shortcodes Row  -->
                    <?php
                    $coupon_list_count++;
                    if ($coupon_list_count == $per_page) break;

                    ?>
                <?php endforeach;
            } else { ?>

            <?php } ?>

            </tbody>
            <tfoot class="ptsc_panel_header ptsc_panel_header_white" style="border-bottom: none">
            <tr>
                <th scope="col" class="manage-column column-title column-primary sorted desc">
                    <a href="#">
                        <span><?php echo esc_html_x("No.", "admin", "ptsc"); ?></span>
                        <span class="sorting-indicator"></span>
                    </a>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Code", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Type", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Value", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Max. Uses", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Start Date", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("End Date", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Active", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column" style="text-align: center;">
                    <span><?php echo esc_html_x("Action", "admin", "ptsc"); ?></span>
                </th>
            </tr>
            </tfoot>
        </table>
    <?php } ?>
</div>

