<?php
/**
 * Created by PhpStorm.
 * User: Sajid
 * Date: 2/1/2021
 * Time: 9:07 PM
 */

require_once(PTSC_PATH . '/classes/ptsc.php');

$ptsc = new PTSC();


if (isset($_GET['del-invoice'])) {
    $ptsc->ptsc_invoices->ptsc_delete($_GET['del-invoice']); ?>
    <div class='updated'><p> <?php echo "Invoice deleted successfully"; ?></p></div>
<?php } ?>

<?php
$list = $ptsc->ptsc_invoices->ptsc_select();

//~~ Getting Screen Option Value
$user = get_current_user_id();
$screen = get_current_screen();
$option = $screen->get_option('per_page', 'option');
$per_page = get_user_meta($user, $option, true);
if (empty ($per_page) || $per_page < 1) {
    $per_page = $screen->get_option('per_page', 'default');
}
?>

<div class="wrap">
    <div class="">
        <h1 class="wp-heading-inline">
            <?php echo esc_html_x("Invoice List", "admin", "ptsc"); ?>
        </h1>
        <hr class="wp-header-end">
    </div>

    <?php if (empty($list)) { ?>
        <div class="inside ptsc_empathy_box">
            <div class="ptsc_panel_warning" style="    padding: 5em 0 0;">
                <div class="ptsc_form_field ptsc_form_field_horizontal">
                    <div class="ptsc_text_center">
                        <div style="font-size: 120px;color: #ddd; margin: 0 0 .1875em; display: block; height: 71px;">
                            <i class="ptsc ptsc_icon_box"></i>
                        </div>
                        <div>
                            <h2><?php echo esc_html_x("Ready to start selling something awesome?", "admin", "ptsc"); ?>
                            </h2>
                        </div>
                        <div>
                            <a href="admin.php?page=ptsc-add-invoice" class="button button-primary">
                                <?php echo esc_html_x("Add Invoice", "admin", "ptsc"); ?>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    <?php } else { ?>

    <table class="wp-list-table widefat fixed striped table-view-list posts">
        <thead class="ptsc_panel_header ptsc_panel_header_white">
        <tr>
            <td scope="col" id="cb" class="manage-column check-column">
                <span><?php echo esc_html_x("ID", "admin", "ptsc"); ?></span>
            </td>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Inovice #", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Client Name", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Invoice Date", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Dua Date", "admin", "ptsc"); ?></span>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Total", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Pay Method", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Status", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column" style="text-align: center">
                <strong><?php echo esc_html_x("Action", "admin", "ptsc"); ?></strong>
            </th>
        </tr>
        </thead>
        <tbody id="the-list">
        <?php
        $invoice_count = 0;
        if (is_array($list) && count($list) > 0) {
            foreach ($list as $invoice):
                $wp_user = get_user_by('id',$invoice['user_id']);
                $client_name = $wp_user -> data -> display_name;

                //~~ Ignoring time from date
                $invoice["invoice_date"] = ($invoice["invoice_date"] != '0000-00-00 00:00:00') ? date('Y-m-d',strtotime($invoice["invoice_date"])) : '0000-00-00';

                $invoice['due_date'] = ($invoice["due_date"] != '0000-00-00 00:00:00') ? date('Y-m-d',strtotime($invoice['due_date'])) : '0000-00-00';

                ?>
                <!-- Start Group Shortcodes Row  -->
                <tr>
                    <th scope="row" class="check-column">
                        <?php echo $invoice["id"] ?>
                    </th>
                    <td>
                        <?php echo $invoice["invoice_no"] ?>
                    </td>
                    <td>
                        <?php echo $client_name ?>
                    </td>
                    <td>
                        <?php echo $invoice["invoice_date"] ?>
                    </td>
                    <td>
                        <?php echo $invoice['due_date'] ?>
                    </td>
                    <td>
                        <?php echo $invoice['total'] ?>
                    </td>
                    <td>
                        <?php echo $invoice['payment_method'] ?>
                    </td>
                    <td>
                        <div class="ptsc_status_list <?php echo !empty(strtolower($invoice['status']))? strtolower($invoice['status']) : esc_html_x('pending', 'admin', 'ptsc' ) ?>"><?php echo !empty($invoice['status'])? $invoice['status'] : esc_html_x('pending', 'admin', 'ptsc' ) ?></div>
                    </td>
                    <td class="ptsc_main" style="text-align: center;">
                        <a href="?page=ptsc-add-invoice&edit=<?php echo $invoice["id"] ?>"
                           class="ptsc_button ptsc_button_primary ptsc_icon ptsc_icon_pencil">
                        </a>
                        <a class="ptsc_button ptsc_button_primary  ptsc_icon ptsc_icon_trash"
                           title="Delete this Order"
                           data-id="<?php echo $invoice["id"] ?>"
                           href="admin.php?page=ptsc-invoice&del-invoice=<?php echo $invoice["id"] ?>"
                           style="margin-bottom: 0"
                           onclick="return confirm('Are you sure You want to delete?')">
                        </a>
                    </td>
                </tr>
                <?php
                $invoice_count++;
                if($invoice_count == $per_page) break;

                ?>

                <!-- End Group Shortcodes Row  -->
            <?php endforeach;
        } ?>
        </tbody>
        <tfoot class="ptsc_panel_header ptsc_panel_header_white">
        <tr>
            <td scope="col" id="cb" class="manage-column check-column">
                <span><?php echo esc_html_x("ID", "admin", "ptsc"); ?></span>
            </td>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Inovice #", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Client Name", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Invoice Date", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Dua Date", "admin", "ptsc"); ?></span>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Total", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Pay Method", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column">
                <span><?php echo esc_html_x("Status", "admin", "ptsc"); ?></span>
            </th>
            <th scope="col" class="manage-column" style="text-align: center">
                <strong><?php echo esc_html_x("Action", "admin", "ptsc"); ?></strong>
            </th>
        </tr>
        </tfoot>
    </table>

    <?php } ?>

</div>
