<?php

require_once(PTSC_PATH . '/classes/ptsc.php');

$ptsc = new PTSC();


if (isset($_GET['del-product'])) {
    $ptsc->ptsc_products->ptsc_delete($_GET['del-product']);
    $ptsc->ptsc_pricing->ptsc_delete_on('relid',$_GET['del-product']);
    ?>
    <div class='updated'><p> <?php echo "Product deleted successfully"; ?></p></div>
<?php } ?>

<?php
$list = $ptsc->ptsc_products->ptsc_select();

//~~ Getting Screen Option Value
$user = get_current_user_id();
$screen = get_current_screen();
$option = $screen->get_option('per_page', 'option');
$per_page = get_user_meta($user, $option, true);
if (empty ($per_page) || $per_page < 1) {
    $per_page = $screen->get_option('per_page', 'default');
}
?>

<div class="wrap">
    <h1 class="wp-heading-inline">
        <?php echo esc_html_x("Services", "admin", "ptsc"); ?>
    </h1>
    <a href="?page=ptsc-add-products&add"
       class="page-title-action ptsc_icon ptsc_icon_plus">
        <?php echo esc_html_x('Add Services', 'admin', 'ptsc') ?>
    </a>
    <!--<a href="admin.php?page=ptsc-tooltips"
       class="page-title-action">
        <span class="lnr lnr-list"></span> <?php /*echo esc_html_x('Tooltips', 'admin', 'ptsc') */?>
    </a>-->
    <hr class="wp-header-end">
</div>


<div class="wrap">
    <?php if (empty($list)) { ?>
        <div class="inside ptsc_empathy_box">
            <div class="ptsc_panel_warning" style="padding: 5em 0 0;">
                <div class="ptsc_form_field ptsc_form_field_horizontal">
                    <div class="ptsc_text_center">
                        <div style="font-size: 120px;color: #ddd; margin: 0 0 .1875em; display: block; height: 71px;">
                            <i class="ptsc ptsc_icon_box"></i>
                        </div>
                        <div>
                            <h2><?php echo esc_html_x("Ready to start selling something awesome?", "admin", "ptsc"); ?>
                            </h2>
                        </div>
                        <div>
                            <a href="?page=ptsc-add-products&add" class="button button-primary">
                                <?php echo esc_html_x("Add Services", "admin", "ptsc"); ?>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    <?php } else { ?>
        <table class="wp-list-table widefat fixed striped table-view-list posts">
            <thead class="ptsc_panel_header ptsc_panel_header_white">
            <tr>
                <!--            <td id="cb" class="manage-column column-cb check-column">-->
                <!--                <span>--><?php //echo esc_html_x("ID", "admin", "ptsc"); ?><!--</span>-->
                <!--            </td>-->
                <th scope="col" class="manage-column column-title column-primary sorted desc">
                    <a href="#">
                        <span><?php echo esc_html_x("Name", "admin", "ptsc"); ?></span>
                        <span class="sorting-indicator"></span>
                    </a>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Type", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Description", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column" style="text-align: center;">
                    <span><?php echo esc_html_x("Action", "admin", "ptsc"); ?></span>
                </th>
            </tr>
            </thead>
            <tbody id="the-list">
            <?php
            $product_list_count = 0;
            if (is_array($list) && count($list) > 0) {
                foreach ($list as $product):
                    ?>

                        <td class=" ">
                            <a class="row-title"
                               href="?page=ptsc-add-products&edit=<?php echo $product["product_id"] ?>"> <?php echo $product["product_name"] ?></a>
                        </td>
                        <td class=" ">
                            <?php echo $product["pay_type"] ?>
                        </td>
                        <td>
                        <span style="height: 78px; overflow: hidden; display: block;">
                        <?php
                        echo description_truncate_function($product['product_description'], 4);
                        ?>
                            </span>
                        </td>
                        <td class="ptsc_main" style="text-align: center">
                            <a href="?page=ptsc-add-products&edit=<?php echo $product["product_id"] ?>"
                               class="ptsc_button ptsc_button_primary ptsc_icon ptsc_icon_pencil">
                            </a>
                            <a class="ptsc_button ptsc_button_primary  ptsc_icon ptsc_icon_trash"
                               title="Delete this Product"
                               data-id="<?php echo $product["product_id"] ?>"
                               href="admin.php?page=ptsc-products&del-product=<?php echo $product["product_id"] . "&name=" . $product['product_name'] ?>"
                               style="margin-bottom: 0"
                               onclick="return confirm('Are you sure You want to delete?')">
                            </a>
                        </td>
                    </tr>


                    <!-- End Group Shortcodes Row  -->
                    <?php
                    $product_list_count++;
                    if ($product_list_count == $per_page) break;

                    ?>
                <?php endforeach;
            } else { ?>

            <?php } ?>

            </tbody>
            <tfoot class="ptsc_panel_header ptsc_panel_header_white" style="border-bottom: none">
            <tr>
                <!--            <td id="cb" class="manage-column column-cb check-column">-->
                <!--                <span>--><?php //echo esc_html_x("ID", "admin", "ptsc"); ?><!--</span>-->
                <!--            </td>-->
                <th scope="col" class="manage-column column-title column-primary sorted desc">
                    <a href="#">
                        <span><?php echo esc_html_x("Name", "admin", "ptsc"); ?></span>
                        <span class="sorting-indicator"></span>
                    </a>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Type", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Description", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column" style="text-align: center">
                    <span><?php echo esc_html_x("Action", "admin", "ptsc"); ?></span>
                </th>
            </tr>
            </tfoot>
        </table>
    <?php } ?>
</div>

