<style>
    .ptsc_tabs_container .ptsc_tab_links .ptsc_tab_link {
        padding: 15px 30px;
        background: #fff;
        color: #017cba;
        border: 2px solid #017cba;
        font-weight: 700;
        border-radius: 4px;
    }

    .ptsc_tabs_container .ptsc_tab_links .ptsc_tab_link.active {
        background: #017cba;
        color: #fff;
    }
</style>
<?php
if (!defined("PTSC_PATH")) {
    wp_die("Direct Access is not allowed");
}

global $wpdb;
require_once(PTSC_PATH . '/classes/ptsc.php');
$ptsc = new PTSC();

?>

<div class="wrap">


    <div class="">
        <div class="">
            <h1 class="wp-heding-inline" style="padding-bottom: 10px">
                <?php echo esc_html_x("Settings", "admin", "ptsc"); ?>
            </h1>
        </div>
        <div class="settings_response"></div>
        <div class="settings-tab-container">
            <div id="ptsc_display_only_tabs_top" class="ptsc_tabs_container ptsc_tabs_fancy_2">
                <div class="ptsc_row" id="ptsc_tabs_settings">
                    <ul class="ptsc_tab_links" id="ptsc_tabs_settings_tabs">
                        <li class="active ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                            data-tab="tab-11">
                            <label for="ptsc_sp_client_type_register">
                                <?php echo esc_html_x('General Settings', "admin", "ptsc") ?>
                            </label>
                        </li>
                        <!-- display and sell settings -->
                        <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                            data-tab="tab-12">
                            <label for="ptsc_sp_client_type_register">
                                <?php echo esc_html_x('eCommerce Settings ', "admin", "ptsc") ?>
                            </label>
                        </li>
                    </ul>
                    <div class="ptsc_tabs_content active" id="tab-11">
                        <div id="ptsc-settings-tab" class="settings-tab-container">
                            <div class="ptsc_tabs_container ptsc_tabs_fancy_2">
                                <div class="ptsc_row" id="ptsc_tabs_settings">
                                    <div class="ptsc_col_lg_3">
                                        <ul class="ptsc_tab_links">
                                            <li class="active ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                                data-tab="tab-1">
                                                <label for="ptsc_sp_client_type_register">
                                                    <?php echo esc_html_x('General Settings', "admin", "ptsc") ?>
                                                </label>
                                            </li>
                                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                                data-tab="tab-2">
                                                <label for="ptsc_sp_client_type_register">
                                                    <?php echo esc_html_x('Currency Settings', "admin", "ptsc") ?>
                                                </label>
                                            </li>

                                            <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                                data-tab="tab-3">
                                                <label for="ptsc_sp_client_type_register">
                                                    <?php echo esc_html_x('Price Display Settings', "admin", "ptsc") ?>
                                                </label>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="ptsc_col_lg_9">
                                        <div class="ptsc_tabs_content active" id="tab-1">
                                            <form action="" method="post" class="ptsc_general_settings">
                                                <?php
                                                /*settings_fields("ptsc_display");*/
                                                $description_separator = get_option("ptsc_description_separator");
                                                $w_mode = !empty(get_option("w_mode")) ? get_option("w_mode") : 'display_only';
                                                ?>
                                                <div id="display_settings">
                                                    <div class="ptsc_panel_body">
                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <a class="button" href="admin.php?page=ptsc-getting-started"
                                                               style="float: right;"><?php echo esc_html_x("Configuration Wizard", "admin", "ptsc") ?></a>
                                                        </div>
                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="description_separator"><strong><?php echo esc_html_x("Working mode", "admin", "ptsc") ?></strong></label>
                                                            <div class="ptsc_radio_container">

                                                                <?php $checked = $w_mode == 'display_only' ? 'ptsc_checked' : '' ?>
                                                                <label class="ptsc_radio <?php echo $checked ?>">
                                                                    <input type="radio" name="w_mode"
                                                                           value="display_only">
                                                                    <?php echo esc_html_x("Display Only", "admin", "ptsc") ?>
                                                                </label>


                                                                <?php $checked = $w_mode == 'display_with_woocommerce' ? 'ptsc_checked' : '' ?>
                                                                <label class="ptsc_radio <?php echo $checked ?>">
                                                                    <input type="radio" name="w_mode"
                                                                           value="display_with_woocommerce">
                                                                    <?php echo esc_html_x("Display With WooCommerce", "admin", "ptsc") ?>
                                                                </label>


                                                                <?php $checked = $w_mode == 'display_and_sell' ? 'ptsc_checked' : '' ?>
                                                                <label class="ptsc_radio <?php echo $checked ?>">
                                                                    <input type="radio" name="w_mode"
                                                                           value="display_and_sell">
                                                                    <?php echo esc_html_x("Display and Sell", "admin", "ptsc") ?>
                                                                </label>
                                                            </div>
                                                        </div>
                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="description_separator"><strong><?php echo esc_html_x("Description Separator", "admin", "ptsc") ?></strong></label>
                                                            <input id="description_separator"
                                                                   name="ptsc_description_separator"
                                                                   value="<?php echo $description_separator ?>">
                                                        </div>
                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="ptsc_primary_color"><strong><?php echo esc_html_x('Primary Color', 'admin', 'ptsc') ?></strong></label>
                                                            <input id="ptsc_primary_color"
                                                                   type="text"
                                                                   class="ptsc_color_input"
                                                                   name="ptsc_primary_color"
                                                                   value="<?php echo esc_attr(get_option('ptsc_primary_color', '#000000')); ?>">
                                                        </div>
                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="ptsc_secondary_color"><strong><?php echo esc_html_x('Secondary Color', 'admin', 'ptsc') ?></strong></label>
                                                            <input id="ptsc_secondary_color"
                                                                   type="text"
                                                                   class="ptsc_color_input"
                                                                   name="ptsc_secondary_color"
                                                                   value="<?php echo esc_attr(get_option('ptsc_secondary_color', '#000000')); ?>">
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="ptsc_text_center">
                                                    <button type="submit"
                                                            class="button button-primary save_gen"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                </div>
                                            </form>
                                        </div>
                                        <div class="ptsc_tabs_content" id="tab-2">
                                            <form action="" method="post" class="ptsc_currency_settings">
                                                <?php
                                                $default_currency = get_option("ptsc_default_currency");
                                                $currency_prefix = get_option("ptsc_default_currency_symbol");
                                                $currency_suffix = get_option("ptsc_default_currency_suffix");

                                                ?>
                                                <div id="display_settings">
                                                    <div class="ptsc_panel_header ptsc_margin_bottom_15">
                                                        <div class="ptsc_row">
                                                            <div class="ptsc_col_6 ptsc_text_large">
                                                                <?php /*echo esc_html_x("Currency Settings","admin", "ptsc"); */ ?>
                                                            </div>
                                                            <?php //~~ We are not offering multiple currenices in this version ?>
                                                            <div class="ptsc_col_6 ptsc_text_right">
                                                                <a class="button button-primary ptsc_icon ptsc_icon_plus"
                                                                   href="admin.php?page=ptsc-add-currencies">
                                                                    <?php echo esc_html_x("Add New Currency", "admin", "ptsc") ?>
                                                                </a>
                                                                <a class='button button-primary ptsc_pull_right ptsc_icon ptsc_icon_list'
                                                                   style='margin-left:10px'
                                                                   href="admin.php?page=ptsc-currencies">
                                                                    <?php echo esc_html_x('List All Currencies', 'admin', 'ptsc'); ?>
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="ptsc_panel_body ">
                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="ptsc_default_currency"><strong><?php echo esc_html_x("Choose Currency", "admin", "ptsc") ?></strong></label>
                                                            <select id="ptsc_default_currency"
                                                                    name="ptsc_default_currency">
                                                                <option value="0"><?php echo esc_html_x("Defualt Currency", "admin", "ptsc") ?></option>
                                                                <?php
                                                                $currency = $ptsc->ptsc_currency->ptsc_select();
                                                                foreach ($currency as $curr) { ?>

                                                                    <option value="<?php echo $curr['c_id'] ?>" <?php echo ($curr['c_id'] == $default_currency) ? "selected" : "" ?> ><?php echo $curr['code']; ?></option>

                                                                <?php }
                                                                ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="ptsc_text_center">
                                                    <button type="submit"
                                                            class="button button-primary save_gen"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                </div>
                                            </form>
                                        </div>
                                        <div class="ptsc_tabs_content" id="tab-3">
                                            <form action="" method="post" class="ptsc_pice_settings">
                                                <?php
                                                $thousand_separator = get_option("ptsc_thousand_separator");
                                                $decimal_separator = get_option("ptsc_decimal_separator");
                                                $show_trailing_zero = get_option("ptsc_show_trailing_zeros");
                                                $price_not_configured = get_option("ptsc_price_not_configured_" . $ptsc->get_current_language());
                                                $price_zero = get_option("ptsc_price_zero_" . $ptsc->get_current_language());
                                                $duration_style = get_option("ptsc_duration_style");
                                                $duration_connector = get_option("ptsc_duration_connector");
                                                $decimals = get_option("ptsc_decimals");
                                                $ptsc_override_string_price_due = get_option("ptsc_override_string_price_due");
                                                ?>
                                                <div id="display_settings">
                                                    <div class="ptsc_panel_body ">

                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="thousand_separator"><strong><?php echo esc_html_x("Thousand Separator", "admin", "ptsc") ?></strong></label>
                                                            <input id="thousand_separator"
                                                                   name="ptsc_thousand_separator"
                                                                   value="<?php echo $thousand_separator ?>">
                                                        </div>

                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="decimal_separator"><strong><?php echo esc_html_x("Decimal Separator", "admin", "ptsc") ?></strong></label>
                                                            <input id="decimal_separator"
                                                                   name="ptsc_decimal_separator"
                                                                   value="<?php echo $decimal_separator ?>">
                                                        </div>


                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="decimals"><strong><?php echo esc_html_x("Decimal", "admin", "ptsc") ?></strong></label>
                                                            <input id="decimals" name="ptsc_decimals"
                                                                   value="<?php echo $decimals ?>">
                                                        </div>


                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="price_not_configured_string"><strong><?php echo esc_html_x("String to Show if Price not configured", "admin", "ptsc") ?></strong></label>
                                                            <input id="price_not_configured_string"
                                                                   name="ptsc_price_not_configured_<?php echo $ptsc->get_current_language() ?>"
                                                                   value="<?php echo $price_not_configured ?>">
                                                        </div>

                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="price_not_available"><strong><?php echo esc_html_x("String to show if Price Zero", "admin", "ptsc") ?></strong></label>
                                                            <input id="price_not_available"
                                                                   name="ptsc_price_zero_<?php echo $ptsc->get_current_language() ?>"
                                                                   value="<?php echo $price_zero ?>">
                                                        </div>

                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="trailing_zero"><strong><?php echo esc_html_x("Show Trailing Zeros", "admin", "ptsc") ?></strong></label>
                                                            <select id="trailing_zero" name="ptsc_show_trailing_zeros">
                                                                <option value="yes" <?php echo ($show_trailing_zero == "yes") ? "selected" : "" ?>><?php echo esc_html_x("Yes", "admin", "ptsc") ?></option>
                                                                <option value="no" <?php echo ($show_trailing_zero == "no") ? "selected" : "" ?>><?php echo esc_html_x("No", "admin", "ptsc") ?></option>
                                                            </select>
                                                        </div>


                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label id="duration_style"
                                                                   for="duration_style"><strong><?php echo esc_html_x("Duration Style", "admin", "ptsc") ?></strong></label>
                                                            <select id="duration_style" name="ptsc_duration_style">
                                                                <option value="long" <?php echo ($duration_style == "long") ? "selected" : "" ?>><?php echo esc_html_x("Long (Year)", "admin", "ptsc") ?></option>
                                                                <option value="short" <?php echo ($duration_style == "short") ? "selected" : "" ?>><?php echo esc_html_x("Short (yr)", "admin", "ptsc") ?></option>
                                                                <option value="monthly" <?php echo ($duration_style == "monthly") ? "selected" : "" ?>><?php echo esc_html_x("Convert to Months", "admin", "ptsc") ?></option>
                                                            </select>
                                                        </div>

                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="ptsc_duration_connector"><strong><?php echo esc_html_x("Duration Connector", "admin", "ptsc") ?></strong></label>
                                                            <input id="ptsc_duration_connector"
                                                                   name="ptsc_duration_connector"
                                                                   value="<?php echo $duration_connector ?>">
                                                        </div>

                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <label for="ptsc_override_string_price_due"><strong><?php echo esc_html_x("Override Price", "admin", "ptsc") ?></strong></label>
                                                            <input id="ptsc_override_string_price_due"
                                                                   name="ptsc_override_string_price_due"
                                                                   value="<?php echo $ptsc_override_string_price_due ?>">
                                                        </div>
                                                    </div>


                                                </div>
                                                <div class="ptsc_text_center">
                                                    <button type="submit"
                                                            class="button button-primary save_gen"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                            </div>


                        </div>
                    </div>

                    <div class="ptsc_tabs_content" id="tab-12">
                        <!-- display and sell settings -->
                        <?php if (get_option('w_mode') == 'display_and_sell') { ?>
                            <div id="ptsc-settings-tab" class="settings-tab-container">
                                <div class="ptsc_tabs_container ptsc_tabs_fancy_2">
                                    <div class="ptsc_row" id="ptsc_tabs_settings">
                                        <div class="ptsc_col_lg_3">
                                            <ul class="ptsc_tab_links">
                                                <!-- display and sell settings -->
                                                <?php if (get_option('w_mode') == 'display_and_sell') { ?>
                                                    <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link active"
                                                        data-tab="tab-13">
                                                        <label for="ptsc_sp_client_type_login">
                                                            <?php echo esc_html_x('General Settings', "admin", "ptsc") ?>
                                                        </label>
                                                    </li>
                                                    <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                                        data-tab="tab-4">
                                                        <label for="ptsc_sp_client_type_login">
                                                            <?php echo esc_html_x('Invoice Setting', "admin", "ptsc") ?>
                                                        </label>
                                                    </li>
                                                    <!--<li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                                        data-tab="tab-5">
                                                        <label>
                                                            <?php /*echo esc_html_x('Social Logins Settings', "admin", "ptsc") */ ?>
                                                        </label>
                                                    </li>-->
                                                    <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                                        data-tab="tab-6">
                                                        <label>
                                                            <?php echo esc_html_x('Email Settings', "admin", "ptsc") ?>
                                                        </label>
                                                    </li>
                                                    <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                                        data-tab="tab-7">
                                                        <label>
                                                            <?php echo esc_html_x('Payment Settings', "admin", "ptsc") ?>
                                                        </label>
                                                    </li>
                                                    <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_billing_tab_link"
                                                        data-tab="tab-8">
                                                        <label>
                                                            <?php echo esc_html_x('Company', "admin", "ptsc") ?>
                                                        </label>
                                                    </li>
                                                    <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_client_fields_tab_link"
                                                        data-tab="tab-9">
                                                        <label for="ptsc_sp_client_fields">
                                                            <?php echo esc_html_x('Custom Client Fields (for registration)', "admin", "ptsc") ?>
                                                        </label>
                                                    </li>
                                                    <li class="ptsc_tab_link ptsc_settings_switch ptsc_sp_client_fields_tab_link"
                                                        data-tab="tab-10">
                                                        <label for="ptsc_sp_tc_fields">
                                                            <?php echo esc_html_x('Terms & Conditions', "admin", "ptsc") ?>
                                                        </label>
                                                    </li>
                                                <?php } ?>
                                            </ul>
                                        </div>
                                        <div class="ptsc_col_lg_9">
                                            <!-- display and sell settings -->
                                            <?php if (get_option('w_mode') == 'display_and_sell') { ?>
                                                <div class="ptsc_tabs_content" id="tab-13">
                                                    <form action="" method="post"
                                                          class="ptsc_ecommerce_general_settings">
                                                        <?php
                                                        /*settings_fields("ptsc_display");*/
                                                        $order_page_url = !empty(get_option("ptsc_order_page_url")) ? get_option("ptsc_order_page_url") : get_permalink(get_page_by_path('mk-order-page'));
                                                        $gp_api = get_option("gp_api");
                                                        $order_comp_msg = get_option("order_comp_msg");
                                                        ?>
                                                        <div id="ecommerce_display_settings">
                                                            <div class="ptsc_panel_body">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="ptsc_order_page_url"><strong><?php echo esc_html_x("Order Page URL", "admin", "ptsc") ?></strong></label>
                                                                    <input id="order_page_url"
                                                                           name="ptsc_order_page_url"
                                                                           value="<?php echo $order_page_url ?>">
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="gp_api"><strong><?php echo esc_html_x("Google Places API Key", "admin", "ptsc") ?></strong></label>
                                                                    <input id="gp_api"
                                                                           name="gp_api"
                                                                           value="<?php echo $gp_api ?>">
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="order_comp_msg"><strong><?php echo esc_html_x("Order Complete Message", "admin", "ptsc") ?></strong></label>
                                                                    <input id="order_comp_msg"
                                                                           name="order_comp_msg"
                                                                           value="<?php echo $order_comp_msg ?>">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="ptsc_text_center">
                                                            <button type="submit"
                                                                    class="button button-primary save_gen"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <div class="ptsc_tabs_content" id="tab-4">
                                                    <form action="" method="post" class="ptsc_billing_settings">
                                                        <?php
                                                        //                                settings_fields("ptsc_billing_settings");
                                                        $invoice_due_days = get_option("invoice_due_days");
                                                        $invoice_generated_before_days = get_option("invoice_generated_before_days");
                                                        $invoice_prefix = get_option("invoice_prefix");
                                                        $invoice_start = get_option("invoice_start");
                                                        ?>
                                                        <div id="billing_settings">
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="invoice_due_days"><strong><?php echo esc_html_x("Invoice due days", "admin", "ptsc") ?></strong></label>
                                                                <input type="number" id="invoice_due_days"
                                                                       name="invoice_due_days"
                                                                       value="<?php echo !empty($invoice_due_days) ? $invoice_due_days : 10 ?>">
                                                                <label for=""></label>
                                                                <small><i><?php echo esc_html_x('*Days to set invoice due date.', 'admin', 'ptsc') ?></i></small>
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="invoice_generated_before_days"><strong><?php echo esc_html_x("Invoice Generated before days", "admin", "ptsc") ?></strong></label>
                                                                <input type="number" id="invoice_generated_before_days"
                                                                       name="invoice_generated_before_days"
                                                                       value="<?php echo !empty($invoice_generated_before_days) ? $invoice_generated_before_days : 10 ?>">
                                                                <label for=""></label>
                                                                <small><i><?php echo esc_html_x('*Days to set invoice generated date.', 'admin', 'ptsc') ?></i></small>
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="invoice_prefix"><strong><?php echo esc_html_x("Invoice Prefix", "admin", "ptsc") ?></strong></label>
                                                                <input id="invoice_prefix"
                                                                       name="invoice_prefix"
                                                                       value="<?php echo $invoice_prefix ?>">
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="invoice_start"><strong><?php echo esc_html_x("Invoice Start", "admin", "ptsc") ?></strong></label>
                                                                <input type="number" id="invoice_start"
                                                                       name="invoice_start"
                                                                       value="<?php echo $invoice_start ?>">
                                                            </div>
                                                        </div>
                                                        <div class="ptsc_text_center">
                                                            <button type="submit"
                                                                    class="button button-primary save_gen"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                        </div>

                                                    </form>
                                                </div>
                                                <!--<div class="ptsc_tabs_content" id="tab-5">
                                                    <form action="" method="post" class="ptsc_social_settings">
                                                        <?php
                                                /*                                                        //                                settings_fields("ptsc_social_settings");
                                                                                                        $google_client_id = get_option("ptsc_google_client_id");
                                                                                                        $show_google_login = get_option("ptsc_show_google_login");
                                                                                                        */ ?>
                                                        <div id="social-login-settings">
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">

                                                                <?php /*$checked = get_option('ptsc_show_google_login') == 1 ? 'checked' : '' */ ?>
                                                                <label for="show_google_login"><strong>
                                                                        <input type="checkbox" <?php /*echo $checked */ ?>
                                                                               id="show_google_login"
                                                                               name="ptsc_show_google_login" value="0">
                                                                        <?php /*echo esc_html_x("Enable Google Login", "admin", "ptsc") */ ?></strong>   <a target="_blank" href="https://console.cloud.google.com/apis" class="ptsc_pull_right"><small style="margin-right: 0"><?php /*echo '*Create Google Client ID' */ ?></small></a></label>
                                                                <div class="client_fields_extra_info" <?php /*echo get_option('ptsc_show_google_login') == 1 ? '' : 'style="display: none"' */ ?>>
                                                                    <label for="google_client_id"><strong><?php /*echo esc_html_x("Google Login ID", "admin", "ptsc") */ ?></strong></label>
                                                                    <input type="text" id="google_client_id"
                                                                           name="ptsc_google_client_id"
                                                                           value="<?php /*echo $google_client_id */ ?>">
                                                                    <span class="ptsc_clearfix"></span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="ptsc_text_center">
                                                            <button type="submit"
                                                                    class="button button-primary save_gen"><?php /*echo esc_html_x("Save Settings", "admin", "ptsc") */ ?></button>
                                                        </div>
                                                    </form>
                                                </div>-->
                                                <div class="ptsc_tabs_content" id="tab-6">
                                                    <form action="" method="post" class="ptsc_email_settings">
                                                        <?php
                                                        //                                settings_fields("ptsc_email");
                                                        $email_sender_field = get_option("ptsc_email_sender");
                                                        $sender_email_address = get_option("ptsc_email_sender_email");
                                                        $email_styling = get_option("ptsc_email_styling");
                                                        $email_header = get_option("ptsc_email_header_content");
                                                        $email_footer = get_option("ptsc_email_footer_content");
                                                        $Ptsc_email_signature = get_option("Ptsc_email_signature");
                                                        $checked = get_option('ptsc_enabel_emmail_option') == 1 ? 'checked' : '';
                                                        ?>
                                                        <div id="email-settings">
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_padding_0"
                                                                 style="margin-bottom: 0">
                                                                <label for="ptsc_enabel_emmail_option">
                                                                    <input id="ptsc_enabel_emmail_option" <?php echo $checked ?>
                                                                           type="checkbox"
                                                                           name="ptsc_enabel_emmail_option" value="1">
                                                                    <strong><?php echo esc_html_x("Send emails to clients, on order, invoice etc.", "admin", "ptsc") ?></strong>
                                                                </label>
                                                            </div>
                                                            <div class="client_fields_extra_info"
                                                                 <?php echo get_option('ptsc_enabel_emmail_option') == 1 ? '' : 'style="display: none"' ?>?>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label class="ptsc_padding_0_15"><strong><?php echo esc_html_x("Send email for", "admin", "ptsc") ?></strong></label>
                                                                    <?php $checked = get_option('enable_order-confirmation') == 1 ? 'checked' : '' ?>
                                                                    <input <?php echo $checked ?> type="checkbox"
                                                                                                  name="enable_order-confirmation"
                                                                                                  value="1">
                                                                    <?php echo esc_html_x("Order", "admin", "ptsc") ?>

                                                                    <?php $checked = get_option('enable_invoice-generated') == 1 ? 'checked' : '' ?>
                                                                    <input <?php echo $checked ?> type="checkbox"
                                                                                                  name="enable_invoice-generated"
                                                                                                  value="1">
                                                                    <?php echo esc_html_x("Invoice Generated", "admin", "ptsc") ?>

                                                                    <?php $checked = get_option('enable_invoice-paid') == 1 ? 'checked' : '' ?>
                                                                    <input <?php echo $checked ?> type="checkbox"
                                                                                                  name="enable_invoice-paid"
                                                                                                  value="1">
                                                                    <?php echo esc_html_x("Invoice Paid", "admin", "ptsc") ?>

                                                                    <?php $checked = get_option('enable_contact-form') == 1 ? 'checked' : '' ?>
                                                                    <input <?php echo $checked ?> type="checkbox"
                                                                                                  name="enable_contact-form"
                                                                                                  value="1">
                                                                    <?php echo esc_html_x("Contact form emails", "admin", "ptsc") ?>

                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label class="ptsc_padding_0_15"><strong><?php echo esc_html_x("Send email admin also?", "admin", "ptsc") ?></strong></label>
                                                                    <?php $checked = get_option('enable_admin_emails') == 1 ? 'checked' : '' ?>
                                                                    <input <?php echo $checked ?> type="checkbox"
                                                                                                  name="enable_admin_emails"
                                                                                                  value="1">
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="ptsc_email_sender"><strong><?php echo esc_html_x("Sender Name", "admin", "ptsc") ?></strong></label>
                                                                    <input id="ptsc_email_sender"
                                                                           name="ptsc_email_sender"
                                                                           value="<?php echo $email_sender_field ?>">
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="ptsc_email_sender_email"><strong><?php echo esc_html_x("Sender Email", "admin", "ptsc") ?></strong></label>
                                                                    <input id="ptsc_email_sender_email"
                                                                           name="ptsc_email_sender_email"
                                                                           value="<?php echo $sender_email_address ?>">
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="Ptsc_email_signature"><strong><?php echo esc_html_x("Email Signature", "admin", "ptsc") ?></strong></label>
                                                                    <input id="Ptsc_email_signature"
                                                                           name="Ptsc_email_signature"
                                                                           value="<?php echo $Ptsc_email_signature ?>">
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="ptsc_email_header_content"><strong><?php echo esc_html_x("Email Header Content", "admin", "ptsc") ?></strong></label>
                                                                    <textarea id="ptsc_email_header_content"
                                                                              name="ptsc_email_header_content">
                                            <?php echo htmlspecialchars($email_header) ?>
                                        </textarea>
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="ptsc_email_footer_content"><strong><?php echo esc_html_x("Email Footer Content", "admin", "ptsc") ?></strong></label>
                                                                    <textarea id="ptsc_email_footer_content"
                                                                              name="ptsc_email_footer_content">
                                            <?php echo htmlspecialchars($email_footer) ?>
                                        </textarea>
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="ptsc_email_styling"><strong><?php echo esc_html_x("Email Css Styling", "admin", "ptsc") ?></strong></label>
                                                                    <textarea id="ptsc_email_styling"
                                                                              name="ptsc_email_styling"><?php echo htmlspecialchars($email_styling) ?></textarea>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="ptsc_text_center">
                                                            <button type="submit"
                                                                    class="button button-primary save_gen"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <div class="ptsc_tabs_content" id="tab-7">
                                                    <form action="" method="post" class="ptsc_payment_methods">
                                                        <?php settings_fields("ptsc_payments"); ?>
                                                        <input type="hidden" name="ptsc_paypal_gateway" value="paypal">
                                                        <div id="billing_settings">
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal"
                                                                 style="margin-bottom: 0">
                                                                <?php
                                                                $checked = get_option('ptsc_enable_pg') == 1 ? 'checked' : '';
                                                                ?>

                                                                <label class="ptsc_enable_gatway_saettings"
                                                                       for="ptsc_enable_pg">
                                                                    <input type="checkbox" <?php echo $checked ?>
                                                                           id="ptsc_enable_pg"
                                                                           name="ptsc_enable_pg" value="1">
                                                                    <strong><?php echo esc_html_x("Enable Payment Gateways?", "admin", "ptsc") ?></strong>
                                                                </label>
                                                            </div>
                                                            <!--                                                              <label for=""><strong>-->
                                                            <?php //echo esc_html_x("Payment Gateways", "admin", "ptsc") ?><!--</strong></label>-->
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal payment_fields_extra_info" <?php echo get_option('ptsc_enable_pg') == 1 ? '' : 'style="display:none;"' ?>>
                                                                <div class="ptsc_row">
                                                                    <div class="ptsc_col_sm_12 ptsc_margin_bottom_30">
                                                                        <!-- Bank Transfer section starts -->
                                                                        <?php
                                                                        $bk_checked = (get_option('ptsc_pg_bank_transfer') == 1) ? 'checked' : '';
                                                                        $bk_info_section_style = (get_option('ptsc_pg_bank_transfer') == 1) ? 'display:block' : 'display:none';
                                                                        $bk_display_name = !empty(get_option('ptsc_bank_transfer_display_name')) ? get_option('ptsc_bank_transfer_display_name') : '';
                                                                        $bk_name = !empty(get_option('ptsc_bank_transfer_name')) ? get_option('ptsc_bank_transfer_name') : '';
                                                                        $bk_payee = !empty(get_option('ptsc_bank_transfer_payee')) ? get_option('ptsc_bank_transfer_payee') : '';
                                                                        $bk_sort_code = !empty(get_option('ptsc_bank_transfer_sort_code')) ? get_option('ptsc_bank_transfer_sort_code') : '';
                                                                        $bk_ac_num = !empty(get_option('ptsc_bank_transfer_ac_number')) ? get_option('ptsc_bank_transfer_ac_number') : '';
                                                                        ?>
                                                                        <label for="ptsc_pg_bank_transfer">
                                                                            <input type="checkbox" <?php echo $bk_checked ?>
                                                                                   id="ptsc_pg_bank_transfer"
                                                                                   name="ptsc_pg_bank_transfer"
                                                                                   value="1">
                                                                            <strong><?php echo esc_html_x("Bank Transfer", "admin", "ptsc") ?></strong>
                                                                        </label>
                                                                        <div class="bank_transfer_info_sec"
                                                                             style="<?php echo $bk_info_section_style ?>">

                                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                                <input id="ptsc_bank_transfer_display_name"
                                                                                       name="ptsc_bank_transfer_display_name"
                                                                                       value="<?php echo $bk_display_name ?>"
                                                                                       placeholder="Display Name">
                                                                            </div>
                                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                                <input type="text"
                                                                                       id="ptsc_bank_transfer_name"
                                                                                       name="ptsc_bank_transfer_name"
                                                                                       value="<?php echo $bk_name ?>"
                                                                                       placeholder="Bank Name">
                                                                            </div>
                                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                                <input type="text"
                                                                                       id="ptsc_bank_transfer_payee"
                                                                                       name="ptsc_bank_transfer_payee"
                                                                                       value="<?php echo $bk_payee ?>"
                                                                                       placeholder="Payee Name">
                                                                            </div>
                                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                                <input type="text"
                                                                                       id="ptsc_bank_transfer_sort_code"
                                                                                       name="ptsc_bank_transfer_sort_code"
                                                                                       value="<?php echo $bk_sort_code ?>"
                                                                                       placeholder="Sort Code">
                                                                            </div>
                                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                                <input type="number"
                                                                                       id="ptsc_bank_transfer_ac_number"
                                                                                       name="ptsc_bank_transfer_ac_number"
                                                                                       value="<?php echo $bk_ac_num ?>"
                                                                                       placeholder="Account Number">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="ptsc_col_sm_12">
                                                                        <!-- Paypal Payment Garteway Starts -->
                                                                        <?php
                                                                        $paypal_checked = (get_option('ptsc_pg_paypal') == 1) ? 'checked' : '';
                                                                        $paypal_info_section_style = (get_option('ptsc_pg_paypal') == 1) ? 'display:block' : 'display:none';
                                                                        $paypal_display_name = !empty(get_option('ptsc_paypal_display_name')) ? get_option('ptsc_paypal_display_name') : '';
                                                                        $paypal_email = !empty(get_option('ptsc_paypal_email')) ? get_option('ptsc_paypal_email') : '';
                                                                        ?>
                                                                        <label for="ptsc_pg_paypal">
                                                                            <input type="checkbox" <?php echo $paypal_checked ?>
                                                                                   id="ptsc_pg_paypal"
                                                                                   name="ptsc_pg_paypal" value="1">
                                                                            <strong><?php echo esc_html_x("Paypal", "admin", "ptsc") ?></strong>
                                                                        </label>
                                                                        <div class="paypal_info_sec"
                                                                             style="<?php echo $paypal_info_section_style ?>">

                                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                                <input id="ptsc_paypal_display_name"
                                                                                       name="ptsc_paypal_display_name"
                                                                                       value="<?php echo $paypal_display_name ?>"
                                                                                       placeholder="Display Name">
                                                                            </div>
                                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                                <input type="text"
                                                                                       id="ptsc_paypal_email"
                                                                                       name="ptsc_paypal_email"
                                                                                       value="<?php echo $paypal_email ?>"
                                                                                       placeholder="Paypal Business Email">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="ptsc_text_center">
                                                            <button type="submit" class="button button-primary save_gen"
                                                                    value="Save Settings"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                        </div>

                                                    </form>
                                                </div>
                                                <div class="ptsc_tabs_content" id="tab-8">
                                                    <form action="" method="post" class="ptsc_company_settings">
                                                        <?php
                                                        settings_fields("ptsc_company");
                                                        $ptsc_Company_name_url = get_option("ptsc_Company_name_url");
                                                        $ptsc_Company_name = get_option("ptsc_Company_name");
                                                        $ptsc_company_domain = get_option("ptsc_company_domain");
                                                        $ptsc_Company_details = get_option("ptsc_Company_details");
                                                        $ptsc_Company_address_one = get_option("ptsc_Company_address_one");
                                                        $ptsc_Company_address_tow = get_option("ptsc_Company_address_tow");
                                                        $ptsc_country_name = get_option("ptsc_country_name");
                                                        $ptsc_city_name = get_option("ptsc_city_name");
                                                        $ptsc_postal_code = get_option("ptsc_postal_code");
                                                        ?>
                                                        <div id="company-settings">
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="ptsc_Company_name_url"><strong><?php echo esc_html_x("Company Logo", "admin", "ptsc") ?></strong></label>
                                                                <input id="ptsc_Company_name_url"
                                                                       name="ptsc_Company_name_url"
                                                                       placeholder="Compnaly Logo URL"
                                                                       value="<?php echo $ptsc_Company_name_url ?>">
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="ptsc_Company_name"><strong><?php echo esc_html_x("Company Name", "admin", "ptsc") ?></strong></label>
                                                                <input id="ptsc_Company_name" name="ptsc_Company_name"
                                                                       value="<?php echo $ptsc_Company_name ?>">
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="ptsc_company_domain"><strong><?php echo esc_html_x("Company Domain", "admin", "ptsc") ?></strong></label>
                                                                <input id="ptsc_company_domain"
                                                                       name="ptsc_company_domain"
                                                                       value="<?php echo $ptsc_company_domain ?>">
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="ptsc_Company_details"><strong><?php echo esc_html_x("Company details", "admin", "ptsc") ?></strong></label>
                                                                <input id="ptsc_Company_details"
                                                                       name="ptsc_Company_details"
                                                                       value="<?php echo $ptsc_Company_details ?>">
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="ptsc_Company_address_one"><strong><?php echo esc_html_x("Address line 1", "admin", "ptsc") ?></strong></label>
                                                                <input id="ptsc_Company_address_one"
                                                                       name="ptsc_Company_address_one"
                                                                       value="<?php echo $ptsc_Company_address_one ?>">
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="ptsc_Company_address_tow"><strong><?php echo esc_html_x("Address line 2", "admin", "ptsc") ?></strong></label>
                                                                <input id="ptsc_Company_address_tow"
                                                                       name="ptsc_Company_address_tow"
                                                                       value="<?php echo $ptsc_Company_address_tow ?>">
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="ptsc_country_name"><strong><?php echo esc_html_x("Country name", "admin", "ptsc") ?></strong></label>
                                                                <input id="ptsc_country_name" name="ptsc_country_name"
                                                                       value="<?php echo $ptsc_country_name ?>">
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="ptsc_city_name"><strong><?php echo esc_html_x("City name", "admin", "ptsc") ?></strong></label>
                                                                <input id="ptsc_city_name" name="ptsc_city_name"
                                                                       value="<?php echo $ptsc_city_name ?>">
                                                            </div>
                                                            <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                <label for="ptsc_postal_code"><strong><?php echo esc_html_x("* Postal Code", "admin", "ptsc") ?></strong></label>
                                                                <input required id="ptsc_postal_code"
                                                                       name="ptsc_postal_code"
                                                                       value="<?php echo $ptsc_postal_code ?>">
                                                            </div>
                                                        </div>
                                                        <div class="ptsc_text_center">
                                                            <button type="submit"
                                                                    class="button button-primary save_gen"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <div class="ptsc_tabs_content" id="tab-9">
                                                    <form action="" method="post" class="ptsc_client_fields">
                                                        <?php
                                                        //                                settings_fields("ptsc_client_fields");
                                                        ?>
                                                        <div id="client-fields-settings">
                                                            <div class="ptsc_alert ptsc_alert_info ptsc_icon ptsc_icon_info-circled">
                                                                Checked fields would display on the order page, you can
                                                                set them as required and set your own labels.
                                                            </div>
                                                            <h2><?php echo esc_html_x("Optional Fields", "admin", "ptsc") ?></h2>
                                                            <div class="ptsc_row">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_last_name')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $last_name_field_checked = !empty(get_option('ptsc_client_last_name_required')) ? "ptsc_checked" : '';
                                                                    $last_name_field_selected = (!empty($last_name_field_checked)) ? "checked" : "";
                                                                    $client_last_name_lable = !empty(get_option('ptsc_client_last_name_label')) ? get_option('ptsc_client_last_name_label') : '';
                                                                    ?>
                                                                    <label class="ptsc_cfo <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_last_name" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Client Last Name', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $last_name_field_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_client_last_name_required" <?php echo $last_name_field_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text"
                                                                               name="ptsc_client_last_name_label"
                                                                               placeholder="Last Name Label"
                                                                               value="<?php echo $client_last_name_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_number')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_phone_number_checked = !empty(get_option('ptsc_phone_number_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_phone_number_selected = (!empty($ptsc_phone_number_checked)) ? "checked" : "";
                                                                    $ptsc_phone_number_lable = !empty(get_option('ptsc_phone_number_label')) ? get_option('ptsc_phone_number_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_number" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Phone Number', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_phone_number_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_phone_number_required" <?php echo $ptsc_phone_number_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text"
                                                                               name="ptsc_phone_number_label"
                                                                               placeholder="Phone Number"
                                                                               value="<?php echo $ptsc_phone_number_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="ptsc_row">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_company_name')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_company_name_checked = !empty(get_option('ptsc_company_name_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_company_name_selected = (!empty($ptsc_company_name_checked)) ? "checked" : "";
                                                                    $ptsc_company_name_lable = !empty(get_option('ptsc_company_name_label')) ? get_option('ptsc_company_name_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_company_name" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Company Name', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_company_name_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_company_name_required" <?php echo $ptsc_company_name_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text"
                                                                               name="ptsc_company_name_label"
                                                                               placeholder="Company Name"
                                                                               value="<?php echo $ptsc_company_name_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_password')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_client_password_checked = !empty(get_option('ptsc_client_password_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_client_password_selected = (!empty($ptsc_client_password_checked)) ? "checked" : "";
                                                                    $ptsc_client_password_label = !empty(get_option('ptsc_client_password_label')) ? get_option('ptsc_client_password_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_password" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Password', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_client_password_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_client_password_required" <?php echo $ptsc_client_password_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text"
                                                                               name="ptsc_client_password_label"
                                                                               placeholder="Password"
                                                                               value="<?php echo $ptsc_client_password_label; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <h2><?php echo esc_html_x("Optional Address Fields", "admin", "ptsc") ?></h2>
                                                            <div class="ptsc_row">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_address1')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_address_1_checked = !empty(get_option('ptsc_address_1_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_address_1_selected = (!empty($ptsc_address_1_checked)) ? "checked" : "";
                                                                    $ptsc_address_1_lable = !empty(get_option('ptsc_address_1_label')) ? get_option('ptsc_address_1_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_address1" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Address1', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_address_1_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_address_1_required" <?php echo $ptsc_address_1_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text" name="ptsc_address_1_label"
                                                                               placeholder="Address1"
                                                                               value="<?php echo $ptsc_address_1_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_address2')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_address_2_checked = !empty(get_option('ptsc_address_2_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_address_2_selected = (!empty($ptsc_address_2_checked)) ? "checked" : "";
                                                                    $ptsc_address_2_lable = !empty(get_option('ptsc_address_2_label')) ? get_option('ptsc_address_2_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_address2" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Address2', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_address_2_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_address_2_required" <?php echo $ptsc_address_2_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text" name="ptsc_address_2_label"
                                                                               placeholder="Address2"
                                                                               value="<?php echo $ptsc_address_2_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="ptsc_row">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_country')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_country_field_checked = !empty(get_option('ptsc_country_field_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_country_field_selected = (!empty($ptsc_country_field_checked)) ? "checked" : "";
                                                                    $ptsc_country_field_lable = !empty(get_option('ptsc_country_field_label')) ? get_option('ptsc_country_field_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_country" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Country', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_country_field_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_country_field_required" <?php echo $ptsc_country_field_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text"
                                                                               name="ptsc_country_field_label"
                                                                               placeholder="Country"
                                                                               value="<?php echo $ptsc_country_field_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_state')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_state_field_checked = !empty(get_option('ptsc_state_field_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_state_field_selected = (!empty($ptsc_state_field_checked)) ? "checked" : "";
                                                                    $ptsc_state_field_lable = !empty(get_option('ptsc_state_field_label')) ? get_option('ptsc_state_field_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_state" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('State', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_state_field_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_state_field_required" <?php echo $ptsc_state_field_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text" name="ptsc_state_field_label"
                                                                               placeholder="State"
                                                                               value="<?php echo $ptsc_state_field_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="ptsc_row">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_city')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_city_field_checked = !empty(get_option('ptsc_city_field_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_city_field_selected = (!empty($ptsc_city_field_checked)) ? "checked" : "";
                                                                    $ptsc_city_field_lable = !empty(get_option('ptsc_city_field_label')) ? get_option('ptsc_city_field_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_city" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('City', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_city_field_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_city_field_required" <?php echo $ptsc_city_field_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text" name="ptsc_city_field_label"
                                                                               placeholder="City"
                                                                               value="<?php echo $ptsc_city_field_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <h2>Custom
                                                                Fields<?php echo esc_html_x("Custom Fields", "admin", "ptsc") ?></h2>
                                                            <div class="ptsc_row">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_dob')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_date_field_checked = !empty(get_option('ptsc_date_field_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_date_field_selected = (!empty($ptsc_date_field_checked)) ? "checked" : "";
                                                                    $ptsc_date_field_lable = !empty(get_option('ptsc_date_field_label')) ? get_option('ptsc_date_field_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_dob" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Date', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_date_field_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_date_field_required" <?php echo $ptsc_date_field_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text" name="ptsc_date_field_label"
                                                                               placeholder="Date"
                                                                               value="<?php echo $ptsc_date_field_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_profession')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_client_profession_field_checked = !empty(get_option('ptsc_client_profession_field_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_client_profession_field_selected = (!empty($ptsc_client_profession_field_checked)) ? "checked" : "";
                                                                    $ptsc_client_profession_field_lable = !empty(get_option('ptsc_client_profession_field_label')) ? get_option('ptsc_client_profession_field_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_profession" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('One line text', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_client_profession_field_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_client_profession_field_required" <?php echo $ptsc_client_profession_field_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text"
                                                                               name="ptsc_client_profession_field_label"
                                                                               placeholder="One line text"
                                                                               value="<?php echo $ptsc_client_profession_field_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="ptsc_row">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_investment_budget')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_client_investment_field_checked = !empty(get_option('ptsc_client_investment_field_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_client_investment_field_selected = (!empty($ptsc_client_investment_field_checked)) ? "checked" : "";
                                                                    $ptsc_client_investment_field_lable = !empty(get_option('ptsc_client_investment_field_label')) ? get_option('ptsc_client_investment_field_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_investment_budget" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Number', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_client_investment_field_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_client_investment_field_required" <?php echo $ptsc_client_investment_field_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text"
                                                                               name="ptsc_client_investment_field_label"
                                                                               placeholder="Number"
                                                                               value="<?php echo $ptsc_client_investment_field_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_cnic')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_client_cnic_field_checked = !empty(get_option('ptsc_client_cnic_field_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_client_cnic_field_selected = (!empty($ptsc_client_cnic_field_checked)) ? "checked" : "";
                                                                    $ptsc_client_cnic_field_lable = !empty(get_option('ptsc_client_cnic_field_label')) ? get_option('ptsc_client_cnic_field_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_cnic" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('File Upload', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_client_cnic_field_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_client_cnic_field_required" <?php echo $ptsc_client_cnic_field_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text"
                                                                               name="ptsc_client_cnic_field_label"
                                                                               placeholder="File Upload"
                                                                               value="<?php echo $ptsc_client_cnic_field_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="ptsc_row">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal ptsc_col_6">
                                                                    <?php
                                                                    $checked = !empty(get_option('ptsc_client_remarks')) ? "ptsc_checked" : '';
                                                                    $selected = (!empty($checked)) ? "checked" : "";
                                                                    $ptsc_client_remarks_field_checked = !empty(get_option('ptsc_client_remarks_field_required')) ? "ptsc_checked" : '';
                                                                    $ptsc_client_remarks_field_selected = (!empty($ptsc_client_remarks_field_checked)) ? "checked" : "";
                                                                    $ptsc_client_remarks_field_lable = !empty(get_option('ptsc_client_remarks_field_label')) ? get_option('ptsc_client_remarks_field_label') : '';
                                                                    ?>
                                                                    <label class=" <?php echo $checked; ?>">
                                                                        <input type="checkbox"
                                                                               name="ptsc_client_remarks" <?php echo $selected; ?>
                                                                               value="yes"> <?php esc_html_e('Multi line Text', 'ptsc') ?>
                                                                    </label>
                                                                    <div class="client_fields_extra_info"
                                                                         style="display: none;">
                                                                        <label class=" <?php echo $ptsc_client_remarks_field_checked; ?>">
                                                                            <input type="checkbox"
                                                                                   name="ptsc_client_remarks_field_required" <?php echo $ptsc_client_remarks_field_selected; ?>
                                                                                   value="yes"> <?php esc_html_e('Required?', 'ptsc') ?>
                                                                        </label>
                                                                        <input type="text"
                                                                               name="ptsc_client_remarks_field_label"
                                                                               placeholder="Multi line Text"
                                                                               value="<?php echo $ptsc_client_remarks_field_lable; ?>">
                                                                        <span class="ptsc_clearfix"></span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="ptsc_text_center">
                                                            <button type="submit"
                                                                    class="button button-primary save_gen"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                        </div>
                                                    </form>
                                                </div>
                                                <div class="ptsc_tabs_content" id="tab-10">
                                                    <form action="" method="post" class="ptsc_terms_services_fields">
                                                        <?php
                                                        //                                settings_fields("ptsc_terms_services_fields");
                                                        $ptsc_tc_text = get_option("ptsc_tc_text");
                                                        $ptsc_tc_link = get_option("ptsc_tc_link");
                                                        ?>
                                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                            <?php $checked = get_option('show_tc') == 1 ? 'checked' : '' ?>
                                                            <label for="show_tc"> <input
                                                                        type="checkbox" <?php echo $checked ?>
                                                                        id="show_tc"
                                                                        name="show_tc" value="1">
                                                                <strong><?php echo esc_html_x("Enable Terms and Conditions on Order Form?", "admin", "ptsc") ?></strong></label>

                                                            <div class="client_fields_extra_info">
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="ptsc_tc_text"><strong><?php echo esc_html_x("Terms & Condition Text", "admin", "ptsc") ?></strong></label>
                                                                    <input type="text" required id="ptsc_tc_text"
                                                                           name="ptsc_tc_text"
                                                                           value="<?php echo $ptsc_tc_text ?>">
                                                                    <span class="ptsc_clearfix"></span>
                                                                </div>
                                                                <div class="ptsc_form_field ptsc_form_field_horizontal">
                                                                    <label for="ptsc_tc_link"><strong><?php echo esc_html_x("Terms & Condition link", "admin", "ptsc") ?></strong></label>
                                                                    <input type="text" required id="ptsc_tc_link"
                                                                           name="ptsc_tc_link"
                                                                           value="<?php echo $ptsc_tc_link ?>">
                                                                    <span class="ptsc_clearfix"></span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="ptsc_text_center">
                                                            <button type="submit"
                                                                    class="button button-primary save_gen"><?php echo esc_html_x("Save Settings", "admin", "ptsc") ?></button>
                                                        </div>
                                                    </form>
                                                </div>
                                            <?php } ?>
                                        </div>
                                    </div>

                                </div>


                            </div>
                        <?php } else { ?>

                            <div class="ptsc_alert ptsc_alert_info ptsc_icon ptsc_icon_info-circled ptsc_tabs_setting_info_form">

                                <?php echo esc_html_x('', "admin", "ptsc") ?>
                                Ecommerce Settings are available in Display and Sell mode, please <a
                                        href="admin.php?page=ptsc-getting-started">update mode</a> to see these settings


                            </div>

                        <?php } ?>
                    </div>


                </div>
            </div>
        </div>


    </div>
</div>
<script type="text/javascript">
    jQuery(document).ready(function () {
        jQuery('.ptsc_settings_switch').click(function () {
            var tab_id = jQuery(this).attr('data-tab');
            jQuery(this).addClass('active');
            jQuery("#" + tab_id).addClass('active');
        });
        jQuery('#show_google_login').click(function () {
            if (jQuery(this).is(":checked")) {
                jQuery('#show_google_login').val('1');
            } else {
                jQuery('#show_google_login').val('0');
            }
        });

        jQuery('#ptsc_pg_paypal').click(function () {
            if (jQuery(this).is(":checked")) {
                jQuery('.paypal_info_sec').slideDown();
            } else {
                jQuery('.paypal_info_sec').slideUp();
            }
        });

        jQuery('#ptsc_pg_bank_transfer').click(function () {
            if (jQuery(this).is(":checked")) {
                jQuery('.bank_transfer_info_sec').slideDown();
            } else {
                jQuery('.bank_transfer_info_sec').slideUp();
            }
        });
    });
</script>

