(function ($) {
    $(document).ready(function () {
        $(window).on("load resize ", function () {
            var scrollWidth = $('.tbl-content').width() - $('.tbl-content table').width();
            $('.tbl-header').css({'padding-right': scrollWidth});
        }).resize();


        $(".group_add").hide();


        $(document).on('click', '#show_add', function () {
            $(".group_add").slideDown(1000).siblings().hide();
        });

        $(document).on('click', '#save_group', function (e) {
            e.preventDefault();
            $(".group_add").hide().siblings().slideDown(1000);
        });

        $(document).on("change", ".ptsc_radio input", function () {
            var item = $(this);
            var itemName = item.prop('name');
            $('input[type="radio"][name="' + itemName + '"]').each(function () {
                var label = $(this).closest('label');
                if ($(this).is(':checked')) {
                    label.addClass('ptsc_checked');
                } else {
                    label.removeClass('ptsc_checked');
                }
            });
            console.log('changed');
        });

        $(document).on('change', '.ptsc_checkbox input', function () {
            var item = $(this);
            var label = item.closest('label');
            if (item.prop('checked')) {
                label.addClass('ptsc_checked');
            } else {
                label.removeClass('ptsc_checked');
            }
        });

        jQuery("span.ptsc_icon_clone").hover(function () {
            jQuery(this).find(".ptsc_tooltip_shoortcode").toggleClass("ptsc_hover_show");

        });

        jQuery(document).on("mouseout", "span.ptsc_icon_clone", function () {
            jQuery('.ptsc_tooltip_shoortcode').text('Copy ShoortCode');
        });

        $("div#display_settings li a").click(function (e) {
            e.preventDefault();
        });

        $("div#display_settings li").click(function () {
            var tabid = $(this).find("a").attr("href");
            $("div#display_settings li, div#display_settings div.ptsc_tabs_content").removeClass("active");   // removing active class from tab

            $("div#display_settings div.ptsc_tabs_content").css("display", "none");   // hiding open tab
            $(tabid).css("display", "block");    // show tab
            $(this).addClass("active"); //  adding active class to clicked tab
        });

        $(".ptsc_panel_body h2.hndle, .ptsc_panel_body .handlediv").click(function () {
            var $this = $(this);
            var $parents = $this.parents(".ptsc_panel_body .postbox");
            if ($parents.hasClass("closed")) {
                $parents.removeClass("closed");
                $this.siblings(".inside").show();
            } else {
                $parents.addClass("closed");
                $this.siblings(".inside").hide();
            }
        });


        //Hide all the divs with a specific class
        jQuery('.ptsc_select_image').hide();

        //~~ Display Cart setting Checkbox on the click of Display & Sell
        jQuery(document).find("input[name='w_mode']").click(function () {
            var working_mode = $(this).val();
            var itemName = $(this).prop('name');
            response_area = $(this).parent().find('.update_mode_listner');
            $(document).find('.update_mode_listner').hide();

            //~~ Display and hide relevant divs
            /*if (working_mode === 'display_and_sell') {
                jQuery(document).find('.ptsc_setup_my_cart').show();
            } else {
                jQuery(document).find('.ptsc_setup_my_cart').hide();
            }*/

            //~~ Updating Working Mode by ajax
            data = {};
            data.action = "ptsc_request_processor";
            data.ptsc_what = "ptsc_update_mode";
            data.mode_value = working_mode;

            response_area.show();
            response_area.text("(Updating mode...)");
            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    console.log(res);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            location.reload();
                        }, 1000);
                    } else {
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });

        });

        jQuery(document).find('.settt_cart').click(function () {
            jQuery(document).find('.display_sell').trigger("click");
        });

        /*
        * Display the Cart Setting when page loads either it should
        * display or not
        * */
        if (jQuery(document).find('.display_sell').hasClass('ptsc_checked')) {
            jQuery(document).find('.ptsc_setup_my_cart').show();
        }


    });

    //~~ Multi Select initialization
    $(document).ready(function () {
        $('#products_attached').select2();
    });

    jQuery(document).ready(function () {
        jQuery(".ptsc_click_image").click(function () {
            jQuery(this).prev(".ptsc_popup_image").show();
        });
        jQuery(".ptsc_img_close").click(function () {
            jQuery(".ptsc_popup_image").hide();
        })

    });


    jQuery(document).ready(function () {

        /*
         *  Update Makli Settings
         *  Save Makli Setting via Ajax actions.
         */
        /*jQuery(document).on('submit', '.ptsc_display', function (e) {
            e.preventDefault();
            let $form = jQuery(this)
            let data = $form.serializeArray();
            let update_mode_btn = $form.find('.update_working_mode');

            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'update_mode'});

            update_mode_btn.text('Updating...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            update_mode_btn.text('Updated!!');
                            location.reload();
                            console.log(res.message);
                        },2000);
                    } else {
                        alert(res.message);
                    }

                });

        });*/

        jQuery(document).on('submit', '.ptsc_general_settings', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');


            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_general_settings'});

            console.log(data);
            save_btn.text('Saving...');
            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_currency_settings', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');


            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_currency_settings'});

            console.log(data);
            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_pice_settings', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');


            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_pice_settings'});

            console.log(data);
            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_billing_settings', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');


            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_billing_settings'});

            console.log(data);
            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_social_settings', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');


            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_social_settings'});

            console.log(data);
            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_email_settings', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');


            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_email_settings'});

            console.log(data);
            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_payment_methods', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');


            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_payment_methods'});

            console.log(data);
            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_company_settings', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');

            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_company_settings'});

            console.log(data);
            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_client_fields', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');

            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_client_fields'});

            console.log(data);
            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_terms_services_fields', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');

            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_terms_services_fields'});

            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        jQuery(document).on('submit', '.ptsc_ecommerce_general_settings', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let save_btn = $form.find('.save_gen');
            let response_area = jQuery(document).find('.settings_response');

            //~~ preparing ajax data
            data.push({'name': 'action', 'value': 'ptsc_request_processor'});
            data.push({'name': 'ptsc_what', 'value': 'save_ecommerce_general_settings'});

            save_btn.text('Saving...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass(' ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.text(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            save_btn.text('Save Settings');
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });


        });

        //~~ importing demo data

        jQuery(document).on('submit', '.ptsc_import_demo', function (e) {
            e.preventDefault();
            let $form = jQuery(this);
            let data = $form.serializeArray();
            let btn = $form.find('.ptsc_demo_data');
            let response_area = jQuery(document).find('.ptsc_import_response');

            btn.text(' Importing Demo Data...');

            jQuery.post(
                ajaxurl,
                data,
                function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        setTimeout(function () {
                            response_area.addClass('ptsc_alert ptsc_alert_success ptsc_icon ptsc_icon_thumbs-up');
                            response_area.html(res.message);
                            $('html, body').animate({scrollTop: 0}, 'slow');
                            btn.text(' Imported Successfully');
                            btn.prop('disabled', true);
                        }, 1000);
                    } else {
                        response_area.addClass(' ptsc_alert ptsc_alert_danger ptsc_icon ptsc_icon_thumbs-down');
                        response_area.text(" Something Went wrong, Please try again");
                    }

                });

        })

    });

    jQuery(document).ready(function () {
        jQuery("div#shortcode label, #single_shortcode label, #product_vendor label").on('click', function () {
            jQuery(this).addClass('ptsc_active_image');
            jQuery(this).closest('div#shortcode .ptsc_col_3, #single_shortcode .ptsc_col_3, #product_vendor .ptsc_col_3').siblings().children().removeClass("ptsc_active_image");
        });

        jQuery(document).find("div#shortcode label input[checked='checked'], #single_shortcode label input[checked='checked'], #product_vendor label input[checked='checked']").parent().addClass('ptsc_active_image');
        jQuery(document).find('div#ptsc_selected_image_file').hide();
        jQuery("select.ptsc_image_selected_box").on('change', function () {
            var ptsc_url_image = jQuery(this).parent().parent().find('#ptsc_selected_image_file input').val();
            var ptsc_selected_name = jQuery(this).val();
            var cat_text = ptsc_selected_name.substr(0, ptsc_selected_name.indexOf('/'));
            var ptsc_replace_file_name = ptsc_selected_name.replace(cat_text + '/', '');
            ptsc_replace_file_name = ptsc_replace_file_name.replace('.tpl', '.png');
            var complete_img_path = ptsc_url_image + ptsc_replace_file_name;
            var tmpImg = new Image();

            tmpImg.src = complete_img_path; //or  document.images[i].src;
            $(tmpImg).error(function () {
                jQuery('#ptsc_selected_image_file img').attr("src", ptsc_url_image + 'image_na.png');
            });

            jQuery('#ptsc_selected_image_file img').attr("src", complete_img_path);
            jQuery(document).find('div#ptsc_selected_image_file').show();
        });

    });

    //~~ To toggle the detail section shortcode(widget) options
    jQuery(document).ready(function () {
        jQuery('.ptsc_toggle_more_option h4').on("click", function () {
            jQuery('.ptsc_table_more_option').slideToggle();
        });
    });


    //~~ To scroll edit user page to relevant list
    jQuery(document).ready(function () {
        jQuery('.ptsc_user_center_box').on("click", function () {
            var ptsc_user_data = jQuery(this).data("value");
            jQuery('html, body').animate({scrollTop: 1000}, 'slow');
            jQuery('#' + ptsc_user_data).show().siblings().hide();

        });
    });

    //~~ To getting started toggle first time show display mode

    jQuery(document).ready(function () {
        jQuery('.ptsc_getting_box.ptsc_getting_toggle_button').on("click", function () {
            jQuery("ul.ptsc_quick_description").slideToggle();
            jQuery(this).toggleClass('ptsc_miuns_toggle');
        });
        if(jQuery('.ptsc_mode_detector').val() === '0' ) {
            jQuery('ul.ptsc_quick_description').show();
            jQuery('.ptsc_getting_box.ptsc_getting_toggle_button').addClass('ptsc_miuns_toggle');
        }
    });

    //(~~) Setting page tabs display show on click
    jQuery(document).ready(function () {
        jQuery('ul#ptsc_tabs_settings_tabs li').on('click', function () {
            var ptsc_data_tab_aclive  = jQuery(this).data('tab');
            var ptsc_data_tab_in_li_active = jQuery( '#' + ptsc_data_tab_aclive).find('ul li.active').data('tab');
            setTimeout(function () {
                jQuery('#' + ptsc_data_tab_in_li_active).addClass('active');
            }, 50);
        });
    });

    jQuery(document).ready(function () {
        jQuery('div#social-login-settings label strong input').on('click', function () {
            jQuery(this).parent().parent().parent().find(".client_fields_extra_info").slideToggle();
        });
        jQuery('div#billing_settings label #ptsc_enable_pg').on('click', function () {
            jQuery(this).parent().parent().parent().find(".payment_fields_extra_info").slideToggle();
        });

        jQuery('div#email-settings label input#ptsc_enabel_emmail_option').on('click', function () {
            jQuery(this).parent().parent().parent().find(".client_fields_extra_info").slideToggle();
        });

        jQuery('div#client-fields-settings .ptsc_row label input').on('click', function () {
            jQuery(this).parent().parent().find(".client_fields_extra_info").slideToggle();
        });

        jQuery('div#client-fields-settings .ptsc_row label.ptsc_checked').each(function () {
            jQuery(this).parent().find(".client_fields_extra_info").slideToggle();
        });
    });

}(jQuery));






