<?php


require_once (PTSC_PATH.'/classes/ptsc_db.php');
class PTSC_Currency extends PTSC_DB {
	public $table_name;
	public $primary_key;

	public function __construct() {
		global $wpdb;
		$this->primary_key='c_id';
		$this->table_name= $wpdb->prefix.'ptsc_currencies';
	}


	public function ptsc_get_columns() {
		return array(
			'c_id'=>'%d',
			'code'=>'%s',
			'prefix'=>'%s',
			'suffix'=>'%s',
			'format'=>'%d',
			'rate'=>'%f',
			'default'=>'%d'
		);
	}


	public function ptsc_get_column_defaults( ) {
		return array(
			'c_id'=>'',
			'code'=>'',
			'prefix'=>'',
			'suffix'=>'',
			'format'=>'',
			'rate'=>'',
			'default'=>''
		);
	}


	public function ptsc_custom_currency_format($amount, $decimals, $decimal_sep, $thousands_sep,$left_zero=false,$right_zero=false ) {

		$num = substr_count($amount,'0','0',strpos($amount,'.'));

		$formatted     = number_format((float)$amount, $decimals, $decimal_sep, $thousands_sep );

		$str = (string)$formatted;

		if($left_zero==true) {
			$str=ltrim($str,'0');
		}
		if($left_zero==false)
		{
			$str=str_pad($str, $num, '0', STR_PAD_LEFT);
		}
		if($right_zero==true) {
			$str = rtrim($str,'0');
		}

		return $str;
	}


}