<?php
/**
 * Created by PhpStorm.
 * User: zain
 * Date: 7/6/2020
 * Time: 11:13 AM
 */ ?>
<?php
function ptsc_sp_process()
{
    $ptsc_what = (!empty($_POST['ptsc_sp_what'])) ? esc_attr($_POST['ptsc_sp_what']) : 'nothing';
    $currency_info = get_currenct_currency_code();
    $_POST['currency_code'] = $currency_info['code'];
    $response = [];
    switch ($ptsc_what) {
        case 'ptsc_change_product':
            $response['status'] = 'OK';
            $default_billingcycle = (!empty($_POST['default_billingcycle'])) ? esc_attr($_POST['default_billingcycle']) : '';
            $current_template = (!empty($_POST['current_template'])) ? esc_attr($_POST['current_template']) : '';

            $response['response_html']['billingcycles'] = $_POST['pid'];
            $product_details = ptsc_get_product_details($_POST['pid']);
            if ($product_details) {
                $response['status'] = 'OK';
                $response['response_html']['product_details'] = $product_details;
                $response['response_html']['billingcycles'] = ptsc_sp_render_product_billingcycles($product_details, $default_billingcycle, $current_template);
                $response['response_html']['paymentform'] = ptsc_sp_render_paymentform($product_details, $default_billingcycle);
                $response['message'] = '<i class="fa fa-check-square-o"></i>' . " " . 'Product is selected';
            }

            break;
        case 'ptsc_generate_summary':
            $response['summary_html'] = ptsc_sp_generate_order_summary($_POST);
            $response['status'] = 'OK';
            $response['message'] = '<i class="fa fa-check"></i>' . " " . 'Product summary updated';
            break;
        case 'add_order' :
            $client_id = '';
            //$_POST['ptsc_sp_client_type'] = (is_user_logged_in()) ? 'login' : 'register';

            //$_POST['ptsc_sp_client_type'] = !empty($_POST['ptsc_sp_client_type'])?$_POST['ptsc_sp_client_type'] : 'register';
            //~~ If product id is not given then show error message

            if (empty($_POST['ptsc_pid'])) {
                $msg = 'Product is not selected';
                $response['message'] = '<i class="fa fa-close"></i>' . " " . $msg;
                $response['status'] = "ERROR";
            } else {

                //~~ if Terms and conditions are not accepted then show error message
                if (get_option('show_tc') == 1 && $_POST['ptsc_confirm_terms'] != 'yes') {
                    $msg = 'Terms of Services are not accepted';
                    $response['message'] = '<i class="fa fa-close"></i>' . " " . $msg;
                    $response['status'] = "ERROR";
                    break;
                }

                if (!empty($_POST['ptsc_sp_client_type'])) {
                    if (esc_attr($_POST['ptsc_sp_client_type']) == 'register') {

                        //~~ If password field is optional then generate own password
                        $_POST['password'] = (!isset($_POST['password']) || empty($_POST['password']))?ptsc_generate_pass():$_POST['password'];
                        $_POST['password2'] = (!isset($_POST['password2']) || empty($_POST['password2']))?$_POST['password']:$_POST['password2'];

                        $client_response = ptsc_register_new_client($_POST);
                        $new_cl_flag = 1;
                        if ($client_response['status'] == "OK") {
                            $response['message'] = "New client registered successfully";
                            $response['status'] = "OK";
                            $response['user_id'] = $client_response['user_id'];
                        } else {

                            $response['message'] = $client_response['errors'];
                            //$response['message'] = "Something went wrong";
                            $response['status'] = "ERROR";
                            break;
                        }
                    } else {
                        $response['status'] = 'OK';
                        $response['message'] = 'User is logged in successfully!!';
                    }
                }
                $client_id = get_current_user_id();
                if ($client_id && (int)$client_id > 0) {
                    $order_response = ptsc_submit_order($_POST, $client_id, $new_cl_flag);
                    if ($order_response['status'] == 'OK') {
                        $order_response_msg = ptsc_order_complete_message($_POST['ptsc_invoice_no'],$_POST['paymentmethod']);
                        $response['message'] = $order_response_msg;
                        $response["product_price"] = $order_response['product_price'];
                        $response["currency_code"] = $order_response['currency_code'];
                        $response["client_email"] = $order_response['client_email'];
                        $response["payment_gateway"] = $_POST['paymentmethod'];
                        $response["p_id"] = $_POST['ptsc_pid'];

                        $response['insert_data'] = $order_response['insert_data'];
                        $response['status'] = "OK";
                    } else {
                        $order_res_msg = isset($order_response['message']) ? ($order_response['message']) : 'Something is wrong with data entry in database';
                        $response['message'] = '<i class="fa fa-window-close">' . $order_res_msg;
                        $response['status'] = "ERROR";
                    }
                } else {
                    $msg = 'We cannot validate you, please register with us';
                    $response['message'] = '<i class="fa fa-close"></i>' . " " . $msg;
                    $response['status'] = "ERROR";
                }
            }
            break;
        case 'ptsc_client_login':
            $client_response = ptsc_login_client($_POST);
            if ($client_response['status'] == "OK") {
                $response['status'] = 'OK';
                $response['user_id'] = $client_response['user_id'];
                $response['message'] = 'User is logged in successfully!!';
            } else {
                $response['status'] = 'ERROR';
                $response['message'] = "Email or password inavalid";
            }
            break;
        case 'load_page':
            $response['status'] = "OK";
            $response['page_content'] = ptsc_load_client_page($_POST['page'], $_POST);
            break;
        case 'load_invoice_view':
            $invoice_view = ptsc_invoice_view($_POST['inv_no'],$_POST['pg']);
            $response['invoice_view'] = $invoice_view;
            $response['message'] = 'Invoice view is ready.';
            $response['status'] = "OK";
            break;
        case 'ptsc_process_login':
            $credentials = [
                'ptsc_login_email' => (!empty($_POST['login_email'])) ? esc_attr($_POST['login_email']) : '',
                'ptsc_login_pass' => (!empty($_POST['login_pass'])) ? esc_attr($_POST['login_pass']) : '',
                'ptsc_login_nonce' => (!empty($_POST['login_nonce'])) ? esc_attr($_POST['login_nonce']) : '',
            ];
            $response = ptsc_login_client($credentials);
            if ($response['status'] == 'OK') {
                $response = ['status' => 'OK'];
                $response['message'] = esc_html__("Login Successful.", "ptsc");
                $response['register_heading'] = esc_html__("Billing Info", "ptsc");
                $response['register_html'] = ptsc_render_logged_in_client_form();
            }
            break;
        case 'send_contact_email':


            //~~ Calling my custom hook to send contact email
            if (get_option('enable_contact-form') == 1) {
                do_action('ptsc_cf_email', $_POST);
            }

            //~~ Building data variables
            /*$to = get_option('ptsc_email_sender_email');
            $subject = 'Message from Makli';
            $message = 'Name: '.$_POST['ptsc_fn_contact_from'].' '.$_POST['ptsc_ls_contact_from'].'<br>';
            $message .= 'Client Email: '.$_POST['ptsc_email_contact_from'].'<br>';
            $message .= 'Client Number: '.$_POST['ptsc_phone_contact_from'].'<br>';
            $message .= 'Message: '.$_POST['ptsc_ms_contact_from'].'<br>';

            //~~ Sending email

            add_filter('wp_mail_content_type', function( $content_type ) {
                return 'text/html';
            });
            wp_mail($to,$subject,$message);*/


            $response['data'] = $_POST;
            $response['status'] = 'OK';
            $response['message'] = 'An email sent successfully.';
            break;
        default:
            $response['message'] = 'Something went wrong. Please try again later';
            $response['status'] = "Error";
    }
    echo json_encode($response, JSON_FORCE_OBJECT);
    die();
}

add_action('wp_ajax_ptsc_sp_process', 'ptsc_sp_process');
add_action('wp_ajax_nopriv_ptsc_sp_process', 'ptsc_sp_process');
?>
