/**
 * Created by Zain ul Abidin
 */
var ptsc_spinner_gif = '<div class="ptsc_loader"></div>';
(
    //~~ All client Side JS rendering here
    function ($) {
        //== PTSC Cart order processing starts below

        $(document).on('ready', function () {
            $('#ptsc_sp_product_select').trigger('change');
        });
        // chnage product from dropdown
        $(document).on('change', '#ptsc_sp_product_select', function () {
            let product_select = $('#ptsc_sp_product_select');
            let selected_option = product_select.find(':selected');
            let main_form = product_select.closest('form.ptsc_sp_add_product');
            let billingcycle_container = main_form.find('.ptsc_sp_prod_billingcycle');
            let paymentform_container = jQuery(document).find('.ptsc_payment_form');

            data = {};
            data.action = "ptsc_sp_process";
            data.ptsc_sp_what = "ptsc_change_product";
            data.pid = $(this).val();
            data.default_billingcycle = main_form.find('[name="default_billingcycle"]').val();
            data.current_template = main_form.find('[name="ptsc_current_template"]').val();

            billingcycle_container.html('Loading..');
            $.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        billingcycle_container.html(res.response_html.billingcycles);
                        paymentform_container.html(res.response_html.paymentform);
                        ptsc_show_notification(res.message, 'ptsc_alert ptsc_alert_success');
                    }
                    ptsc_sp_update_product_summary();
                },
            });
        });

        //~~ Change Product Billing Cycle
        $(document).on('change', '#ptsc_sp_product_billingcycle', function () {
            let billingcycle = $(this).val();
            let data = {};
            data.billingcycle = billingcycle;
            ptsc_sp_update_product_summary();
            ptsc_show_notification("BillingCycle changed", 'ptsc_alert ptsc_alert_success');

            //data.wcop_sp_what = "change_billingcycle";

        });

        // Client Type Switching,
        $(document).on('click', '.ptsc_sp_client_type_switch', function () {
            let tab = $(this);
            let type_input = $('input[name="ptsc_sp_client_type"]');
            let login_container = $('#ptsc_sp_user_login');
            let register_container = $('#ptsc_sp_register_account');

            login_container.find('[required]').each(function () {
                $(this).prop('required', false).addClass('ptsc_sp_required');
            });
            register_container.find('[required]').each(function () {
                $(this).prop('required', false).addClass('ptsc_sp_required');
            });

            // determine which tab link is activated
            if (!$(this).hasClass('active')) {
                $(this).addClass('active').siblings().removeClass('active');
            }

            if (tab.data('tab') === 'ptsc_sp_register_account') {
                type_input.val('register');
                register_container.find('.ptsc_sp_required').each(function () {
                    $(this).prop('required', true).removeClass('ptsc_sp_required');
                });
                if (login_container.hasClass('active')) {
                    login_container.removeClass('active');
                    register_container.addClass('active');
                }
            } else {
                type_input.val('login');
                login_container.addClass('active');
                register_container.removeClass('active');
                login_container.find('.ptsc_sp_required').each(function () {
                    $(this).prop('required', true).removeClass('ptsc_sp_required');
                });
            }
        });

        // Submit order
        $(document).on('submit', '.ptsc_sp_add_product', function (e) {
            e.preventDefault();

            //~~ Initializing future used variables
            let $form = $(this);
            let response_field = $form.find('.ptsc_sp_order_response');
            let response_div = $('#ptsc_sp_main');

            //~~ Getting All Form Data
            var formData = new FormData(this);


            //~~ If cnic form field is activated
            if ($('#ptsc_client_cnic').length) {
                //~~ Getting uploaded image data
                var ptsc_client_data = $('#ptsc_client_cnic').prop('files')[0];

                //~~ Populating Form data with user uploaded file
                formData.append('file', ptsc_client_data);
            }

            //~~ Populating Form data with billingcycle
            formData.append('billingcycle', $form.find('[name="default_billingcycle"]').val());

            //~~ Response field is the field in which order response would be populated.
            response_field.show();
            response_field.html('Loading...');

            //~~ Showing all formData in key value pairs in console
            for (var pair of formData.entries()) {
                console.log(pair[0] + ': ' + pair[1]);
            }
            console.log(formData.values());
            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: formData,
                processData: false,
                contentType: false,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === "OK") {
                        //~~ Getting current URL of the order page
                        let curr_url = window.location.href;

                        //~~ If paypal or stripe enabled then redirect to their respective pages.
                        if (res.payment_gateway === 'paypal') {
                            $('#ptsc_paypal_payments').trigger('submit');
                        } else {

                            //~~ if payment gateways are not selected then show our message in the response area.
                            //response_div.addClass('ptsc_alert ptsc_alert_success ptsc_alert_with_icon ptsc_text_center');
                            response_div.html(res.message);
                        }
                    } else {

                        //~~ if Ajax response is not fine then show error message.
                        /*response_field.addClass('ptsc_alert ptsc_alert_danger ptsc_alert_with_icon ptsc_text_center');
                        response_field.html(res.message);*/
                        ptsc_show_notification(res.message, 'ptsc_alert ptsc_alert_danger');
                        response_field.hide();

                    }
                }
            });
        });

        $(document).on('submit', '.authenticate_client', function (e) {
            e.preventDefault();
            let $form = $(this);
            let response_field = $form.find('.ptsc_client_authenticate_response');
            let data = $(this).serializeArray();

            response_field.show();
            response_field.html('Loading...');
            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === "OK") {
                        response_field.addClass('ptsc_alert ptsc_alert_success ptsc_alert_with_icon ptsc_text_center');
                        response_field.html(res.message);
                        window.location.reload(true);
                    } else {
                        response_field.addClass('ptsc_alert ptsc_alert_danger ptsc_alert_with_icon ptsc_text_center');
                        response_field.html(res.message);
                    }
                }
            });

        });

        $(document).on('click', '.ptsc_client_area_dashboard ', function (e) {
            e.preventDefault();
            let $ca_content = $(document).find('.ptsc_client_area_content');
            let data = {};
            data.page = 'home';
            data.action = 'ptsc_sp_process';
            data.ptsc_sp_what = 'load_page';
            $ca_content.html(ptsc_spinner_gif);

            $(this).addClass('ptsc_ca_active');
            $(this).siblings().removeClass('ptsc_ca_active');

            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === "OK") {
                        $ca_content.html(res.page_content);
                    } else {
                        $ca_content.html('Loading...');
                    }
                }
            });
        });

        $(document).on('click', '.ptsc_client_area_services ', function (e) {
            e.preventDefault();
            let $ca_content = $(document).find('.ptsc_client_area_content');
            let data = {};
            data.page = 'services';
            data.action = 'ptsc_sp_process';
            data.ptsc_sp_what = 'load_page';
            $ca_content.html(ptsc_spinner_gif);

            $(this).addClass('ptsc_ca_active');
            $(this).siblings().removeClass('ptsc_ca_active');

            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === "OK") {
                        $ca_content.html(res.page_content);
                    } else {
                        $ca_content.html('Loading...');
                    }
                }
            });
        });

        $(document).on('click', '.ptsc_client_area_invoices', function (e) {
            e.preventDefault();
            let $ca_content = $(document).find('.ptsc_client_area_content');
            let data = {};


            data.page = 'invoices';
            data.action = 'ptsc_sp_process';
            data.ptsc_sp_what = 'load_page';
            $ca_content.html(ptsc_spinner_gif);

            $(this).addClass('ptsc_ca_active');
            $(this).siblings().removeClass('ptsc_ca_active');
            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === "OK") {
                        $ca_content.html(res.page_content);
                    } else {
                        $ca_content.html('Loading...');
                    }
                }
            });
        });

        $(document).on('click', '.ptsc_client_area_orders', function (e) {
            e.preventDefault();
            let $ca_content = $(document).find('.ptsc_client_area_content');
            let data = {};


            data.page = 'orders_pages';
            data.action = 'ptsc_sp_process';
            data.ptsc_sp_what = 'load_page';
            $ca_content.html(ptsc_spinner_gif);

            $(this).addClass('ptsc_ca_active');
            $(this).siblings().removeClass('ptsc_ca_active');

            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === "OK") {
                        $ca_content.html(res.page_content);
                    } else {
                        $ca_content.html('Loading...');
                    }
                }
            });
        });

        $(document).on('click', '.ptsc_order_detail', function (e) {
            e.preventDefault();
            let $ca_content = $(document).find('.ptsc_client_area_content');
            let data = {};


            data.page = 'order_detail';
            data.action = 'ptsc_sp_process';
            data.ptsc_sp_what = 'load_page';
            data.order_id = $(this).data('orderid');
            $ca_content.html(ptsc_spinner_gif);

            $(this).addClass('ptsc_ca_active');
            $(this).siblings().removeClass('ptsc_ca_active');

            console.log("Order Details");
            console.log(data);
            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === "OK") {
                        $ca_content.html(res.page_content);
                    } else {
                        $ca_content.html('Loading...');
                    }
                }
            });
        });

        $(document).on('click', '.ptsc_service_detail', function (e) {
            e.preventDefault();
            let $ca_content = $(document).find('.ptsc_client_area_content');
            let data = {};


            data.page = 'service_detail';
            data.action = 'ptsc_sp_process';
            data.ptsc_sp_what = 'load_page';
            data.service_id = $(this).data('serviceid');
            $ca_content.html(ptsc_spinner_gif);

            $(this).addClass('ptsc_ca_active');
            $(this).siblings().removeClass('ptsc_ca_active');

            console.log("Order Details");
            console.log(data);
            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === "OK") {
                        $ca_content.html(res.page_content);
                    } else {
                        $ca_content.html('Loading...');
                    }
                }
            });
        });

        $(document).on('click', '.ptsc_view_invoice', function (e) {
            e.preventDefault();

            let response_div = $('#ptsc_sp_main');

            //~~ Initialization of data array
            let data = {};

            //~~ Getting client invoice number
            var selected_inv = jQuery(document).find('.inv_no').val();
            var selected_pg = jQuery(document).find('.selected_pg').val();

            //~~prepare data for ajax call
            /*data.push({'name': 'action', 'value': 'ptsc_sp_process'});
            data.push({'name': 'ptsc_sp_what', 'value': 'load_invoice_view'});
            data.push({'name': 'inv_no', 'value': selected_inv});*/
            data.action = 'ptsc_sp_process';
            data.ptsc_sp_what = 'load_invoice_view';
            data.inv_no = selected_inv;
            data.pg = selected_pg;

            //~~While invoice loading change button text
            $(this).text("Loading...");
            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === "OK") {
                        //~~ Populating response area with the invoice
                        response_div.html(res.invoice_view);
                    } else {
                        //~~ Rendering error message
                        response_div.html('Something Went Wrong');
                    }
                }
            });

        })

        $(document).on('click', '.ptsc_login_form_login_button', function (e) {
            e.preventDefault();
            let section_container = $(document).find('#ptsc_client_sepecific_fields');
            let register_form = section_container.find('#ptsc_sp_register_account');
            let login_form = section_container.find('#ptsc_sp_user_login');
            let login_button = login_form.find('.ptsc_login_form_login_button');
            let login_button_text = login_button.text();
            login_button.html(ptsc_spinner_gif);
            let data = {};
            data.action = "ptsc_sp_process";
            data.ptsc_sp_what = 'ptsc_process_login';
            data.login_email = login_form.find('[name="ptsc_login_email"]').val();
            data.login_pass = login_form.find('[name="ptsc_login_pass"]').val();
            data.login_nonce = login_form.find('[name="ptsc_login_nonce"]').val();
            console.log(data);
            jQuery.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    login_button.text(login_button_text);
                    if (res.status === 'OK') {
                        ptsc_show_notification(res.message, 'ptsc_alert ptsc_alert_success');
                        section_container.html(res.register_html);
                        //button.html(button_text);
                    } else {
                        ptsc_show_notification(res.message, 'ptsc_alert ptsc_alert_danger');
                        console.log(res);
                        //button.html(button_text);
                    }
                }
            });

        });

        $(document).on('click', '.ptsc_login_form_register_toggle', function (e) {
            //$(document).find('.ptsc_sp_client_type_switch ').trigger('click');
            let type_input = $('input[name="ptsc_sp_client_type"]');
            let login_container = $('#ptsc_sp_user_login');
            let register_container = $('#ptsc_sp_register_account');
            let register_tab = $('.ptsc_register_tab');
            let login_tab = $('.ptsc_login_tab');

            type_input.val('register');
            register_container.find('.ptsc_sp_required').each(function () {
                $(this).prop('required', true).removeClass('ptsc_sp_required');
            });
            if (login_container.hasClass('active')) {
                login_container.removeClass('active');
                register_container.addClass('active');
            }
            if (login_tab.hasClass('active')) {
                login_tab.removeClass('active');
                register_tab.addClass('active');
            }

        });

        window.ptsc_sp_update_product_summary = function () {

            let prd_form = $('form.ptsc_sp_add_product');
            let prd_summary = $('.ptsc_sp_order_summary');
            let prd_summary_spinner = $('.ptsc_sp_product_summary_spinner');
            prd_summary_spinner.show();
            let data = prd_form.serializeArray();
            data.push({'name': 'ptsc_sp_what', 'value': 'ptsc_generate_summary'});
            $.ajax({
                url: ptsc_ajax.ajax_url,
                type: 'post',
                data: data,
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.status === 'OK') {
                        prd_summary.html(res.summary_html.side);
                        if (res.summary_html.discount_message) {
                            $('.ptsc_coupon_response').html(res.summary_html.discount_message);
                        }
                    }
                },
            });
        };

        window.ptsc_show_notification = function (text = undefined, message_type = 'success_message') {
            console.log('show notification running');
            if (text) {
                let animation_container = jQuery('.ptsc_notification');
                let new_class = message_type + ' ptsc_notification_active';
                animation_container.html(text).addClass(new_class);
                setTimeout(function () {
                    animation_container.removeClass(new_class);
                }, 3000);
            }
        };


    }(jQuery)
);

// Function to initiate Slider
function runSlider_id(slider_id) {
    var $slider_div = slider_id;
    var descTitles = [];
    var orderURLs = [];
    $slider_div.find("#JS_Data li").each(function () {
        descTitles.push(jQuery(this).data("index"));
        orderURLs.push(jQuery(this).data("order"));
    });
    $slider_div.find(".ptsc_slider_submit_button.no_multi a").attr("href", orderURLs[0]);
    var initialValue = 1, min = 1, max = descTitles.length;
    $slider_div.find(".ptsc_packages_list > .ptsc_package_title[data-index='1']").addClass("active");
    if (document.dir === "rtl") {
        $slider_div.find("#ptsc_slider").slider({
            value: max,
            min: min,
            max: max,
            step: 1,
            range: "max",
            animate: true,
            // create: function (event, ui) {
            // 	var handle = $slider_div.find('.ui-slider-handle');
            // 	handle.append('<span>' + ui.value + '</span>')
            // },
            change: function (event, ui) {
                $slider_div.find(".ptsc_slider_content").addClass("ptsc_hidden");
                $slider_div.find("#description_" + ((max + 1) - ui.value)).removeClass("ptsc_hidden");
                $slider_div.find(".ptsc_slider_discount").addClass("ptsc_hidden");
                $slider_div.find("#discount_" + ((max + 1) - ui.value)).removeClass("ptsc_hidden");
                $slider_div.find(".ptsc_slider_head_prices").addClass("ptsc_hidden");
                $slider_div.find("#head_price_" + ((max + 1) - ui.value)).removeClass("ptsc_hidden");

                $slider_div.find(".ptsc_price_sep").hide();
                $slider_div.find("#ptsc_price_" + ((max + 1) - ui.value)).show();
                $slider_div.find(".ptsc_slider_submit_button.no_multi a").attr("href", orderURLs[((max + 1) - ui.value) - 1]);
                $slider_div.find(".ptsc_packages_list > .ptsc_package_title").removeClass("active");
                $slider_div.find(".ptsc_packages_list > .ptsc_package_title[data-index='" + ((max + 1) - ui.value) + "']").addClass("active");
                $slider_div.find(".ptsc_slider_heading span").text($slider_div.find('.ptsc_package_title li[data-index="' + ((max + 1) - ui.value) + '"]').data('title'));

                //var handle = $slider_div.find('ui-slider-handle');
            },
            slide: function (event, ui) {
                $slider_div.find(".ptsc_slider_content").addClass("ptsc_hidden");
                $slider_div.find("#description_" + ((max + 1) - ui.value)).removeClass("ptsc_hidden");
                $slider_div.find(".ptsc_slider_discount").addClass("ptsc_hidden");
                $slider_div.find("#discount_" + ((max + 1) - ui.value)).removeClass("ptsc_hidden");
                $slider_div.find(".ptsc_slider_head_prices").addClass("ptsc_hidden");
                $slider_div.find("#head_price_" + ((max + 1) - ui.value)).removeClass("ptsc_hidden");

                $slider_div.find(".ptsc_price_sep").hide();
                $slider_div.find("#ptsc_price_" + ((max + 1) - ui.value)).show();
                $slider_div.find(".ptsc_slider_submit_button.no_multi a").attr("href", orderURLs[((max + 1) - ui.value) - 1]);
                $slider_div.find(".ptsc_packages_list > .ptsc_package_title").removeClass("active");
                $slider_div.find(".ptsc_packages_list > .ptsc_package_title[data-index='" + ((max + 1) - ui.value) + "']").addClass("active");
                $slider_div.find(".ptsc_slider_heading span").text($slider_div.find('.ptsc_package_title li[data-index="' + ((max + 1) - ui.value) + '"]').data('title'));
            }
        });
        $slider_div.find(".ptsc_packages_list li").on("click", function () {
            var sliderValue = jQuery(this).data("index");
            $slider_div.find("#ptsc_slider").slider('value', ((max + 1) - sliderValue));
        });
    } else {
        $slider_div.find("#ptsc_slider").slider({
            value: initialValue,
            min: min,
            max: max,
            step: 1,
            range: "min",
            animate: true,
            // create: function (event, ui) {
            // 	var handle = $slider_div.find('.ui-slider-handle');
            // 	handle.append('<span>' + ui.value + '</span>')
            // },
            change: function (event, ui) {
                $slider_div.find(".ptsc_slider_content").addClass("ptsc_hidden");
                $slider_div.find("#description_" + ui.value).removeClass("ptsc_hidden");
                $slider_div.find(".ptsc_slider_discount").addClass("ptsc_hidden");
                $slider_div.find("#discount_" + ui.value).removeClass("ptsc_hidden");
                $slider_div.find(".ptsc_slider_head_prices").addClass("ptsc_hidden");
                $slider_div.find("#head_price_" + ui.value).removeClass("ptsc_hidden");

                $slider_div.find(".ptsc_price_sep").hide();
                $slider_div.find("#ptsc_price_" + ui.value).show();
                $slider_div.find(".ptsc_slider_submit_button.no_multi a").attr("href", orderURLs[ui.value - 1]);
                $slider_div.find(".ptsc_packages_list > .ptsc_package_title").removeClass("active");
                $slider_div.find(".ptsc_packages_list > .ptsc_package_title[data-index='" + ui.value + "']").addClass("active");
                $slider_div.find(".ptsc_slider_heading span").text($slider_div.find('.ptsc_package_title li[data-index="' + ui.value + '"]').data('title'));

                //var handle = $slider_div.find('ui-slider-handle');
            },
            slide: function (event, ui) {
                $slider_div.find(".ptsc_slider_content").addClass("ptsc_hidden");
                $slider_div.find("#description_" + ui.value).removeClass("ptsc_hidden");
                $slider_div.find(".ptsc_slider_discount").addClass("ptsc_hidden");
                $slider_div.find("#discount_" + ui.value).removeClass("ptsc_hidden");
                $slider_div.find(".ptsc_slider_head_prices").addClass("ptsc_hidden");
                $slider_div.find("#head_price_" + ui.value).removeClass("ptsc_hidden");

                $slider_div.find(".ptsc_price_sep").hide();
                $slider_div.find("#ptsc_price_" + ui.value).show();
                $slider_div.find(".ptsc_slider_submit_button.no_multi a").attr("href", orderURLs[ui.value - 1]);
                $slider_div.find(".ptsc_packages_list > .ptsc_package_title").removeClass("active");
                $slider_div.find(".ptsc_packages_list > .ptsc_package_title[data-index='" + ui.value + "']").addClass("active");
                $slider_div.find(".ptsc_slider_heading span").text($slider_div.find('.ptsc_package_title li[data-index="' + ui.value + '"]').data('title'));
            }
        });
        $slider_div.find(".ptsc_packages_list li").on("click", function () {
            var sliderValue = jQuery(this).data("index");
            $slider_div.find("#ptsc_slider").slider('value', sliderValue);
        });
    }

    for (var i = 2; i < max + 1; i++) {
        var positionStep = 100 / (max - 1);
        var positionLeft = (i - 1) * positionStep;
        $slider_div.find(".ptsc_packages_list li:nth-child(" + i + ")").css({
            "left": positionLeft + "%"
        });
        $slider_div.find(".ptsc_slider_pipe:nth-child(" + i + ")").css({
            "left": positionLeft + "%"
        });
    }


}

function slider_toggle(slider_id) {
    var $slider_container = slider_id;
    var billingTitles = [];
    $slider_container.find("#JS_Data li").each(function () {
        billingTitles.push(jQuery(this).data("index"));
    });
    var initialValue = 1, min = 1, max = billingTitles.length;
    $slider_container.find(".ptsc_packages_list > .ptsc_package_title[data-index='1']").addClass("active");
    $slider_container.find("#ptsc_slider").slider({
        value: initialValue,
        min: min,
        max: max,
        step: 1,
        range: "min",
        animate: true,
        change: function (event, ui) {
            $slider_container.find(".ptsc_packages_list > .ptsc_package_title").removeClass("active");
            $slider_container.find(".ptsc_packages_list > .ptsc_package_title[data-index='" + ui.value + "']").addClass("active");
            $slider_container.find(".ptsc_slider_heading span").text($slider_container.find('.ptsc_package_title li[data-index="' + ui.value + '"]').data('title'));
            var duration = $slider_container.find('.ptsc_package_title li[data-index="' + ui.value + '"]').data('title');
            $slider_container.find('.ptsc_price_table > .holder').hide();
            $slider_container.find('.ptsc_price_table > .holder.' + duration).show();
            $slider_container.find('.ptsc_discounts_container > .ptsc_holder').hide();
            $slider_container.find('.ptsc_discounts_container > .ptsc_holder.' + duration).show();
            $slider_container.find('.ptsc_button > .ptsc_holder').hide();
            $slider_container.find('.ptsc_button > .ptsc_holder.' + duration).show();
            $slider_container.find('.ptsc_price > .ptsc_holder').hide();
            $slider_container.find('.ptsc_price > .ptsc_holder.' + duration).show();

        },

        slide: function (event, ui) {
            $slider_container.find(".ptsc_packages_list > .ptsc_package_title").removeClass("active");
            $slider_container.find(".ptsc_packages_list > .ptsc_package_title[data-index='" + ui.value + "']").addClass("active");
            $slider_container.find(".ptsc_slider_heading span").text($slider_container.find('.ptsc_package_title li[data-index="' + ui.value + '"]').data('title'));
            var duration = $slider_container.find('.ptsc_package_title li[data-index="' + ui.value + '"]').data('title');
            $slider_container.find('.ptsc_price_table > .holder').hide();
            $slider_container.find('.ptsc_price_table > .holder.' + duration).show();
            $slider_container.find('.ptsc_discounts_container > .ptsc_holder').hide();
            $slider_container.find('.ptsc_discounts_container > .ptsc_holder.' + duration).show();
            $slider_container.find('.ptsc_button > .ptsc_holder').hide();
            $slider_container.find('.ptsc_button > .ptsc_holder.' + duration).show();
            $slider_container.find('.ptsc_price > .ptsc_holder').hide();
            $slider_container.find('.ptsc_price > .ptsc_holder.' + duration).show();
        }
    });
    $slider_container.find(".ptsc_packages_list li").on("click", function () {
        var sliderValue = jQuery(this).data("index");
        $slider_container.find("#ptsc_slider").slider('value', sliderValue);
    });
    for (var i = 2; i < max + 1; i++) {
        var positionStep = 100 / (max - 1);
        var positionLeft = (i - 1) * positionStep;
        $slider_container.find(".ptsc_packages_list li:nth-child(" + i + ")").css({
            "left": positionLeft + "%"
        });
        $slider_container.find(".ptsc_slider_pipe:nth-child(" + i + ")").css({
            "left": positionLeft + "%"
        });
    }
}

// Function to toggle between prices of different durations like, monthly/yearly
function toggleComparisonPriceSlider_id($slider) {
    var $slider_div = $slider;
    $slider_div.find('.ptsc_price_toggle input[type="radio"]').on('change', function () {
        var duration = jQuery(this).data('duration');
        //var orderUrl = jQuery( this ).data( 'orderurl' );
        $slider_div.find('.ptsc_price > .ptsc_holder').hide();
        $slider_div.find('.ptsc_price > .ptsc_holder.' + duration).show();
        $slider_div.find('.ptsc_button > .ptsc_holder').hide();
        $slider_div.find('.ptsc_button > .ptsc_holder.' + duration).show();
        $slider_div.find('.ptsc_discounts_container > .ptsc_holder').hide();
        $slider_div.find('.ptsc_discounts_container > .ptsc_holder.' + duration).show();
        jQuery(this).toggleClass('active');
    });
}

// Function to toggle between prices of different durations like, monthly/yearly
function toggleComparisonPrice(table_id) {
    var $table = table_id;
    $table.find('.ptsc_price_toggle input[type="radio"]').on('change', function () {
        var duration = jQuery(this).data('duration');
        //var orderUrl = jQuery( this ).data( 'orderurl' );
        $table.find('.ptsc_price > .ptsc_holder').hide();
        $table.find('.ptsc_price > .ptsc_holder.' + duration).show();
        $table.find('.ptsc_discounts_container > .ptsc_holder').hide();
        $table.find('.ptsc_discounts_container > .ptsc_holder.' + duration).show();
        $table.find('.ptsc_button > .ptsc_holder').hide();
        $table.find('.ptsc_button > .ptsc_holder.' + duration).show();
        //$table.find('.ptsc_submit.whmpress_order_button').attr('href', orderUrl);
        //$table.find('.ptsc_submit-button').attr('href', orderUrl);
        jQuery(this).toggleClass('active');
    });
}

function toggleTableGroupPrice(group) {
    var $group = group;
    $group.find('.ptsc_price_toggle input[type="radio"]').on('change', function () {
        var duration = jQuery(this).data('duration');
        //var orderUrl = jQuery( this ).data( 'orderurl' );
        $group.find('.ptsc_price_table > .holder').hide();
        $group.find('.ptsc_price_table > .holder.' + duration).show();
        $group.find('.ptsc_discounts_container > .ptsc_holder').hide();
        $group.find('.ptsc_discounts_container > .ptsc_holder.' + duration).show();
        $group.find('.ptsc_button > .ptsc_holder').hide();
        $group.find('.ptsc_button > .ptsc_holder.' + duration).show();
        jQuery(this).toggleClass('active');
    });
}

function dropdownToggle(group) {
    var $group = group;
    $group.find('.ptsc_price_toggle select').on('change', function () {
        var duration = jQuery($group.find('select').find(':selected')).data('duration');
        $group.find('.ptsc_price_table > .holder').hide();
        $group.find('.ptsc_price_table > .holder.' + duration).show();
        $group.find('.ptsc_discounts_container > .ptsc_holder').hide();
        $group.find('.ptsc_discounts_container > .ptsc_holder.' + duration).show();
        $group.find('.ptsc_button > .ptsc_holder').hide();
        $group.find('.ptsc_button > .ptsc_holder.' + duration).show();
        jQuery(this).toggleClass('active');
        $group.find('.ptsc_price > .ptsc_holder').hide();
        $group.find('.ptsc_price > .ptsc_holder.' + duration).show();
    });
}

// Function to run Carousel on pricing table groups.
function runCarousel(group) {
    var $group = group;

    function hasDots() {
        return $group.hasClass('ptsc_have_dots');
    }


    var showLarge = ($group.data('show-1200')) ? $group.data('show-1200') : 4;
    var showMedium = ($group.data('show-1024')) ? $group.data('show-1024') : 3;
    var showSmall = ($group.data('show-768')) ? $group.data('show-768') : 2;
    var showMobile = ($group.data('show-600')) ? $group.data('show-600') : 1;
    var numTables = $group.find('.ptsc_table_group_col').length;
    if (numTables <= showLarge) {
        console.log("Large");
        showLarge = numTables;
    }
    if (numTables <= showMedium) {
        console.log("medium");
        showMedium = numTables;
    }
    if (numTables <= showSmall) {
        console.log("small");
        showSmall = numTables;
    }
    if (numTables <= showMobile) {
        console.log("mobile");
        showMobile = numTables;
    }


    jQuery(document).ready(function () {
        //console.log(numTables);
        $group.find('.ptsc_group_carousel').slick({
            slidesToShow: 3,
            slidesToScroll: 1,
            dots: hasDots(),
            prevArrow: '<button type="button" class="ptsc_prev vhost_prev button"><i class="fa fa-angle-left"></i></button>',
            nextArrow: '<button type="button" class="ptsc_next vhost_next button"><i class="fa fa-angle-right"></i></button>',
            infinite: true,
            speed: 300,


            responsive: [
                {
                    breakpoint: 1024,
                    settings: {
                        slidesToShow: showMedium,
                        slidesToScroll: 3
                    }
                },
                {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: showSmall,
                        slidesToScroll: 2
                    }
                },
                {
                    breakpoint: 600,
                    settings: {
                        slidesToShow: showMobile,
                        slidesToScroll: 1
                    }
                }
            ]
        });
        var slickContainer = $group.find('.slick-slider');
        var slickDots = $group.find('ul.slick-dots');
        slickContainer.prepend(slickDots);
    });
}

function onSignIn(googleUser) {

    var profile = googleUser.getBasicProfile();
    var myUserEntity = {};
    myUserEntity.Id = profile.getId();
    myUserEntity.Name = profile.getName();
    myUserEntity.Email = profile.getEmail();

    let $form = jQuery(document).find('.authenticate_client');
    let response_field = $form.find('.ptsc_client_authenticate_response');

    response_field.text('You are logged in by google');

    console.log(myUserEntity);

    //clr_pl_url = document.getElementById("clr_letter_placeholder_url").value;
    //window.location.href = 'https://google.com' + '&guser_id=' + myUserEntity.Id + '&guser_name=' + myUserEntity.Name + '&guser_email=' + myUserEntity.Email;
    //Store the entity object in sessionStorage where it will be accessible from all pages of your site.
}

// Function to initiate tooltip
jQuery(document).on('ready', function () {

    jQuery('.ptsc_discounts_container').each(function () {
        var height = jQuery(this).outerHeight(true);
        jQuery(this).css('min-height', height);
    });

    function toggleHideMobile() {
        jQuery('[data-ptsc-hide-mobile]').each(function () {
            var hideWidth = jQuery(this).data('ptsc-hide-mobile');
            if (jQuery(window).width() < hideWidth) {
                jQuery(this).hide();
            } else {
                jQuery(this).show();
            }
        });
    }

    toggleHideMobile();
    jQuery(window).on('resize', function () {
        toggleHideMobile();
    });

    //~~ Make height similar in the comparison table
    jQuery(document).ready(function () {
        let section_count = 0;
        jQuery('.ptsc_comparison_table > .ptsc_comparison_table_row.ptsc_comparison_table_section_content ul li').each(function () {
            let count = 0;
            jQuery('ul.ptsc_comparison_table_feature_titles > li').each(function () {
                var height = Math.max(jQuery(".ptsc_comparison_table_feature_titles .ptsc_feature_height_" + section_count + '_' + count).height(), jQuery(".ptsc_comparison_table_feature_values li.ptsc_feature_height_" + section_count + '_' + count).height());
                jQuery(".ptsc_comparison_table_feature_titles .ptsc_feature_height_" + section_count + '_' + count).height(height);
                jQuery(".ptsc_comparison_table_feature_values li.ptsc_feature_height_" + section_count + '_' + count).height(height);

                count++;
            });
            section_count++;
        });

    });

});

//~~ Apply Remove Coupon click
jQuery(document).on('click', '.ptsc_summary_apply_remove_coupon', function (e) {
    e.preventDefault();
    let button = jQuery(this);
    let button_text = button.html();
    let coupon_container = button.closest('.ptsc_promo_container');
    let coupon_response = coupon_container.find('.ptsc_coupon_response');
    let promo_action = button.data('promo-action');
    let promo_input = coupon_container.find('input[name="pt_promocode"]');
    let promocode = promo_input.val();
    button.text('Loading...');
    if (promo_action === 'add_coupon') {
        jQuery('form.ptsc_sp_add_product [name=pt_promocode]').prop('value', promocode);
        ptsc_sp_update_product_summary();
    } else if (promo_action === 'remove_coupon') {
        jQuery('form.ptsc_sp_add_product [name=pt_promocode]').prop('value', '');
        ptsc_sp_update_product_summary();
    }
});

//~~ Country Select with Flags
jQuery(document).ready(function () {

    jQuery('#ptsc_client_cnic').bind('change', function () {
        var filename = jQuery("#ptsc_client_cnic").val();
        if (/^\s*$/.test(filename)) {
            jQuery("#ptsc-span-file-attach").text("Your ID Card");
        } else {
            jQuery("#ptsc-span-file-attach").text(filename.replace("C:\\fakepath\\", ""));
        }
    });
    jQuery('#ptsc_client_dob').bind('change', function () {
        var filename = jQuery("#ptsc_client_dob").val();
        if (/^\s*$/.test(filename)) {
            jQuery("#ptsc_date_picker_placeholder").text("Date of Birth");
        } else {
            jQuery("#ptsc_date_picker_placeholder").text(filename.replace("C:\\fakepath\\", ""));
        }
    });

});

//Telphone number
jQuery(document).ready(function () {
    var telInput = jQuery("#phonenumber"),
        errorMsg = jQuery("#error-msg"),
        validMsg = jQuery("#valid-msg");

// initialise plugin
    telInput.intlTelInput({
        utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/11.0.4/js/utils.js"
    });

    var reset = function () {
        telInput.removeClass("error");
        errorMsg.addClass("hide");
        validMsg.addClass("hide");
    };


// on blur: validate
    telInput.blur(function () {
        reset();
        if (jQuery.trim(telInput.val())) {
            if (telInput.intlTelInput("isValidNumber")) {
                validMsg.removeClass("hide");
                var getCode = telInput.intlTelInput('getSelectedCountryData').dialCode;
            } else {
                telInput.addClass("error");
                errorMsg.removeClass("hide");
            }
        }
    });

});

//~~ Setting Google places

var searchInput = 'search_input';

jQuery(document).ready(function () {
    $form = jQuery('.ptsc_sp_add_product');
    $places_activated = jQuery($form).find("input[name=ptsc_places_api]").val();
    if ($places_activated !== '') {
        var autocomplete;
        autocomplete = new google.maps.places.Autocomplete((document.getElementById('ptsc_client_address1')), {
            types: ['geocode'],
            /*componentRestrictions: {
             country: "USA"
            }*/
        });

        google.maps.event.addListener(autocomplete, 'place_changed', function () {
            var near_place = autocomplete.getPlace();
            var address = near_place.formatted_address;
            var latitude = near_place.geometry.location.lat();
            var longitude = near_place.geometry.location.lng();
            var latlng = new google.maps.LatLng(latitude, longitude);
            var geocoder = new google.maps.Geocoder();
            geocoder.geocode({'latLng': latlng}, function (results, status) {
                if (status == google.maps.GeocoderStatus.OK) {
                    if (results[0]) {
                        /*var address = results[0].formatted_address;
                        var pin = results[0].address_components[results[0].address_components.length - 1].long_name;*/

                        for (let i = 0; i < results[0].address_components.length; i++) {
                            if (results[0].address_components[i].types[0] == 'country') {
                                var country = results[0].address_components[i].long_name;
                            } else if (results[0].address_components[i].types[0] == "administrative_area_level_1") {
                                var state = results[0].address_components[i].long_name;
                            } else if (results[0].address_components[i].types[0] == "administrative_area_level_2") {
                                var city = results[0].address_components[i].long_name;
                            }
                        }
                        document.getElementById('ptsc_client_country').value = country;
                        document.getElementById('ptsc_client_state').value = state;
                        document.getElementById('ptsc_client_city').value = city;
                        //document.getElementById('txtZip').value = pin;
                    }
                }
            });
        });
    }
});

//~~ Load invoice details when it is requested from client area
jQuery(document).on('click', '.ptsc_ca_invoice', function (e) {
    e.preventDefault();
    let response_div = jQuery('.ptsc_client_area_content');

    //~~ Initialization of data array
    let data = {};

    //~~ Getting client  number
    var selected_inv = jQuery(this).parent().parent().find('.ptsc_ca_invoice_no').text().trim();

    //~~prepare data for ajax call
    data.action = 'ptsc_sp_process';
    data.ptsc_sp_what = 'load_invoice_view';
    data.inv_no = selected_inv;
    data.pg = 'paypal';

    //~~While invoice loading change button text
    jQuery(this).text("Loading...");
    jQuery.ajax({
        url: ptsc_ajax.ajax_url,
        type: 'post',
        data: data,
        success: function (response) {
            let res = JSON.parse(response);
            if (res.status === "OK") {
                //~~ Populating response area with the invoice
                response_div.html(res.invoice_view);
            } else {
                //~~ Rendering error message
                response_div.html('Something Went Wrong');
            }
        }
    });

});

jQuery(document).ready(function () {
    jQuery(document).on('change', '#ptsc_invoice_payment_method', function () {
        var ptsc_this_value = jQuery(this).val();
        jQuery('#ptsc_' + ptsc_this_value).show().siblings('div').hide();
        if (jQuery('option:selected').val() === 'bank_transfer') {
            jQuery('.paypal_payment_processing').hide();
        } else {
            jQuery('.paypal_payment_processing').show();
        }
    });
    jQuery(document).on('click', 'a.ptsc_button.ptsc_button_primary.ptsc_view_invoice', function () {
        setTimeout(function () {
            var ptsc_this_value_selected = jQuery('#ptsc_invoice_payment_method option:selected').val();
            jQuery('#ptsc_' + ptsc_this_value_selected).show()
        }, 1000);

    });
});

//~~ Send email to Admin on contact form submission

jQuery(document).on('submit', '.ptsc_submit_contact_form', function (e) {
    e.preventDefault();
    let $form = jQuery(this);
    let data = $form.serializeArray();
    /*data = {};
    data.action = "ptsc_sp_process";
    data.ptsc_sp_what = "send_contact_email";*/
    console.log(data);
    jQuery.ajax({
        url: ptsc_ajax.ajax_url,
        type: 'post',
        data: data,
        success: function (response) {
            let res = JSON.parse(response);
            if (res.status === "OK") {
                //~~ Getting current URL of the order page
                console.log('I am in ok response');
                console.log(res.data);
            } else {

                //~~ if Ajax response is not fine then show error message.
                /*response_field.addClass('ptsc_alert ptsc_alert_danger ptsc_alert_with_icon ptsc_text_center');
                response_field.html(res.message);*/
                ptsc_show_notification(res.message, 'ptsc_alert ptsc_alert_danger');
                response_field.hide();

            }
        }
    });
})

