<?php

/**
 * Pricing Table Shortcode
 * 1. The shortcode will work either from group_id (id), or product_id
 */


?>

<?php
extract(shortcode_atts([
    /*'id'            => '0',
    'product_id' => '0',
    'html_template' => '',*/
    'id' => '',
    'gid' => '',
    'product_id' => '0',
    'woocommercepid' => '0',
    'description_option' => 'wc_custom_desc',
    'html_template' => '',
    'color' => '',
    'rows' => '',
    'description_separator' => ':',
    'billingcycle' => 'monthly',
    'billingcycle2' => '',
    'enable_tooltips' => '',
    'button_text' => 'Buy Now',
    'show_discount' => '',
    'hide_table' => '',
    'rows_single_table' => '',
    'featured_text' => '',
    'featured' => '',
    'custom_text' => 'All prices in Excel',
    'process_description' => 'yes',
    'show_order_combo' => 'no',
    'image_url' => '',
    'primary_color' => get_option('ptsc_primary_color'),
    'secondary_color' => get_option('ptsc_secondary_color')
], $atts));

require_once(PTSC_PATH . '/classes/ptsc.php');
$ptsc = new PTSC();
$class_install = new PTSC_INSTALL();
if ($gid != "" || $gid != NULL) {
    $id = $gid;
} else {
    $id = $id;
}
//== If Shortcode is set from VC
if ($id == NULL || $id == "") {
    $template_pic_03 = substr(strrchr($html_template, '/'), 1);
    $group_para = array();
    $description_option = $description_option;
    $rows = $rows_single_table;
    $sep = $description_separator;
    $billingcycle = empty($billingcycle) ? "monthly" : $billingcycle;
    if (empty($sep)) {
        $sep = ":";
    }
    if ($html_template == trim("")) {
        $html_template = "advance-01-mod.tpl";
    }

    if (($product_id == "0" || $product_id == NULL) && $woocommercepid != "0") {
        if (class_exists('WooCommerce')) {
            $woocommerce_group = $ptsc->ptsc_woocommerce_shortcode(
                [
                    "rows" => $rows,
                    "sep" => $sep,
                    "billingcycle" => $billingcycle,
                    "html_template" => $html_template,
                    "woocommercepid" => $woocommercepid,
                    "description_option" => $description_option,
                    "featured_text" => $featured_text,
                    "enable_tooltips" => $enable_tooltips,
                    "primary_color" => $primary_color,
                    "secondary_color" => $secondary_color,
                    "process_description" => $process_description,
                    "custom_text" => $custom_text,
                    "image_url" => $image_url,
                    "button_text" => $button_text,
                    "featured" => $featured,
                    "woocommercepid" => $woocommercepid,
                ]
            );
            return $woocommerce_group;
        } else {
            $error_heading = esc_html__('WooCommerce is not Active!!', 'ptsc');
            $error_instruction1 = esc_html__('Please Activate WooCommerce', 'ptsc');
            $error_instruction2 = esc_html__(' from Plugins Section ', 'ptsc');
            $woocommece_not_exist_string = '<div class="ptsc_error"><div><strong>';
            $woocommece_not_exist_string .= $error_heading;
            $woocommece_not_exist_string .= '</strong></div>';
            $woocommece_not_exist_string .= $error_instruction1;
            $woocommece_not_exist_string .= $error_instruction2;
            $woocommece_not_exist_string .= '</div>';
            echo $woocommece_not_exist_string;
            return $woocommece_not_exist_string;
        }
    } else {
        $ptsc_products_para = $ptsc->ptsc_products;
        $product_para = $ptsc_products_para->ptsc_get($product_id);
        /*$product_WC = wc_get_product( 26 );
        $product_para = (array) $product_WC;
        foreach ($product_para as $data_WC)
        {
            if(is_array($data_WC)) {
                if($data_WC["name"] != Null) {
                    $product_para = $data_WC;
                }
            }
            break;
        }
        ppa($product_para);*/
        $group_para = array_merge($group_para, $product_para);
        $html_template = $ptsc->get_template_file($html_template, 'ptsc_pricing_table');
        $html_template = $ptsc->select_tpl_first($html_template);

        //== If html template is file
        if (is_file($html_template)) {
            //~~ Extract veriable that are not package dependent for later use in code.

            $sep = $description_separator;
            if (empty($sep)) {
                $sep = ":";
            }
            $rows = $rows_single_table;
            //$currency_info     = $currency = $ptsc->ptsc_currency->ptsc_get( $group['currency'] );
            //== adding function ptsc_currency_info()
            $cur = $ptsc-> ptsc_get_current_currency_id_i();
            //ppa($cur);
            $currency_info = $currency = $ptsc->ptsc_currency_info_combo($cur);
            //ppa($currency_info,"Currency info");
            $group_para["prefix"] = $currency_info["prefix"];
            $group_para["suffix"] = $currency_info["suffix"];
            $group_para["currency"] = $currency_info["c_id"];

            $group_para_saved = $group_para;
            $currency = '';
            if (isset ($group_para["currency"])) {
                $currency = $group_para["currency"];
            }

            //~~----Price
            $price_tmp = $ptsc->ptsc_break_price($group_para_saved, $product_id, $billingcycle);
            $group_para["price"] = $price_tmp["price"];
            $group_para["amount"] = $price_tmp["amount"];
            $group_para["fraction"] = $price_tmp["fraction"];
            $group_para["decimal"] = $price_tmp["decimal"];
            $group_para["prefix"] = $group_para["prefix"];
            $group_para["suffix"] = $group_para["suffix"];
            $group_para["duration"] = $price_tmp["duration"];
            $group_para["billingcycle"] = $billingcycle;
            $group_para["billingcycle2"] = $billingcycle2;


            $group_para["plan"]["all_durations"] = $ptsc->all_prices($group_para, $product_id, [
                $billingcycle,
                $billingcycle2
            ]);
            $group_para["plan"]["product_name"] = $group_para["product_name"];
            $group_para["plan"]["prefix"] = $group_para["prefix"];
            $group_para["plan"]["pay_type"] = $group_para["pay_type"];
            $group_para["plan"]["featured_text"] = $featured_text;
            $group_para["group"]["enable_tooltips"] = $enable_tooltips;


            $group_para["plan"]["primary_color"] = $primary_color;
            $group_para["plan"]["secondary_color"] = $secondary_color;
            $group_para["plan"]["process_description"] = $process_description;
            $group_para["plan"]["show_order_combo"] = $show_order_combo;
            $group_para["plan"]["show_description_icon"] = "yes";
            $group_para["plan"]["price_sub_text"] = "";
            $group_para["plan"]["product_tag_line"] = $custom_text;
            $group_para["plan"]["custom_text_1"] = $custom_text;
            $group_para["plan"]["custom_text_2"] = "";
            $group_para["plan"]["custom_text_3"] = "";
            $group_para["plan"]["image_url"] = $image_url;

            //$vars["random_id"]="";
            $group_para["plan"]["product_detail"] = $custom_text;

            //$button_text = get_option("button_text");
            ob_start(); ?>
            <div class="pricing_table_submit">
                <div class="holder">
                    <a type="button" class="ptsc-btn ptsc_order_button"
                       href="<?php echo $group_para["order_url"] ?>"><?php echo $button_text ?></a>
                </div>
            </div>
            <?php
            $group_para["plan"]["product_order_button"] = ob_get_clean();

            $button_class = "ptsc-btn ptsc_order_button";
            $group_para["plan"]["product_order_combo"] = $ptsc->ptsc_order_combo_function(
                [
                    "id" => $id,
                    "product_id" => $product_id,
                    "show_button" => "Yes",
                    "currency" => $currency_info,
                    "button_text" => $button_text,
                    "button_class" => $button_class,
                    "show_discount" => $show_discount,
                    "template_name" => $html_template
                ], $group_para["order_url"]
            );

            if ($featured == "yes") {
                $group_para["plan"]["featured"] = "yes";
            } else {
                $group_para["plan"]["featured"] = "no";
            }

            $group_para["plan"]["product_description"] = $group_para["product_description"];
            $plan_description = $group_para["plan"]["product_description"];
            if ($enable_tooltips == "yes") {
                $group_para["description"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 3, 1);
                //~~Description in Associative Array
                $group_para["description_array1"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 4, 1);

                $group_para["split_description"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 5, 1);
            } else {
                //~~Description in array
                $group_para["description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 3, 1);
                //~~Description in Associative Array
                $group_para["description_array1"] = $ptsc->description_to_array($plan_description, $rows, $sep, 4, 1);

                $group_para["split_description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 5, 1);
            }

            $group_para["plan"]["split_description"] = $group_para["split_description"];
            if (strpos($plan_description, $sep) !== false) {
                $group_para["plan"]["description_process"] = "true";
            } else {
                $group_para["plan"]["description_process"] = "false";
            }

            if ($image_url == "" && $template_pic_03 == "pic-03-mod.tpl") {
                $image_url = "http://sajid.hostriplex.com/whmpress/wp-content/uploads/2018/01/download.png";
            } else {
                $image_url = $image_url;
            }
            $group_para['plan']['image_url'] = ($image_url == "") ? "http://sajid.hostriplex.com/whmpress/wp-content/uploads/2018/01/plan02.jpg" : $image_url;

            if ($price_tmp["amount"] == "Free") {
                $group_para["prefix"] = "";
                $group_para["suffix"] = "";
            }
            if ($group_para["price"] == -1) {
                $group_para["prefix"] = "";
                $group_para["suffix"] = "";
            }


            $r = rand();
            $group_para["group"]['duration_toggle'] = $ptsc->ptsc_prepare_duration_toggle_single($group_para, $r);
            $vars = $group_para;

            $price_array = $ptsc->ptsc_break_price($group_para, $product_id, $billingcycle);



            unset($vars["plans"]);


            $random_id = 'ptsc_table_' . rand(10000, 99999);

            $vars["random_id"] = $random_id;


            /** // Getting custom fields and adding in output
             * //~~ TODO:Are these custom fields defined in VC? Are these needed here?
             * $TemplateArray = $WHMPress->get_template_array("whmpress_pricing_table_group");
             * foreach($TemplateArray as $custom_field) {
             * $vars[$custom_field] = isset($atts[$custom_field])?$atts[$custom_field]:"";
             * }
             */
            //~~ Final string to match the smarty
            $OutputString1 = $ptsc->ptsc_smarty_template($html_template, $vars);
            echo $OutputString1;
            return $OutputString1;
        } //== Enf of If (html template is file)
        else {
            echo "<div class='ptsc_error'>No template selected or template does not exist. <br/>Please choose a template from <b>Set Options > Select Template File</b> under \"Pricing Table Options\" section.</div>";
        }
    }


} else {

    $template_pic_03 = substr(strrchr($html_template, '/'), 1);
//~~ Get services in group along with groupid, product-id, orderby, name and description
    $group = $ptsc->ptsc_get_group_full($id);
    if ($group["product_vendor"] == "woo_prods") {
        if (class_exists('WooCommerce')) {
            $woocommerce_group_bs = $ptsc->ptsc_woocommerce_shortcode(
                [
                    "rows" => $group["rows"],
                    "sep" => $group["description_separator"],
                    "billingcycle" => "monthly",
                    "html_template" => $group["single_pricing_table_template_file"],
                    "woocommercepid" => $group["woo_prods_ids"],
                    "description_option" => $group["product_section"],
                    "featured_text" => $group["ribbon_text"],
                    "enable_tooltips" => $group["enable_tooltips"],
                    "primary_color" => "",
                    "secondary_color" => "",
                    "process_description" => "yes",
                    "custom_text" => $group["custom_text"],
                    "image_url" => "",
                    "button_text" => $group["button_text"],
                    "featured" => "",
                ]
            );
            return $woocommerce_group_bs;
        } else {
            $error_heading = esc_html__('WooCommerce is not Active!!', 'ptsc');
            $error_instruction1 = esc_html__('Please Activate WooCommerce', 'ptsc');
            $error_instruction2 = esc_html__(' from Plugins Section ', 'ptsc');
            $woocommece_not_exist_string = '<div class="ptsc_error"><div><strong>';
            $woocommece_not_exist_string .= $error_heading;
            $woocommece_not_exist_string .= '</strong></div>';
            $woocommece_not_exist_string .= $error_instruction1;
            $woocommece_not_exist_string .= $error_instruction2;
            $woocommece_not_exist_string .= '</div>';
            echo $woocommece_not_exist_string;
            return $woocommece_not_exist_string;
        }

    } else {
        $product_id = $group["plans"]["0"]["product_id"];

        if (!is_array($group) && is_string($group)) {
            return $group;
        }
        $ptsc_products = $ptsc->ptsc_products;


//~~ If there is no product selected, break and return.
        if (trim($group["name"]) == "") {
            $title = esc_html__('No product is selected', 'ptsc');
            $message = esc_html__("Please edit table, and choose a product", 'ptsc');
            $message = [$message];
            echo ptsc_render_error_message($message, $title);
        }

        $product = $ptsc_products->ptsc_get($product_id);
        $group = array_merge($group, $product);


        $color = $group["color"];
        $rows = $group["rows"];
        $sep = $group["description_separator"];
        if (empty($sep)) {
            $sep = ":";
        }

//~~ create a new WHMPress instance s

// If not HTML file provided in short-code, then look for setting in group.
        if ($html_template == "") {
            $html_template = $group['template_file'];
            if ($html_template == trim("")) {
                $html_template = "advance-01-mod.tpl";
            }

        }


// Get html template file
        $html_template = $ptsc->get_template_file($html_template, 'ptsc_pricing_table');

        /**~~----------------------------------------------------------------
         * If there is a template file make an array to be passed to smarty
         * --------------------------------------------------------------------*/
        $html_template = $ptsc->select_tpl_first($html_template);


        if (is_file($html_template)) {
            //~~ Extract veriable that are not package dependent for later use in code.
            //$description = $group["description"];
            $name = $group["name"];
            $sep = $group["description_separator"];
            if (empty($sep)) {
                $sep = ":";
            }
            $rows = $group["rows"];
            //$currency_info     = $currency = $ptsc->ptsc_currency->ptsc_get( $group['currency'] );
            //== adding function ptsc_currency_info()
            //== Because currency is not changing according to currency combo
            //$currency_info = $currency = $ptsc->ptsc_currency_info();
            $cur = $ptsc-> ptsc_get_current_currency_id_i();
            $currency_info = $ptsc->ptsc_currency_info_combo($cur);
            //ppa($currency_info,"Currency info");
            $group["prefix"] = $currency_info["prefix"];
            $group["suffix"] = $currency_info["suffix"];
            $group["currency"] = $currency_info["c_id"];

            $group_saved = $group;
            $currency = '';
            if (isset ($group["currency"])) {
                $currency = $group["currency"];
            }


            //~~----Price
            $price_tmp = $ptsc->ptsc_break_price($group_saved, $product_id, $group["billingcycle"]);
            $group["price"] = $price_tmp["price"];
            $group["amount"] = $price_tmp["amount"];
            $group["fraction"] = $price_tmp["fraction"];
            $group["decimal"] = $price_tmp["decimal"];
            $group["prefix"] = $group["prefix"];
            $group["suffix"] = $group["suffix"];
            $group["duration"] = $price_tmp["duration"];
            $group['plans'][0]["billingcycle"] = $group["billingcycle"];
            $group['plans'][0]["billingcycle2"] = $group["billingcycle2"];
            $group['plans'][0]["billingcycle3"] = $group["billingcycle3"];
            $group['plans'][0]["billingcycle4"] = $group["billingcycle4"];
            $group['plans'][0]["billingcycle5"] = $group["billingcycle5"];
            $group['plans'][0]["billingcycle6"] = $group["billingcycle6"];
            $group['plans'][0]["billingcycle_override_string"] = $group["billingcycle_override_string"];
            $group['plans'][0]["billingcycle2_override_string"] = $group["billingcycle2_override_string"];
            $group['plans'][0]["billingcycle3_override_string"] = $group["billingcycle3_override_string"];
            $group['plans'][0]["billingcycle4_override_string"] = $group["billingcycle4_override_string"];
            $group['plans'][0]["billingcycle5_override_string"] = $group["billingcycle5_override_string"];
            $group['plans'][0]["billingcycle6_override_string"] = $group["billingcycle6_override_string"];

            $group["plan"]["all_durations"] = $ptsc->all_prices($group, $product_id, [
                $group["billingcycle"],
                $group["billingcycle2"],
                $group["billingcycle3"],
                $group["billingcycle4"],
                $group["billingcycle5"],
                $group["billingcycle6"],
            ]);

            $group["plans"]["0"]["all_durations"] = $group["plan"]["all_durations"];
            $group["plan"]["product_name"] = $group["plans"]["0"]["name"];
            $group["plan"]["product_id"] = $group["plans"]["0"]["product_id"];
            $group["plan"]["prefix"] = $group["prefix"];
            $group["plan"]["pay_type"] = $group["plans"]["0"]["pay_type"];
            $group["plan"]["featured_text"] = $group["ribbon_text"];
            $group["enable_tooltips"] = $group["enable_tooltips"] == 1 ? "yes" : "No";
            $group["group"]["enable_tooltips"] = $group["enable_tooltips"];


            $group["plan"]["primary_color"] = get_option('ptsc_primary_color');
            $group["plan"]["secondary_color"] = get_option('ptsc_secondary_color');
            $group["plan"]["process_description"] = "yes";
            $group["plan"]["show_order_combo"] = ($group["show_discount"] == "no") ? "no" : "yes";
            //$group["plan"]["show_order_combo"] = "yes";
            $group["plan"]["show_description_icon"] = "yes";
            $group["plan"]["price_sub_text"] = "";
            $group["plan"]["product_tag_line"] = $group["custom_text"];
            $group["plan"]["custom_text_1"] = $group["custom_text"];
            $group["plan"]["custom_text_2"] = "";
            $group["plan"]["custom_text_3"] = "";
            $group["plan"]["image_url"] = "";

            //$vars["random_id"]="";
            $group["plan"]["product_detail"] = $group["custom_text"];

            //$button_text = get_option("button_text");
            ob_start(); ?>
            <!--<div class="pricing_table_submit">
                <div class="holder">
                    <a type="button" class="ptsc-btn ptsc_order_button"
                       href="<?php /*echo isset($group["plans"]["0"]["order_url"]) ? $group["plans"]["0"]["order_url"] : get_option('ptsc_order_page_url') . '?pid='. $product_id */?>"><?php /*echo $group["button_text"] */?></a>
                </div>
            </div>-->
            <?php
            $group["plan"]["product_order_button"] = $ptsc->ptsc_prepare_plan_button($group, $group['plan']);

            $button_class = "ptsc-btn ptsc_order_button";
            $group["plan"]["product_order_combo"] = $ptsc->ptsc_order_combo_function(
                [
                    "id" => $id,
                    "product_id" => $product_id,
                    "show_button" => "Yes",
                    "currency" => $currency_info,
                    "button_text" => $group["button_text"],
                    "button_class" => $button_class,
                    "show_discount" => $group["show_discount"],
                    "template_name" => $group["template_file"]
                ], $group["plans"]["0"]["order_url"]
            );

            if ($group["plans"]["0"]["featured"] == 1) {
                $group["plan"]["featured"] = "yes";
            } else {
                $group["plan"]["featured"] = "no";
            }

            if ($price_tmp["amount"] == "Free") {
                $group["prefix"] = "";
                $group["suffix"] = "";
            }
            if ($group["price"] == -1) {
                $group["prefix"] = "";
                $group["suffix"] = "";
            }
            $group["plan"]["product_description"] = $group["product_description"];
            $plan_description = $group["plan"]["product_description"];
            /*$plan_description = $group["product_description"];*/

            if ($group["enable_tooltips"] == 1) {
                $group["description"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 3, 1);
                //~~Description in Associative Array
                $group["description_array1"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 4, 1);

                $group["split_description"] = $ptsc->linked_description_to_array($plan_description, $rows, $sep, 5, 1);
            } else {
                //~~Description in array
                $group["description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 3, 1);
                //~~Description in Associative Array
                $group["description_array1"] = $ptsc->description_to_array($plan_description, $rows, $sep, 4, 1);

                $group["split_description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 5, 1);
            }
            $group["plan"]["split_description"] = $group["split_description"];

            if (strpos($plan_description, $sep) !== false) {
                $group["plan"]["description_process"] = "true";
            } else {
                $group["plan"]["description_process"] = "false";
            }

            if ($template_pic_03 == "pic-03-mod.tpl") {
                $group['plan']["image_url"] = "http://sajid.hostriplex.com/whmpress/wp-content/uploads/2018/01/download.png";
            } else {
                $group['plan']['image_url'] = "http://sajid.hostriplex.com/whmpress/wp-content/uploads/2018/01/plan02.jpg";
            }


            $r = rand();
            $group["group"]['duration_toggle'] = $ptsc->ptsc_prepare_duration_toggle($group, $r);
            $vars = $group;
            // Add missing parameter, latter these will be fetched from parameters or DB

            // $vars["product_name"] =$product["product_name"];
            /*
                $description_array = $product['product_description'];
                $description_array = trim(strip_tags( $description_array , "\n"));
                $vars['cdescription'] ='';
                $vars['description']  = $description_array;*/

            $price_array = $ptsc->ptsc_break_price($group, $product_id, $group["billingcycle"]);

            $_SESSION['currency'] = $group["suffix"];
            $_SESSION['paypal_product_price'] = $group["amount"];
            $_SESSION['paypal_product_name'] = $group["product_name"];

            /*$vars["primary_color"] = "";
            $vars["secondary_color"] = "";
            $vars["process_description"] = "yes";
            $vars["show_description_icon"] = "yes";
            $vars["price_sub_text"] = "";
            $vars["product_tag_line"] = "";
            $vars["show_description_tooltip"] = $group["enable_tooltips"] == 1 ? "yes" : "no";
            $vars["custom_text_1"] = $group["custom_text"];
            $vars["custom_text_2"] = "";
            $vars["custom_text_3"] = "";
            $vars["featured_text"] = $group["ribbon_text"];
            if ($group["plans"]["0"]["featured"]) {
                $vars["featured"] = "yes";
            } else {
                $vars["featured"] = "no";
            }

            //$vars["random_id"]="";
            $vars["product_detail"] = $group["custom_text"];
            $vars["image_url"] = "http://sajid.hostriplex.com/whmpress/wp-content/uploads/2018/01/plan02.jpg";


            $button_class = "ptsc-btn ptsc_order_button";
            $button_text = get_option("button_text");
            $vars["product_order_combo"] = $ptsc->ptsc_order_combo_function(
                [
                    "id" => $id,
                    "show_button" => "Yes",
                    "currency" => $currency_info,
                    "button_text" => $button_text,
                    "button_class" => $button_class,
                ], $group["order_url"]
            );
            ob_start(); */ ?><!--
        <div class="pricing_table_submit">
            <div class="holder">
                <a type="button" class="ptsc-btn ptsc_order_button"
                   href="<?php /*echo $group["order_url"] */ ?>"><?php /*echo $group["button_text"] */ ?></a>
            </div>
        </div>
        --><?php
            /*        $vars["product_order_button"] = ob_get_clean();
                    if (strpos($plan_description, $sep) !== false) {
                        $vars["description_process"] = "true";
                    } else {
                        $vars["description_process"] = "false";
                    }*/

            //$vars[""] ="";


            unset($vars["plans"]);


            $random_id = 'ptsc_table_' . rand(10000, 99999);

            $vars["random_id"] = $random_id;


            /** // Getting custom fields and adding in output
             * //~~ TODO:Are these custom fields defined in VC? Are these needed here?
             * $TemplateArray = $WHMPress->get_template_array("whmpress_pricing_table_group");
             * foreach($TemplateArray as $custom_field) {
             * $vars[$custom_field] = isset($atts[$custom_field])?$atts[$custom_field]:"";
             * }
             */
            //~~ Final string to match the smarty
            $OutputString = $ptsc->ptsc_smarty_template($html_template, $vars);
            echo $OutputString;
            return $OutputString;
        } /**~~----------------------------------------------------------------
         * If there is no smarty template selected, then show below text
         * --------------------------------------------------------------------*/

        else {
            echo "<div class='ptsc_error'>No template selected or template does not exist. <br/>Please choose a template from <b>Set Options > Select Template File</b> under \"Pricing Table Options\" section.</div>";
        }
    }
}

