<?php
/**
 * Created by PhpStorm.
 * User: zain
 * Date: 7/6/2020
 * Time: 10:45 AM
 */


require_once PTSC_PATH . '/classes/ptsc.php';
$ptsc = new PTSC();
$cart_item = !empty($cart_item) ? $cart_item : ''; // This is coming from post data in ajax
$current_currency = $ptsc->ptsc_get_current_currency_id_i();
$summary_html = [
    'side' => 'something went wrong',
];

ob_start();
?>
    <div class="ptsc_default_summary">
        <div class="ptsc_sp_summary_details">
            <ul class="ptsc_list ptsc_list_padded ptsc_list_bordered">
                <?php
                if (!empty($cart_item)) {
                    $found_item = $product = $addon = $service = false;
                    $domain_text = $domain_details = [];
                    $tld = '';
                    $found_array = [
                        'product' => false,
                    ];

                    // check if some product is selected
                    if (!empty($cart_item['ptsc_pid']) && (int)$cart_item['ptsc_pid'] > 0) {
                        $pid = (empty($cart_item['ptsc_pid'])) ? 0 : (int)$cart_item['ptsc_pid'];

                        $product = ptsc_get_product_details($pid);
                        if ($product['pay_type'] == 'one time') {
                            $cart_billing = 'monthly';
                        } else {
                            $cart_billing = $cart_item['ptsc_order_billingcycle'];
                        }
                        if ($product) {
                            $found_array['product'] = $found_item = true;
                        }
                    }

                    // If product is found
                    if ($found_array['product']) {
                        $product_price = (float)$product['all_prices'][$cart_billing][$current_currency]['price'];
                    } ?>

                    <li>
                        <div class="ptsc_op_summary_item_container"
                             id="ptsc_op_summary_item_product_<?php echo $cart_item['ptsc_pid'] ?>">
                            <div class="ptsc_row">
                                <div class="ptsc_col_sm_7">
                                    <strong class="ptsc_summary_product_title"><?php echo $product['product_name']; ?></strong><br>
                                    <?php if ($cart_item['ptsc_hide_summary_desc'] != 'yes') { ?>
                                        <span class="ptsc_text_small ptsc_summary_product_group_title"><?php echo $product['product_description']; ?></span>
                                    <?php } ?>

                                </div>
                                <div class="ptsc_col_sm_5 ptsc_text_right">
                                    <div class="ptsc_op_summary_item_price ptsc_summary_product_price <?php echo ((float)$product_price > 0) ? '' : 'free'; ?>">
                                        <strong><?php echo ptsc_format_amount($product_price) ?></strong>
                                    </div>
                                    <div class="ptsc_text_small ptsc_summary_product_billingcycle">
                                        <?php echo $cart_item['ptsc_order_billingcycle'] ?>
                                    </div>
                                </div>
                                <?php // Final Array Population -> product


                                $totals["monthly"] = $product_price;
                                $product_total = $product_price;
                                $totals['base_price'] = $totals['base_price'] + $product_total;
                                $totals['final_price'] = $totals['final_price'] + $product_total;
                                ?>
                            </div>


                        </div>
                    </li>

                    <?php $counter++; ?>
                <?php }
                ?>
            </ul>
        </div>

        <div class="ptsc_sp_summary_totals">
            <div class="ptsc_clearfix ptsc_margin_bottom_5 ptsc_padding_5_0 ptsc_bordered_bottom">
                <span class="ptsc_pull_left"><?php esc_html_e('Subtotal', 'ptsc') ?></span>
                <span class="ptsc_pull_right"><?php echo ptsc_format_amount($totals['base_price']); ?></span>
            </div>
            <!-- Coupon Code Section -->

            <div class="ptsc_promo_container">
                <?php
                $passed_promocode = $_SESSION['pt_promocode'];
                $pt_promocode = (isset($_POST['pt_promocode']) && is_string($_POST['pt_promocode'])) ? $_POST['pt_promocode'] : $passed_promocode;
                $current_promo = $ptsc->ptsc_coupons->ptsc_get_by('coupon_code', $pt_promocode);
                $current_promo = reset($current_promo);
                ob_start(); ?>
                <div class="ptsc_form_field" style="padding: 0;">
                    <div class="ptsc_checkbox_container">
                        <div class="ptsc_row">
                            <div class="ptsc_col_sm_9">
                                <?php if ($pt_promocode) { ?>
                                    <div class="ptsc_form_field" style="padding: 0; margin: 0;">
                                        <input type="text" name="pt_promocode" placeholder="Coupon Code"
                                               value="<?php echo $pt_promocode ?>">
                                    </div>
                                <?php } else { ?>
                                    <div class="ptsc_form_field" style="padding: 0; margin: 0;">
                                        <input type="text" name="pt_promocode" placeholder="Coupon Code">
                                    </div>
                                <?php } ?>
                            </div>
                            <div class="ptsc_col_sm_3">
                                <button class="ptsc_button ptsc_button_primary ptsc_button_block ptsc_summary_apply_remove_coupon "
                                        data-promo-action="add_coupon">
                                    <?php esc_html_e("Apply", "ptsc") ?>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <?php $pt_promo_form_fields = ob_get_clean(); ?>
                <?php if (empty($pt_promocode)) { ?>
                    <?php echo $pt_promo_form_fields ?>
                <?php } else { ?>
                    <?php
                    $promo_status = 'valid';
                    if ($current_promo["start_date"] != "0000-00-00" && $current_promo["expire_date"] != "0000-00-00") {
                        if (time() < strtotime($current_promo["start_date"]) || time() > strtotime($current_promo["expire_date"])) {
                            $promo_status = 'expired';
                        }
                    }
                    // Checking if promo is usage limit is reached
                    /*if ($current_promo["users"] > 0 && $current_promo["maxuses"] > 0 && $current_promo["uses"] >= $current_promo["maxuses"]) {
                        $promo_status = 'used';
                    }*/

                    ?>
                    <!-- if product prices are discounted -->
                    <?php
                    if (ptsc_validate_item_promotion($current_promo, $product['product_name'])) {
                        $discount_price = ptsc_apply_item_discount($current_promo, $product_price);
                        $totals['monthly'] = $discount_price['price'];
                        $totals['final_price'] = $discount_price['price'];
                        $totals['discount'] = $discount_price['discount'];
                    }
                    ?>
                    <?php if ($promo_status == 'valid') { ?>
                        <div class="ptsc_form_field" style="padding: 0;">
                            <div class="ptsc_checkbox_container">
                                <div class="ptsc_row">
                                    <div class="ptsc_col_sm_6">
                                        <div class="ptsc_alert">
                                            <?php echo $current_promo['coupon_code'] ?>
                                            <input type="hidden" name="pt_valid_promo"
                                                   value="<?php echo $current_promo['coupon_code'] ?>">
                                            <input type="hidden" name="pt_discounted_price"
                                                   value="<?php echo $totals['final_price'] ?>">
                                        </div>
                                    </div>
                                    <div class="ptsc_col_sm_6">
                                        <button class="ptsc_button ptsc_button_primary ptsc_button_block ptsc_summary_apply_remove_coupon"
                                                data-promo-action="remove_coupon">
                                            <?php esc_html_e("Remove Coupon", "ptsc") ?>
                                        </button>
                                    </div>
                                    <!--                                            <div class="ptsc_col_sm_12">-->
                                    <!--                                                <small>-->
                                    <?php //ptsc_generate_promo_applied_text($current_promo) ?><!-- </small>-->
                                    <!--                                            </div>-->
                                </div>
                            </div>
                        </div>
                    <?php } else { ?>
                        <!--<div class="ptsc_alert ptsc_alert_danger ptsc_text_center">
                                    <?php /*esc_html_e('The promotion code entered has expired', 'ptsc') */ ?>
                                </div>-->
                        <?php echo $pt_promo_form_fields ?>
                    <?php } ?>

                    <div class="ptsc_coupon_response">
                    </div>
                <?php } ?>
            </div>

            <!-- Summary Total Section -->
            <div class="ptsc_clearfix ptsc_margin_bottom_30">
                <div class="ptsc_pull_left_sm">
                    <span class="ptsc_pull_left"><?php esc_html_e('Totals', 'ptsc') ?></span>
                </div>
                <div class="ptsc_pull_right_sm">
                    <?php
                    $billingcycles = [
                        'monthly',
                        'quarterly',
                        'semiannually',
                        'annually',
                        'biennially',
                        'triennially',
                    ];
                    ?>
                    <?php foreach ($totals as $key => $total) { ?>
                        <?php if ($total && in_array($key, $billingcycles)) { ?>
                            <div class="ptsc_clearfix">
                                <div class="ptsc_pull_right">
                                    <span><?php echo ptsc_format_amount($total); ?></span>
                                    <span><?php echo $cart_item['ptsc_order_billingcycle'] ?></span>
                                </div>
                            </div>
                        <?php } ?>
                    <?php } ?>
                </div>
            </div>
            <div class="ptsc_clearfix">
                <div class="ptsc_text_right ptsc_text_2x">
                    <?php echo ptsc_format_amount($totals['final_price']); ?>
                </div>
                <div class="ptsc_text_right"><?php esc_html_e('Total Due Today', 'ptsc') ?></div>
            </div>
            <div>
            </div>
        </div>
    </div>

    <!-- Coupon rendering messages -->
<?php ob_start();
if (!empty ($current_promo['coupon_code'])) {
    if (empty($current_promo["start_date"]) || empty($current_promo["expire_date"])) { ?>
        <div class="ptsc_alert ptsc_alert_warning">
            <?php esc_html_e("Promotion duration is not defined", "ptsc") ?>
        </div>
    <?php } elseif (time() < strtotime($current_promo["start_date"]) || time() > strtotime($current_promo["expire_date"])) { ?>
        <div class="ptsc_alert ptsc_alert_warning">
            <?php esc_html_e("The promotion code you entered has been expired", "ptsc") ?>
        </div>
    <?php } elseif (!empty($current_promo["coupon_code"]) && $current_promo["uses"] > 0 && $current_promo["max_uses"] > 0 && $current_promo["uses"] >= $current_promo["max_uses"]) { ?>
        <div class="ptsc_alert ptsc_alert_warning">
            <small> <?php esc_html_e("The coupon code you entered has been reached its limit", "ptsc") ?></small>
        </div>
    <?php } elseif ((float)$totals['discount'] > 0.00) { ?>
        <div class="ptsc_alert ptsc_alert_success">
            <small><?php esc_html_e("Coupon accepted! Your order total is updated.", "ptsc") ?></small>
        </div>
    <?php } elseif (!in_array(strtolower($product['product_name']), explode(',', $current_promo['products']))) { ?>
        <div class="ptsc_alert ptsc_alert_info">
            <small><?php esc_html_e("promotion code valid, but does not apply to selected product.", "ptsc") ?></small>
        </div>
    <?php } else { ?>
        <div class="ptsc_alert ptsc_alert_warning">
            <small><?php esc_html_e("Coupon is not valid", "ptsc") ?></small>
        </div>
    <?php } ?>
<?php } else { ?>
    <div class="ptsc_alert ptsc_alert_warning">
        <small><?php esc_html_e("Coupon is not valid", "ptsc") ?></small>
    </div>
<?php }
$discount_message = ob_get_clean(); ?>
<?php
$summary_html = [
    'side' => ob_get_clean(),
    'discount_message' => $discount_message
];