<style>
    .ptsc_table_group.tabs .pricing_table_heading {
        border: 1px solid;
        height: auto;
        padding: 6px 11px;
        cursor: pointer;
        display: inline-block;
    }
    .ptsc_table_group.tabs .pricing_table_heading h2{
        font-size: 16px;
    }

    .ptsc_table_group.tabs .ptsc_table_group_col {
        width: 100% !important;
        padding: 0;
        border: 2px solid #48e0a4;
        box-shadow: none;
        margin-top: -3px;
    }
    .ptsc.ptsc_pricing_table.tabs{
        width: 100%;
        max-width: 100%;
    }
    .ptsc_table_group.tabs .pricing_table_heading.current{
        border: 2px solid #48e0a4;
        border-bottom: 3px solid #ffff;
        padding: 10px;
        z-index: 9;
        background: #fff;

    }
    .ptsc_table_group.tabs .pricing_table_heading.current h2{
        color: #48e0a4;
        font-weight: bold;
    }
    .ptsc.ptsc_pricing_table.tabs {
        border: none;
        box-shadow: none;
    }
</style>
<div id="group_{$random}" class="ptsc_table_group tabs
{if $group.enable_table_carousel eq "1"} ptsc_have_carousel {/if}
{if $group.enable_table_dots eq "1"} ptsc_have_dots {/if}
{if $group.plans|count eq 1}one_col
{elseif $group.plans|count eq 2}two_cols
{elseif $group.plans|count eq 3}three_cols
{elseif $group.plans|count eq 4}four_cols
{/if}"
     data-ptsc-hide-mobile="{$group.hide_width_slider}">
    <div class="ptsc_comparison_table_row">
        <h2 class="ptsc_group_title">{$group.name}</h2>
    </div>
    <div class="ptsc_price_toggle">
        {$group.duration_toggle}
    </div>
    <div>
       {counter  start=1 assign="tabs_counter"}
        {foreach from=$group.plans item=plan}
        <div class="pricing_table_heading" data-tab=".ptsc_tabs_{$tabs_counter++}">
            <div class="holder">
                <h2>{$plan.name}</h2>
            </div>
        </div>

        {/foreach}

        {counter  start=1 assign="tabs_counter_content"}
        {foreach from=$group.plans item=plan}

            <div class="ptsc_table_group_col ptsc_tabs_{$tabs_counter_content++} {if $plan@index ne 0}ptsc_hidden{/if}"
                 data-plan-price="{$plan.prefix}{$plan.amount}{if $plan.fraction ne ""}{$plan.decimal}{$plan.fraction}{/if}"
            >
                <div class="ptsc ptsc_pricing_table tabs {if $plan.featured eq "yes"}featured{/if}">
                    <div class="pricing_table_price ptsc_price_table">
                        {foreach $plan.all_durations as $duration_key => $duration}
                            <div class="holder {$duration_key} {if $duration@index ne 0}ptsc_hidden{/if}">
                                <span class="currency">{$plan.prefix}</span><span class="amount">{$duration.price.amount}</span>{if $duration.price.fraction ne ""}
                                <span class="decimal">{$duration.price.decimal}</span>
                                <span class="fraction">{$duration.price.fraction}</span>{/if}
                                <span class="currency">{$plan.suffix}</span>
                                <span class="duration">{if $duration.price.duration ne ""} {$duration.price.duration}{else}&nbsp;{/if}</span>
                            </div>
                        {/foreach}
                    </div>
                    {if $plan.cdescription ne ""}
                        <div class="pricing_table_detail">
                            <div class="holder">
                                {$plan.cdescription}
                            </div>
                        </div>
                    {/if}
                    <div class="pricing_table_features">
                        <div class="holder">
                            <ul>
                                {if $plan.description_process eq "true"}
                                    {foreach from=$plan.split_description item=desc name=i}
                                        {if $smarty.foreach.i.index == $group.rows_table}{break}{/if}
                                        {if $group.enable_tooltips eq "1"}
                                            <li class="{if $group.enable_tooltips eq "1"}ptsc_has_tooltip" {/if}>
                                                {if $group.enable_tooltips eq "1" and $desc.tooltip_text ne ""}
                                                    {if $desc.tooltip_url ne 'null'}
                                                        <a href="{$desc.tooltip_url}"><span class="ptsc_tooltip">{$desc.tooltip_text}</span></a>
                                                    {else}
                                                        <span class="ptsc_tooltip">{$desc.tooltip_text}</span>
                                                    {/if}
                                                {/if}
                                                {$desc.feature}</li>
                                        {else}<li>{$desc.feature}</li>{/if}
                                    {/foreach}
                                {else}
                                    {foreach from=$plan.description item=desc name=i}
                                        {if $smarty.foreach.i.index == $group.rows_table}{break}{/if}
                                        <li>{$desc}</li>
                                    {/foreach}
                                {/if}
                            </ul>
                        </div>
                    </div>
                    <div class="pricing_table_submit">
                        {*<div class="holder">
                            <a type="button" class="ptsc-btn ptsc_order_button" href="{$plan.order_url}">{$group.button_text}</a>
                        </div>*}
                        {$plan.product_order_button }
                    </div>
                </div>  <!-- /.price-table -->
            </div>
        {/foreach}

    </div>
</div>
<script>
    toggleTableGroupPrice(jQuery('#group_{$random}'));

    jQuery(document).ready(function(){
        jQuery('.ptsc_table_group.tabs .pricing_table_heading:first-child').addClass('current');
        jQuery('.ptsc_table_group.tabs .pricing_table_heading').click(function(){
            var tab_id = jQuery(this).attr('data-tab');

            jQuery('.ptsc_table_group.tabs .pricing_table_heading').removeClass('current');
            jQuery('.ptsc_table_group.tabs .ptsc_table_group_col').hide();

            jQuery(this).addClass('current');
            jQuery(tab_id).show();
        })

    })
</script>
