<?php
/**
 * Created by PhpStorm.
 * User: Sajid
 * Date: 2/13/2021
 * Time: 2:49 PM
 */
?>

<?php
require_once PTSC_PATH . '/classes/ptsc.php';
$ptsc = new PTSC();
$is_product = $ptsc->ptsc_products->ptsc_select();
$is_widget = $ptsc->ptsc_group->ptsc_select();
$payment_gateway_list = $ptsc->ptsc_payment_gateways->ptsc_select();
$is_setting_set = !empty($payment_gateway_list) && !empty(get_option('ptsc_email_header_content')) && !empty(get_option('ptsc_email_footer_content')) ? 1 : 0;

//~~ Creating the Order page on plugin activation
if(get_option('w_mode') == 'display_and_sell' && get_option('set_cart') == 'setup_cart'){

    global $wpdb;

    if ( null === $wpdb->get_row( "SELECT post_name FROM {$wpdb->prefix}posts WHERE post_name = 'mk-checkout'", 'ARRAY_A' ) ) {

        $current_user = wp_get_current_user();

        // create post object
        $page = array(
            'post_title'  => __( 'MK Checkout' ),
            'post_status' => 'publish',
            'post_author' => $current_user->ID,
            'post_type'   => 'page',
            'post_content' => '[ptsc_cart_single_page style=’01_default’]'
        );

        // insert the post into the database
        wp_insert_post( $page );
        update_option("ptsc_order_page_url",get_permalink( get_page_by_path( 'mk-checkout' ) ));
    }
}


?>
<div content="wrap" id="ptsc_getting_started">
    <div class="ptsc_row">
        <div class="ptsc_col_lg_3"></div>
        <div class="ptsc_col_lg_6">
            <div id="dashboard-widgets-wrap" class="">
                <div id="dashboard-widgets" class="metabox-holder">
                    <div class="meta-box-sortables">
                        <div class="postbox">
                            <div class="ptsc_admin_card">
                                <div class="postbox-header">
                                    <h2 class="hndle"><?php echo esc_html_x('Getting Started', 'admin', 'ptsc') ?></h2>
                                    <div class="handle-actions hide-if-no-js">
                                      <button type="button" class="handlediv ptsc_reload_page" aria-expanded="true" style="padding-right: 36px">
                                        <span class="dashicons dashicons-image-rotate"></span>
                                        </button>
                                    </div>
                                </div>
                                <div class="">
                                    <form action="options.php" method="post">
                                        <?php
                                        settings_fields("ptsc_display");
                                        $w_mode = !empty(get_option("w_mode")) ? get_option("w_mode") : 'display_only';
                                        $set_cart = !empty(get_option("set_cart")) ? get_option("set_cart") : '';
                                        ?>
                                        <div class="ptsc_form_field ptsc_form_field_horizontal">
                                            <ul>
                                                <li>
                                                    <div class="ptsc_getting_box">
                                                        <?php $setup_checked = 'ptsc_checked' ?>
                                                        <label disabled=""
                                                               class="ptsc_radio <?php echo $setup_checked ?>">
                                                            <input disabled type="radio" name="g_mode"
                                                                   value="display_only">
                                                            <?php echo esc_html_x("Working Mode", "admin", "ptsc") ?>
                                                        </label>
                                                        <button name="update_working_mode"
                                                                class="button button-primary"><?php echo esc_html_x("Update Mode", "admin", "ptsc") ?></button>
                                                    </div>
                                                    <ul class="ptsc_quick_description">
                                                        <li>
                                                            <?php $wmode_checked = $w_mode == 'display_only' ? 'ptsc_checked' : '' ?>
                                                            <label class="ptsc_radio <?php echo $wmode_checked ?>">
                                                                <input type="radio" name="w_mode" value="display_only">
                                                                <?php echo esc_html_x("Display Only", "admin", "ptsc") ?>
                                                            </label>
                                                            <div class="ptsc_quick_mode_description">
                                                                <?php echo esc_html_x('*Legacy mode where Makli works in its minimal capacity and is used to display products. With optional links that you can set to connect with any eCommerce solution or affiliate system.', 'admin', 'ptsc') ?>
                                                            </div>
                                                        </li>
                                                        <li>
                                                            <?php $wmode_checked = $w_mode == 'display_with_woocommerce' ? 'ptsc_checked' : '' ?>
                                                            <label class="ptsc_radio <?php echo $wmode_checked ?>">
                                                                <input type="radio" name="w_mode"
                                                                       value="display_with_woocommerce">
                                                                <?php echo esc_html_x("Display With WooCommerce", "admin", "ptsc") ?>
                                                            </label>
                                                            <div class="ptsc_quick_mode_description">
                                                                <?php echo esc_html_x('*Dynamically fetch woo-commerce products to display them with Makli widgets.', 'admin', 'ptsc') ?>
                                                            </div>
                                                        </li>
                                                        <li>
                                                            <?php $wmode_checked = $w_mode == 'display_and_sell' ? 'ptsc_checked' : '' ?>
                                                            <label class="ptsc_radio <?php echo $wmode_checked ?> display_sell">
                                                                <input type="radio" name="w_mode"
                                                                       value="display_and_sell">
                                                                <?php echo esc_html_x("Display and Sell", "admin", "ptsc") ?>
                                                            </label>
                                                            <div class="ptsc_quick_mode_description">
                                                            <?php echo esc_html_x('*The service/subscription selling solution for freelancers/ startups.', 'admin', 'ptsc') ?>
                                                            </div>
                                                        </li>

                                                        <li class="ptsc_setup_my_cart" style="display: none;">
                                                            <?php $set_cart_checked = $set_cart == 'setup_cart' ? 'checked' : '' ?>
                                                            <label class="settt_cart">
                                                                <input type="checkbox" name="set_cart" <?php echo $set_cart_checked ?>
                                                                       value="setup_cart">
                                                                <?php echo esc_html_x("Create Relevant Pages and Setup all Cart process", "admin", "ptsc") ?>
                                                            </label>
                                                        </li>


                                                    </ul>
                                                </li>
                                                <li>
                                                    <div class="ptsc_getting_box">
                                                        <?php $setup_checked = !empty($is_product) ? 'ptsc_checked':'' ?>
                                                        <label class="ptsc_radio <?php echo $setup_checked ?>">
                                                            <input disabled type="radio" name="g_mode"
                                                                   value="display_with_woocommerce">
                                                            <?php echo esc_html_x("Setup Product", "admin", "ptsc") ?>
                                                        </label>
                                                    </div>
                                                    <div>
                                                        <ol class="ptsc_quick_description">
                                                            <li><?php esc_html_e("Go to MAKLI > Services", "admin", "ptsc") ?> <u><i><a href="admin.php?page=ptsc-add-products&add" target="_blank"><?php echo esc_html_x("Setup Product", "admin", "ptsc") ?></a></i></u>
                                                            </li>
                                                            <li><?php esc_html_e("Add service by clicking on Add Services button", "admin", "ptsc") ?>
                                                            </li>
                                                            <li><?php esc_html_e("Enter Service details and click save.", "admin", "ptsc") ?>
                                                            </li>
                                                            <li><?php esc_html_e("That's All!", "admin", "ptsc") ?> </li>
                                                        </ol>
                                                    </div>
                                                </li>
                                                <li>
                                                    <div class="ptsc_getting_box">
                                                        <?php $setup_checked = !empty($is_widget) ? 'ptsc_checked':'' ?>
                                                        <label class="ptsc_radio <?php echo $setup_checked ?>">
                                                            <input disabled type="radio" name="g_mode"
                                                                   value="display_and_sell">
                                                            <?php echo esc_html_x("Setup Widget", "admin", "ptsc") ?>
                                                        </label>
                                                    </div>
                                                    <div>
                                                        <ol class="ptsc_quick_description">
                                                            <li><?php esc_html_e("Go to MAKLI > Widgets", "admin", "ptsc") ?> <u><i><a href="admin.php?page=ptsc-create-new-shortcode" target="_blank"><?php echo esc_html_x("Setup Widget", "admin", "ptsc") ?></a></i></u>
                                                            </li>
                                                            <li><?php esc_html_e("Add widget by clicking on Add Widget button", "admin", "ptsc") ?>
                                                            </li>
                                                            <li><?php esc_html_e("Select desired widget details and click save.", "admin", "ptsc") ?>
                                                            </li>
                                                            <li><?php esc_html_e("Copy the newly created shortcode and set on the page", "admin", "ptsc") ?>
                                                            </li>
                                                            <li><?php esc_html_e("That's All!", "admin", "ptsc") ?> </li>
                                                        </ol>
                                                    </div>
                                                </li>
                                                <?php  if(get_option('w_mode') == 'display_and_sell'){ ?>
                                                <li class="ptsc_display&sale">
                                                    <div class="ptsc_getting_box">
                                                        <?php $setup_checked = $is_setting_set == 1 ? 'ptsc_checked':'' ?>
                                                        <label class="ptsc_radio <?php echo $setup_checked ?>">
                                                            <input disabled type="radio" name="g_mode"
                                                                   value="display_and_sell">
                                                            <?php echo esc_html_x("Setup Settings", "admin", "ptsc") ?>
                                                        </label>
                                                    </div>
                                                    <div>
                                                        <ol class="ptsc_quick_description">
                                                            <li><?php esc_html_e("Go to MAKLI > Settings > Billing Settings & enter Invoice details", "admin", "ptsc") ?> <u><i><a href="admin.php?page=ptsc-settings" target="_blank"><?php echo esc_html_x("Setup Settings", "admin", "ptsc") ?></a></i></u>
                                                            </li>
                                                            <li><?php esc_html_e("Enter Email details", "admin", "ptsc") ?>
                                                            </li>
                                                            <li><?php esc_html_e("Select desired payment gateway", "admin", "ptsc") ?>
                                                            </li>
                                                            <li><?php esc_html_e("Enter Company Information", "admin", "ptsc") ?>
                                                            </li>
                                                            <li><?php esc_html_e("Order the serivce that you have set on the page in step 3", "admin", "ptsc") ?>
                                                            </li>
                                                            <li><?php esc_html_e("That's All!", "admin", "ptsc") ?> </li>
                                                        </ol>
                                                    </div>
                                                </li>
                                                <?php } ?>
                                            </ul>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ptsc_col_lg_3"></div>
    </div>
</div>