<?php
/**
 * Created by PhpStorm.
 * User: Zain Ul Abidin
 * Date: 9/14/2020
 * Time: 6:12 PM
 */
require_once(PTSC_PATH . '/classes/ptsc.php');
$ptsc = new PTSC();
$template_list = $ptsc->ptsc_email_templates->ptsc_select();

//~~ Getting Screen Option Value
$user = get_current_user_id();
$screen = get_current_screen();
$option = $screen->get_option('per_page', 'option');
$per_page = get_user_meta($user, $option, true);
if (empty ($per_page) || $per_page < 1) {
    $per_page = $screen->get_option('per_page', 'default');
}
?>
<style>

    .ptsc_enable_email
    {
        display: none !important;
    }

    label
    {
        position: absolute;
        top: 50%;
        right: 0;
        left: 0;
        width: 30px;
        height: 30px;
        margin: 0 auto;
        background-color: #f72414;
        transform: translateY(-50%);
        border-radius: 50%;
        box-shadow: 0 7px 10px #ffbeb8;
        cursor: pointer;
        transition: 0.2s ease transform, 0.2s ease background-color, 0.2s ease box-shadow;
        overflow: hidden;
        z-index: 1;
    }

    label:before
    {
        content: "";
        position: absolute;
        top: 50%;
        right: 0;
        left: 0;
        width: 18px;
        height: 18px;
        margin: 0 auto;
        background-color: #fff;
        transform: translateY(-50%);
        border-radius: 50%;
        box-shadow: inset 0 7px 10px #ffbeb8;
        transition: 0.2s ease width, 0.2s ease height;
    }

    label:hover:before
    {
        width: 24px;
        height: 24px;
        box-shadow: inset 0 7px 10px #ff9d96;
    }

    label:active
    {
        transform: translateY(-50%) scale(0.9);
    }

    #ptsc_tick_mark
    {
        position: absolute;
        top: -51px;
        right: 0;
        left: -43px;
        width: 39px;
        height: 71px;
        margin: 0 auto;
        margin-left: 27px;
        transform: rotateZ(
                -40deg
        );
    }

    #ptsc_tick_mark:before, #ptsc_tick_mark:after
    {
        content: "";
        position: absolute;
        background-color: #fff;
        border-radius: 2px;
        opacity: 0;
        transition: 0.2s ease transform, 0.2s ease opacity;
    }

    #ptsc_tick_mark:before
    {
        left: 0;
        bottom: 0;
        width: 4px;
        height: 11px;
        box-shadow: -2px 0 5px rgb(0 0 0 / 23%);
        transform: translateY(-68px);
    }

    #ptsc_tick_mark:after
    {
        left: 0;
        bottom: 0;
        width: 52%;
        height: 5px;
        box-shadow: 0 3px 5px rgb(0 0 0 / 23%);
        transform: translateX(78px);
    }

    .ptsc_enable_email:checked + label
    {
        background-color: #07d410;
        box-shadow: 0 7px 10px #92ff97;
    }

    .ptsc_enable_email:checked + label:before
    {
        width: 0;
        height: 0;
    }

    .ptsc_enable_email:checked + label #ptsc_tick_mark:before, .ptsc_enable_email:checked + label #ptsc_tick_mark:after
    {
        transform: translate(0);
        opacity: 1;
    }
</style>
<div class="wrap">
    <div class="">
        <h1 class="wp-heading-inline">
            <?php echo esc_html_x("Email Templates List", "admin", "ptsc"); ?>
        </h1>
        <!--<a href="admin.php?page=ptsc-add-email-template" class="page-title-action ptsc_icon ptsc_icon_plus">
            Add Email Templates
        </a>-->
        <hr class="wp-header-end">
    </div>

    <?php if (empty($template_list)) { ?>
        <div class="inside ptsc_empathy_box">
            <div class="ptsc_panel_warning" style="    padding: 5em 0 0;">
                <div class="ptsc_form_field ptsc_form_field_horizontal">
                    <div class="ptsc_text_center">
                        <div style="font-size: 120px;color: #ddd; margin: 0 0 .1875em; display: block; height: 71px;">
                            <i class="ptsc ptsc_icon_box"></i>
                        </div>
                        <div>
                            <h2><?php echo esc_html_x("Ready to start selling something awesome?", "admin", "ptsc"); ?>
                            </h2>
                        </div>
                        <div>

                        </div>
                    </div>
                </div>
            </div>
        </div>

    <?php } else { ?>
    <table class="wp-list-table widefat fixed striped table-view-list posts">
        <thead class="ptsc_panel_header ptsc_panel_header_white">
            <tr>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("ID", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Type", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column">
                    <span><?php echo esc_html_x("Template Name", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column" style="text-align: center">
                    <span><?php echo esc_html_x("Enable", "admin", "ptsc"); ?></span>
                </th>
                <th scope="col" class="manage-column" style="text-align: center;">
                    <span><?php echo esc_html_x("Action", "admin", "ptsc"); ?></span>
                </th>
            </tr>
        </thead>
        <tbody id="the-list">
        <?php
        $email_count = 0;
        if (is_array($template_list) && count($template_list) > 0) {
            foreach ($template_list as $template):
                ?>
                <!-- Start Group Shortcodes Row  -->
                    <tr>
                        <td>
                            <?php echo $template["id"] ?>
                        </td>
                        <td>
                            <?php echo $template["type"] ?>
                        </td>
                        <td>
                            <?php echo $template["name"] ?>
                        </td>
                        <td>
                            <?php $checked = get_option('enable_'.$template["type"]) == 1 ? 'checked' : ''; ?>
                            <input <?php echo $checked ?> name="enable_<?php echo $template["type"] ?>" type="checkbox" id="enable_<?php echo $template["type"] ?>" class="ptsc_enable_email" disabled="disabled">
                            <label for="enable_<?php echo $template["type"] ?>">
                                <div id="ptsc_tick_mark"></div>
                            </label>
                        </td>
                        <td class="ptsc_main" style="text-align: center;">
                            <a href="?page=ptsc-add-email-template&edit=<?php echo $template["id"] ?>"
                               class="ptsc_button ptsc_button_primary ptsc_icon ptsc_icon_pencil">
                            </a>

                        </td>

                    </tr>
                <!-- End Group Shortcodes Row  -->
            <?php
                $email_count++;
                if($email_count == $per_page) break;
                ?>
            <?php endforeach;
        } ?>
        </tbody>
    </table>
    <?php } ?>
</div>