<?php
/**
 * Created by PhpStorm.
 * User: zain
 * Date: 7/6/2020
 * Time: 11:13 AM
 */ ?>
<?php
function ptsc_sp_process()
{
    $ptsc_what = (!empty($_POST['ptsc_sp_what'])) ? esc_attr($_POST['ptsc_sp_what']) : 'nothing';
    $currency_info = get_currenct_currency_code();
    $_POST['currency_code'] = $currency_info['code'];
    $response = [];
    switch ($ptsc_what) {
        case 'ptsc_change_product':
            $response['status'] = 'OK';
            $response['message'] = 'I am in product change';
            $default_billingcycle = (!empty($_POST['default_billingcycle'])) ? esc_attr($_POST['default_billingcycle']) : '';
            $current_template = (!empty($_POST['current_template'])) ? esc_attr($_POST['current_template']) : '';

            $response['response_html']['billingcycles'] = $_POST['pid'];
            $product_details = ptsc_get_product_details($_POST['pid']);
            if($product_details){
                $response['status'] = 'OK';
                $response['response_html']['product_details'] = $product_details;
                $response['response_html']['billingcycles'] = ptsc_sp_render_product_billingcycles($product_details, $default_billingcycle,$current_template);
            }


            break;
        case 'ptsc_generate_summary':
            $response['summary_html'] = ptsc_sp_generate_order_summary($_POST);
            $response['status'] = 'OK';
            $response['message'] = 'Product summary updated';
            break;
        case 'add_order' :
            $client_id = '';
            //$_POST['ptsc_sp_client_type'] = (is_user_logged_in()) ? 'login' : 'register';

            //$_POST['ptsc_sp_client_type'] = !empty($_POST['ptsc_sp_client_type'])?$_POST['ptsc_sp_client_type'] : 'register';
            if (!empty($_POST['ptsc_sp_client_type'])) {
                if (esc_attr($_POST['ptsc_sp_client_type']) == 'register') {
                    $response['message'] = "Registering new client";
                    $client_response = ptsc_register_new_client($_POST);
                    $new_cl_flag = 1;
                    if ($client_response['status'] == "OK") {
                        $response['message'] = "New client registered successfully";
                        $response['status'] = "OK";
                        $response['user_id'] = $client_response['user_id'];
                    } else {
                        foreach ($client_response as $cr){
                            $response['message'] .= '<br>'.$cr;
                        }
                        //$response['message'] = "Something went wrong";
                        $response['status'] = "ERROR";
                    }
                } else {
                    $new_cl_flag = 0;
                    $response['message'] = "Validating client..";
                    $client_response = ptsc_login_client($_POST);
                    if ($client_response['status'] == "OK") {
                        $response['status'] = 'OK';
                        $response['user_id'] = $client_response['user_id'];
                        $response['message'] = 'User is logged in successfully!!';
                    } else {
                        $response['status'] = 'ERROR';
                        $response['message'] = "Email or password inavalid";
                    }
                }
            }


            $client_id = get_current_user_id();
            if ($client_id && (int)$client_id > 0) {
                $order_response = ptsc_submit_order($_POST, $client_id,$new_cl_flag);
                if ($order_response['status'] == 'OK') {
                    $order_response_msg = ptsc_order_complete_message($_POST['ptsc_invoice_no']);
                    $response['message'] = $order_response_msg;
                    $response["product_price"] = $order_response['product_price'];
                    $response["currency_code"] = $order_response['currency_code'];
                    $response["client_email"] = $order_response['client_email'];
                    $response["payment_gateway"] = $_POST['paymentmethod'];
                    $response["p_id"] = $_POST['ptsc_pid'];

                    $response['insert_data'] = $order_response['insert_data'];
                    $response['status'] = "OK";
                } else {
                    $order_res_msg = isset($order_response['message']) ? ($order_response['message']) : 'Something is wrong with data entry in database';
                    $response['message'] = $order_res_msg;
                    $response['status'] = "ERROR";
                }
            }
            break;
        case 'ptsc_client_login':
            $client_response = ptsc_login_client($_POST);
            if ($client_response['status'] == "OK") {
                $response['status'] = 'OK';
                $response['user_id'] = $client_response['user_id'];
                $response['message'] = 'User is logged un successfully!!';
            } else {
                $response['status'] = 'ERROR';
                $response['message'] = "Email or password inavalid";
            }
            break;
        case 'load_page':
            $response['status'] = "OK";
            $response['page_content'] = ptsc_load_client_page($_POST['page']);
            break;
        case 'load_invoice_view':
            $invoice_view = ptsc_invoice_view($_POST['inv_no']);
            $response['invoice_view'] = $invoice_view;
            $response['message'] = 'Invoice view is ready.';
            $response['status'] = "OK";
            break;
        default:
            $response['message'] = 'Something went wrong. Please try again later';
            $response['status'] = "Error";
    }
    echo json_encode($response, JSON_FORCE_OBJECT);
    die();
}

add_action('wp_ajax_ptsc_sp_process', 'ptsc_sp_process');
add_action('wp_ajax_nopriv_ptsc_sp_process', 'ptsc_sp_process');
?>
