<?php
/**
 * Created by zain.
 * User: zain
 * Date: 5/27/2019
 * Time: 1:13 PM
 */


/**
 * Generate a currency combo and will change currency for prices
 *
 * List of parameters
 * combo_name = HTML name for combo
 * combo_class = HTML class for combo
 * prefix = Display or not prefix with currency, e.g. $
 * html_id = HTML id for wrapper of combo
 * html_class = HTML class for wrapper of combo
 */


extract(shortcode_atts([
    'html_template' => '',
    'image' => '',
    'combo_name' => '',
    'prefix' => 'yes',
], $atts));

require_once( PTSC_PATH . '/classes/ptsc.php' );

$name = $combo_name;
$ptsc_install = new PTSC_INSTALL();
$ptsc = new PTSC;
//$class = $combo_class;

# Getting WordPress DB object
global $wpdb;

# Checking currency
if (!session_id()) {
    /*$cacheValue = get_option('whmpress_session_cache_limiter_value');
    session_cache_limiter($cacheValue);*/
    //session_start();
}

if (isset($_GET["cur"])) {
    $currency =$_GET["cur"];
    //$currency = $_SESSION["currency"];
} else {
    $currency = $ptsc -> ptsc_get_default_currency();
}
# getting ajax url which will change currency in session
#$ajaxFile = WHMP_PLUGIN_URL."/includes/set_currency.php";

# Generating random HTML id for combo
$myID = "S" . rand();

# Generating Output HTML
$js_code = "
    <script>
        jQuery(function(){
        jQuery(\"#{$myID}\").change(function(){
            val = jQuery(this).val();
            jQuery.post(WHMPAjax.ajaxurl + '?setCurrency',{'curency': val,'action':'whmpress_action'},function(data){
                data = 'OK';
                if (data=='OK')
                    if (val == 1){
                        var currentURL = window.location.href ;
                        location.href = currentURL.substring(0, currentURL.indexOf('?'));
                    }else{
                      location.href = '?cur=' + val;
                    }
                else
                    alert(data);
            });
        });
    });
    </script>
    ";
//$js_code = "
//    <script>
//        jQuery(function(){
//        jQuery(\"#{$myID}\").change(function(){
//            val = jQuery(this).val();
//        console.log(val);
//            jQuery.post(WHMPAjax.ajaxurl + '?setCurrency',{'curency': val,'action':'whmpress_action'},function(data){
//                if (data=='OK')
//                    window.location.reload();
//
//                else
//                    alert(data);
//            });
//        });
//    });
//    </script>
//    ";


$str = $js_code;
$str .= "<select id='$myID'";
/*$str .= ' class="' . $class . '"';*/
$str .= ' name="' . $name . '"';
$str .= ">\n";

$C = $currency;
$Q = "SELECT `c_id`, `prefix`, `code` FROM `" . $ptsc_install->get_table_name("currencies") . "` ORDER BY `c_id`";
$rows = $wpdb->get_results($Q);
$smarty_array = [];
$default_id = $ptsc -> ptsc_get_default_currency();

foreach ($rows as $row) {
    $data = [];
    $S = $C == $row->c_id ? "selected=selected" : "";
    $str .= "<option $S value='{$row->c_id}'>{$row->code}";
    if (strtolower($prefix) == "yes") {
        $str .= " ({$row->prefix})";
    }
    $str .= "</option>";

    $data["prefix"] = $row->prefix;
    $data["code"] = $row->code;
    $data["id"] = $row->c_id;
    if ($C == $row->c_id) {
        $data["selected"] = "1";

        $selected = $data;

    } else {
        $data["selected"] = "0";
    }

    if ($row->c_id == $default_id) {
        $data["default"] = "1";
    } else {
        $data["default"] = "0";
    }

    $smarty_array[] = $data;
}

$str .= "</select>";


# Returning combo output string including wrapper div
//$decimal_sperator = get_option( 'decimal_replacement', "." );
$decimal_sperator = get_option("ptsc_decimal_separator");;

$html_template = $ptsc -> check_template_file($html_template, "ptsc_currency_combo");

if (is_file($html_template)) {
    //$OutputString = $WHMPress->read_local_file($html_template);
    $vars = [
        "currency_combo" => $str,
        "js_code" => $js_code,
        "data" => $smarty_array,
        "unique_id" => $myID,
    ];

    # Getting custom fields and adding in output
    $TemplateArray = $ptsc->get_template_array("ptsc_currency_combo");
    foreach ($TemplateArray as $custom_field) {
        $vars[$custom_field] = isset($atts[$custom_field]) ? $atts[$custom_field] : "";
    }

    $OutputString = $ptsc -> ptsc_smarty_template($html_template, $vars);

    return $OutputString;
} else {
    echo $str ;
}
