<?php

/**
 * Pricing Table Shortcode
 */
?>

<?php
extract(shortcode_atts([
    /*'html_template' => '',
    'image'         => '',
    'id'            => '0',*/
    'html_template' => '',
    'image' => '',
    'id' => '',
    'gid' => '',
    'product_vendor' => '',
    'product_id' => array(),
    'description_option'=> 'wc_custom_desc',
    'woocommerce_multiple_pids' => array(),
    'featured_rows' => '10',
    'description_separator' => ':',
    'billingcycle' => 'monthly',
    'billingcycle2' => '',
    'enable_tooltips' => '',
    'button_text' => 'Buy Now',
    'show_discount' => '',
    'hide_width_table' => '',
    'featured_text' => '',
    'toggle_style' => 'radio_button',
    'enable_table_carousel' => '',
    'featured_id' => '',
    'woocommerce_featured_id' => '',
    'process_description' => 'yes',
    'primary_color' => get_option('ptsc_primary_color'),
    'secondary_color' => get_option('ptsc_secondary_color'),
    'custom_text' => 'All prices in Excel',
    'show_order_combo' => 'no',
    'image_url' => '',
], $atts));


require_once(PTSC_PATH . '/classes/ptsc.php');

$ptsc = new PTSC();
if ($gid != "" || $gid != NULL) {
    $id = $gid;
} else {
    $id = $id;
}


//== If Shortcode is set from VC
if ($id == NULL || $id == "") {

    global $wpdb;
    $template_pic_03 = substr(strrchr($html_template, '/'), 1);
    $group_para = array();
    $description_option = $description_option;

    //== All product ids added
    $Q = "SELECT `product_id` FROM `" . $this->get_table_name("products") . "` ";
    $All_pids_data = $wpdb->get_results($Q, ARRAY_A);
    foreach ($All_pids_data as $key => $value) {
        $All_pids[] = $value["product_id"];
    }


    if($atts["product_vendor"] == 'WC') {
        $woocommerce_multiple_pids = $atts['woocommerce_multiple_pids'];
        $woocommerce_multiple_pids = explode(',', $woocommerce_multiple_pids);


        //== Get All Products from WooCommerce
        if (class_exists('WooCommerce')) {
            $categories_ids = get_terms("product_cat", "term_id");
            foreach ($categories_ids as $cat) {
                $product_WC_product_id = $ptsc->get_products_from_category_by_ID($cat);
                $product_WC_name = array();
                foreach ($product_WC_product_id as $index => $wc_id) {
                    $product_WC_name[] = get_the_title($wc_id);
                }
                foreach ($product_WC_name as $index_pro => $name_pro) {
                    $All_pro_name_WC[] = $product_WC_product_id[$index_pro];
                }
            }
        }

        //== Check if Entered Products Ids exist in WooCommerce
        $WC_matched_ids = array_intersect($All_pro_name_WC, $woocommerce_multiple_pids);

        if ($woocommerce_multiple_pids == "" || empty($WC_matched_ids)) {
            $error_heading = esc_html__('No table ids selected to show', 'ptsc');
            $error_instruction1 = esc_html__('Please Insert table ids in ', 'ptsc');
            $error_instruction2 = esc_html__('"Select Product Ids" ', 'ptsc');
            $error_instruction3 = esc_html__('field.', 'ptsc');
            $final_string = '<div class="ptsc_error"><div><strong>';
            $final_string .= $error_heading;
            $final_string .= '</strong></div>';
            $final_string .= $error_instruction1;
            $final_string .= '<strong>' . $error_instruction2 . '</strong>';
            $final_string .= $error_instruction3;
            $final_string .= '</div>';
            echo $final_string;
            return $final_string;
        }
    }
    $group_para["mobile_breakpoint"] = $hide_width_table;
    $enable_tooltips = $enable_tooltips == "yes" ? 1 : 0;
    $enable_table_carousel = $enable_table_carousel == "yes" ? 1 : 0;
    $billingcycle = ($billingcycle == "") ? "monthly" : $billingcycle;


    if (empty($product_id)  && !empty($woocommerce_multiple_pids)) {
        if (class_exists('WooCommerce')) {
            $woocommerce_group_table = $ptsc->ptsc_woocommerce_group_pricing_table_shortcode(
                [
                    'html_template' => $html_template,
                    'image' => $image,
                    'product_id' => $product_id,
                    'woocommerce_multiple_pids' => $woocommerce_multiple_pids,
                    'description_option' => $description_option,
                    'featured_rows' => $featured_rows,
                    'description_separator' => $description_separator,
                    'billingcycle' => $billingcycle,
                    'billingcycle2' => $billingcycle2,
                    'enable_tooltips' => $enable_tooltips,
                    'button_text' => $button_text,
                    'hide_width_table' => $hide_width_table,
                    'featured_text' => $featured_text,
                    'toggle_style' => $toggle_style,
                    'enable_table_carousel' => $enable_table_carousel,
                    'woocommerce_featured_id' => $woocommerce_featured_id,
                    'process_description' => $process_description,
                    'custom_text' => $custom_text,
                    'show_order_combo' => $show_order_combo,
                    'image_url' => $image_url,
                ]
            );
            return $woocommerce_group_table;
        } else {
            $error_heading = esc_html__('WooCommerce is not Active!!', 'ptsc');
            $error_instruction1 = esc_html__('Please Activate WooCommerce', 'ptsc');
            $error_instruction2 = esc_html__(' from Plugins Section ', 'ptsc');
            $woocommece_not_exist_string = '<div class="ptsc_error"><div><strong>';
            $woocommece_not_exist_string .= $error_heading;
            $woocommece_not_exist_string .= '</strong></div>';
            $woocommece_not_exist_string .= $error_instruction1;
            $woocommece_not_exist_string .= $error_instruction2;
            $woocommece_not_exist_string .= '</div>';
            echo $woocommece_not_exist_string;
            return $woocommece_not_exist_string;
        }
    } else {

        //== Product ids from shortcode attribute
        $product_ids = $atts['product_id'];
        $product_ids = explode(',', $product_ids);
        //== Check if product ids from shortcode attribute exist in Available Products
        $matched_ids = array_intersect($All_pids, $product_ids);

        if ($product_ids == "" || empty($matched_ids)) {
            $error_heading = esc_html__('No table ids selected to show', 'ptsc');
            $error_instruction1 = esc_html__('Please Insert table ids in ', 'ptsc');
            $error_instruction2 = esc_html__('"Select Product Ids" ', 'ptsc');
            $error_instruction3 = esc_html__('field.', 'ptsc');
            $final_string = '<div class="ptsc_error"><div><strong>';
            $final_string .= $error_heading;
            $final_string .= '</strong></div>';
            $final_string .= $error_instruction1;
            $final_string .= '<strong>' . $error_instruction2 . '</strong>';
            $final_string .= $error_instruction3;
            $final_string .= '</div>';
            echo $final_string;
            return $final_string;
        }


        $product_count = count($product_ids);
        //== Save all product data in one Array
        $count = 0;
        $product_para = array();
        foreach ($product_ids as $p_id) {
            $ptsc_products_para = $ptsc->ptsc_products;
            $product_para[$count] = $ptsc_products_para->ptsc_get($p_id);
            $count++;
        }

        $group_para["plans"] = $product_para;

        //== Set width for different Number of Pricing Tables
        if ($product_count == "1") {
            $cols = "12";
            $column_class = "one_cols";
        } elseif ($product_count == "2") {
            $cols = "9";
            $column_class = "two_cols";
        } elseif ($product_count == "3") {
            $cols = "4";
            $column_class = "three_cols";
        } elseif ($product_count == "4") {
            $cols = "3";
            $column_class = "four_cols";
        } elseif ($product_count == "5") {
            $cols = "2";
            $column_class = "five_cols";
        } elseif ($product_count == "6") {
            $cols = "2";
            $column_class = "six_cols";
        } else {
            $cols = "3";
            $column_class = "three_cols";
        }

        /*$color = $group["color"];*/
        $sep = $description_separator;
        if (empty($sep)) {
            $sep = ":";
        }

        $html_template = $html_template;
        if ($html_template == trim("")) {
            $html_template = "default.tpl";
        }

        // Get html template file

        $html_template = $ptsc->get_template_file($html_template, 'ptsc_pricing_table_group');


        /**~~----------------------------------------------------------------
         * If there is a template file make an array to be passed to smarty
         * --------------------------------------------------------------------*/
        $html_template = $ptsc->select_tpl_first($html_template);

        // If html_template valid
        if (is_file($html_template)) {
            //~~ Extract veriable that are not package dependent for later use in code.
            $sep = $description_separator;
            if (empty($sep)) {
                $sep = ":";
            }
            $rows = $featured_rows;
            //$currency_info     = $currency = $ptsc->ptsc_currency->ptsc_get( $group['currency'] );
            //== adding function ptsc_currency_info()
            //== Because currency is not changing according to currency combo
            /*$currency_info = $currency = $ptsc->ptsc_currency_info();*/
            $cur = $ptsc-> ptsc_get_current_currency_id_i();
            $currency_info = $currency = $ptsc->ptsc_currency_info_combo($cur);
            $group_para["prefix"] = $currency_info["prefix"];
            $group_para["suffix"] = $currency_info["suffix"];
            $group_para["currency"] = $currency_info["c_id"];
            $group_para["billingcycle"] = $billingcycle;
            $group_para["billingcycle2"] = $billingcycle2;
            $group_para["show_discount"] = "no";
            $group_para["decimals"] = get_option("decimals");
            $group_para["show_duration_as"] = get_option("show_duration_as");
            $group_para["rows_table"] = $featured_rows;
            $group_para["enable_tooltips"] = $enable_tooltips;
            $group_para["button_text"] = $button_text;
            $group_para["enable_table_carousel"] = $enable_table_carousel;
            $group_para["ribbon_text"] = $featured_text;
            $group_para["toggle_style"] = $toggle_style;
            $group_para_saved = $group_para;

            foreach ($group_para["plans"] as &$plan) {
                $currency = '';
                if (isset ($group_para["currency"])) {
                    $currency = $group_para["currency"];
                }


                //~~----Price
                $price_tmp = $ptsc->ptsc_break_price($group_para_saved, $plan["product_id"], $billingcycle);
                $plan["price"] = $price_tmp["price"];
                $plan["amount"] = $price_tmp["amount"];
                $plan["fraction"] = $price_tmp["fraction"];
                $plan["decimal"] = $price_tmp["decimal"];
                $plan["prefix"] = $group_para["prefix"];
                $plan["suffix"] = $group_para["suffix"];
                $plan["duration"] = $price_tmp["duration"];
                $plan["billingcycle"] = $billingcycle;
                $plan["billingcycle2"] = $billingcycle2;
                $plan["name"] = $plan["product_name"];
                $plan["font_awesome"] = "";
                $plan["cdescription"] = "";
                $button_class = "ptsc-btn ptsc_order_button";
                $plan["product_order_combo"] = $ptsc->ptsc_order_combo_function(
                    [
                        "id" => $id,
                        "product_id" => $plan["product_id"],
                        "show_button" => "Yes",
                        "currency" => $currency_info,
                        "button_text" => $button_text,
                        "button_class" => $button_class,
                        "show_discount" => "no",
                        "template_name" => $html_template
                    ], $plan["order_url"]
                );
                /*$plan["billingcycle3"] = $group["billingcycle3"];
                $plan["billingcycle4"] = $group["billingcycle4"];
                $plan["billingcycle5"] = $group["billingcycle5"];
                $plan["billingcycle6"] = $group["billingcycle6"];*/
                $plan["all_durations"] = $ptsc->all_prices($group_para, $plan["product_id"], [
                    $group_para["billingcycle"],
                    $group_para["billingcycle2"],
                    /*$group["billingcycle3"],
                    $group["billingcycle4"],
                    $group["billingcycle5"],
                    $group["billingcycle6"],*/
                ]);

                if ($price_tmp["amount"] == "Free") {
                    $plan["prefix"] = "";
                    $plan["suffix"] = "";
                }
                if ($plan["price"] == -1) {
                    $plan["prefix"] = "";
                    $plan["suffix"] = "";
                }

                $plan_description = $plan["product_description"];
                //~~Description in array
                $plan["description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 3, 1);
                //~~Description in Associative Array
                $plan["description_array"] = $ptsc->description_to_array($plan_description, $rows, $sep, 4, 1);

                $plan["split_description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 5, 1);

                if ($plan["product_id"] == $featured_id) {
                    $plan["featured"] = "yes";
                } else {
                    $plan["featured"] = "no";
                }

                /*if (preg_match("/\b$sep\b/i", $plan_description, $match)) {
                    $plan["description_process"] = "true";
                } else {
                    $plan["description_process"] = "false";
                }*/
                if ($process_description == "yes") {
                    $plan["description_process"] = "true";
                } else {
                    $plan["description_process"] = "false";
                }

                /*$plan["product_description"] = $plan["product_description"];*/
                $plan["primary_color"] = get_option('ptsc_primary_color');
                $plan["secondary_color"] = get_option('ptsc_secondary_color');
                $plan["process_description"] = $process_description;
                //$vars["show_order_combo"] = "yes";
                $plan["show_description_icon"] = "yes";
                $plan["price_sub_text"] = "";
                /*$plan["product_tag_line"] = "This is the custom text";*/
                $plan["custom_text_1"] = $custom_text;
                $plan["custom_text_2"] = "";
                $plan["custom_text_3"] = "";
                $plan["featured_text"] = $featured_text;
                $plan["product_detail"] = $custom_text;
                $plan["product_tag_line"] = "";
                $plan["image_url"] = $image_url;
                $plan["price_sub_text"] = "";
                /*$plan["process_description"] = "yes";*/
                $plan["show_order_combo"] = $show_order_combo;
                if ($image_url == "" && $template_pic_03 == "pic-03-mod-group.tpl") {
                    $image_url = "http://sajid.hostriplex.com/whmpress/wp-content/uploads/2018/01/download.png";
                } else {
                    $image_url = $image_url;
                }
                $plan['image_url'] = ($image_url == "") ? "http://sajid.hostriplex.com/whmpress/wp-content/uploads/2018/01/plan02.jpg" : $image_url;
                ob_start(); ?>
                <div class="pricing_table_submit">
                    <div class="holder">
                        <a type="button" class="ptsc-btn ptsc_order_button"
                           href="<?php echo $group_para["order_url"] ?>"><?php echo $button_text ?></a>
                    </div>
                </div>
                <?php
                $plan["product_order_button"] = ob_get_clean();

                $plan["product_detail"] = $custom_text;


                /*//$tmp = $ptsc->description_to_array( $plan_description, $rows, $sep, 3, false );
                //~~ build sections
                $section_index             = 0;
                $description_section_index = 0;
                $description_section       = [];
                foreach ( $plan["description"] as $line ) {
                    if ( strpos( $line, "--" ) !== false && strpos( $line, "--", 3 ) == true ) {
                        $description_section_index          = $section_index;
                        $section                            = str_replace( "--", "", $line );
                        $group["section"][ $section_index ] = $section;
                        $group["have_sections"]             = 1;
                        $section_index ++;
                    } else {
                        $strpos  = strpos( $line, $sep );
                        $feature = substr( $line, 0, $strpos );
                        $value   = trim( substr( $line, $strpos + 1 ) );
                        if ( $strpos === false ) {
                            $plan["description_section"][ $line ] = "";
                        } else {
                            $plan["description_section"][ $description_section_index ][ $feature ] = [
                                "value"   => $value,
                                "tooltip" => $ptsc->return_tooltip( $feature ),
                            ];
                        }
                    }
                }*/

                /*		if ( $plan["product_id"] == $group["important"] ) {
                            $plan["featured"] = "yes";
                        } else {
                            $plan["featured"] = "no";
                        }*/
            }//~~End Loop


            $r = rand();
            $group_para['duration_toggle'] = $ptsc->ptsc_prepare_duration_toggle($group_para, $r);
            $group_para['dropdown_duratoin_toggle'] = $ptsc->ptsc_prepare_duration_dropdown($group_para, $r);
            $vars = [
                "group" => $group_para,
            ];

            $vars["random"] = $r;


            /** // Getting custom fields and adding in output
             * //~~ TODO:Are these custom fields defined in VC? Are these needed here?
             * $TemplateArray = $WHMPress->get_template_array("whmpress_pricing_table_group");
             * foreach($TemplateArray as $custom_field) {
             * $vars[$custom_field] = isset($atts[$custom_field])?$atts[$custom_field]:"";
             * }
             */
            //~~ Final string to match the smarty

            $OutputString = $ptsc->ptsc_smarty_template($html_template, $vars);
            //echo $OutputString;
            return $OutputString;
        } else {
            echo "<div class='ptsc_error'>No template selected or template does not exist. <br/>Please choose a template from <b>Set Option > Select Template File</b> under \"Pricing Table Options\" section.</div>";
        }

    }
} else {
    //$template_pic_03 = substr(strrchr($group["pricing_table_template_file"], '/'), 1);
//~~ Get services in group along with groupid, product-id, orderby, name and description
    $group = $ptsc->ptsc_get_group_full($id);
    if (!is_array($group) && is_string($group)) {
        return $group;
    }

    $woocommerce_multiple_pids = $group["woo_prods_ids"];
    $woocommerce_multiple_pids = explode(',', $woocommerce_multiple_pids);
    if ($group["product_vendor"] == "woo_prods") {
        if (class_exists('WooCommerce')) {
            $woocommerce_group_table_bs = $ptsc->ptsc_woocommerce_group_pricing_table_shortcode(
                [
                    'html_template' => $group["pricing_table_template_file"],
                    'image' => "",
                    'woocommerce_multiple_pids' => $woocommerce_multiple_pids,
                    'description_option' => $group["product_section"],
                    'featured_rows' => $group["rows_table"],
                    'description_separator' => $group["description_separator"],
                    'billingcycle' => "monthly",
                    'billingcycle2' => "",
                    'enable_tooltips' => $group["enable_tooltips"],
                    'button_text' => $group["button_text"],
                    'hide_width_table' => $group["hide_width_table"],
                    'featured_text' => $group["ribbon_text"],
                    'toggle_style' => $group["toggle_style"],
                    'enable_table_carousel' => $group["enable_table_carousel"],
                    'woocommerce_featured_id' => "",
                    'process_description' => "yes",
                    'custom_text' => $group["custom_text"],
                    'show_order_combo' => $group["ptsc_show_order_combo"],
                    'image_url' => "",
                    "pay_type" => "one time"
                ]
            );
            return $woocommerce_group_table_bs;
        } else {
            $error_heading = esc_html__('WooCommerce is not Active!!', 'ptsc');
            $error_instruction1 = esc_html__('Please Activate WooCommerce', 'ptsc');
            $error_instruction2 = esc_html__(' from Plugins Section ', 'ptsc');
            $woocommece_not_exist_string = '<div class="ptsc_error"><div><strong>';
            $woocommece_not_exist_string .= $error_heading;
            $woocommece_not_exist_string .= '</strong></div>';
            $woocommece_not_exist_string .= $error_instruction1;
            $woocommece_not_exist_string .= $error_instruction2;
            $woocommece_not_exist_string .= '</div>';
            echo $woocommece_not_exist_string;
            return $woocommece_not_exist_string;
        }

    }else {


//~~ If there is no plans in this group, break and return.
        if (count($group) == "0" || !isset($group["plans"]) || count($group["plans"]) == "0") {
            $error_heading = esc_html__('No plans selected to show', 'ptsc');
            $error_instruction1 = esc_html__('Please choose plans from ', 'ptsc');
            $error_instruction2 = esc_html__('"List All > Select Plans" ', 'ptsc');
            $error_instruction3 = esc_html__('then select products to include.', 'ptsc');
            $final_string = '<div class="ptsc_error"><div><strong>';
            $final_string .= $error_heading;
            $final_string .= '</strong></div>';
            $final_string .= $error_instruction1;
            $final_string .= '<strong>' . $error_instruction2 . '</strong>';
            $final_string .= $error_instruction3;
            $final_string .= '</div>';
            echo $final_string;
            return $final_string;
        }

        $group["mobile_breakpoint"] = $group['hide_width'];

//~~ Count width of column as per no of plans.
        if (count($group["plans"]) == "1") {
            $cols = "12";
            $column_class = "one_cols";
        } elseif (count($group["plans"]) == "2") {
            $cols = "9";
            $column_class = "two_cols";
        } elseif (count($group["plans"]) == "3") {
            $cols = "4";
            $column_class = "three_cols";
        } elseif (count($group["plans"]) == "4") {
            $cols = "3";
            $column_class = "four_cols";
        } elseif (count($group["plans"]) == "5") {
            $cols = "2";
            $column_class = "five_cols";
        } elseif (count($group["plans"]) == "6") {
            $cols = "2";
            $column_class = "six_cols";
        } else {
            $cols = "3";
            $column_class = "three_cols";
        }

        $color = $group["color"];
        $sep = $group["description_separator"];
        if (empty($sep)) {
            $sep = ":";
        }

//~~ create a new WHMPress instance s

// If not HTML file provided in short-code, then look for setting in group.
        if ($html_template == "") {
            $html_template = $group['template_file'];
            if ($html_template == trim("")) {
                $html_template = "default.tpl";
            }

        }


// Get html template file

        $html_template = $ptsc->get_template_file($html_template, 'ptsc_pricing_table_group');


        /**~~----------------------------------------------------------------
         * If there is a template file make an array to be passed to smarty
         * --------------------------------------------------------------------*/
        $html_template = $ptsc->select_tpl_first($html_template);


        if (is_file($html_template)) {
            //~~ Extract veriable that are not package dependent for later use in code.
            //$description = $group["description"];
            $name = $group["name"];
            $sep = $group["description_separator"];
            if (empty($sep)) {
                $sep = ":";
            }
            $rows = $group["rows"];
            //$currency_info     = $currency = $ptsc->ptsc_currency->ptsc_get( $group['currency'] );
            //== adding function ptsc_currency_info()
            //$currency_info = $currency = $ptsc->ptsc_currency_info();
            $cur = $ptsc-> ptsc_get_current_currency_id_i();
            $currency_info = $currency = $ptsc->ptsc_currency_info_combo($cur);
            $group["prefix"] = $currency_info["prefix"];
            $group["suffix"] = $currency_info["suffix"];
            $group["currency"] = $currency_info["c_id"];

            $group_saved = $group;
            foreach ($group["plans"] as &$plan) {
                $currency = '';
                if (isset ($group["currency"])) {
                    $currency = $group["currency"];
                }


                //~~----Price
                $price_tmp = $ptsc->ptsc_break_price($group_saved, $plan["product_id"], $group["billingcycle"]);
                $plan["price"] = $price_tmp["price"];
                $plan["amount"] = $price_tmp["amount"];
                $plan["fraction"] = $price_tmp["fraction"];
                $plan["decimal"] = $price_tmp["decimal"];
                $plan["prefix"] = $group["prefix"];
                $plan["suffix"] = $group["suffix"];
                $plan["duration"] = $price_tmp["duration"];
                $plan["billingcycle"] = $group["billingcycle"];
                $plan["billingcycle2"] = $group["billingcycle2"];
                $plan["billingcycle3"] = $group["billingcycle3"];
                $plan["billingcycle4"] = $group["billingcycle4"];
                $plan["billingcycle5"] = $group["billingcycle5"];
                $plan["billingcycle6"] = $group["billingcycle6"];
                $plan["billingcycle_override_string"] = $group["billingcycle_override_string"];
                $plan["billingcycle2_override_string"] = $group["billingcycle2_override_string"];
                $plan["billingcycle3_override_string"] = $group["billingcycle3_override_string"];
                $plan["billingcycle4_override_string"] = $group["billingcycle4_override_string"];
                $plan["billingcycle5_override_string"] = $group["billingcycle5_override_string"];
                $plan["billingcycle6_override_string"] = $group["billingcycle6_override_string"];
                $plan["product_name"] = $plan["name"];
                $plan["show_discount"] = $group["show_discount"];
                $plan["font_awesome"] = "";
                $plan["cdescription"] = "";
                $button_class = "ptsc-btn ptsc_order_button";
                $plan["product_order_combo"] = $ptsc->ptsc_order_combo_function(
                    [
                        "id" => $id,
                        "product_id" => $plan["product_id"],
                        "show_button" => "Yes",
                        "currency" => $currency_info,
                        "button_text" => $group["button_text"],
                        "button_class" => $button_class,
                        "show_discount" => "no",
                        "template_name" => $html_template
                    ], $plan["order_url"]
                );

                $plan["all_durations"] = $ptsc->all_prices($group, $plan["product_id"], [
                    $group["billingcycle"],
                    $group["billingcycle2"],
                    $group["billingcycle3"],
                    $group["billingcycle4"],
                    $group["billingcycle5"],
                    $group["billingcycle6"],
                ]);

                if ($price_tmp["amount"] == "Free") {
                    $plan["prefix"] = "";
                    $plan["suffix"] = "";
                }
                if ($plan["price"] == -1) {
                    $plan["prefix"] = "";
                    $plan["suffix"] = "";
                }

                $plan['complete_discount_string'] = $ptsc->ptsc_discount_string($plan,$group);

                //ppa($plan['complete_discount_string']);
                //ppa($plan["all_durations"],'All Durations');

                //ppa($plan['complete_discount_string']);
                //die;

                $plan['multi_price'] = $ptsc->ptsc_auto_plan_price($plan);
                $plan_description = $plan["description"];
                $plan_formatted_description = $plan['formatted_description'];

                //~~Description in array
                $plan["description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 3, 1);

                $plan["formatted_description"] = $ptsc->description_to_array($plan_formatted_description, $rows, $sep, 3, 1);



                //~~Description in Associative Array
                $plan["description_array"] = $ptsc->description_to_array($plan_description, $rows, $sep, 4, 1);

                $plan["split_description"] = $ptsc->description_to_array($plan_description, $rows, $sep, 5, 1);

                $plan["formatted_split_description"] = $ptsc->description_to_array($plan_formatted_description, $rows, $sep, 5, 1);

                //ppa($plan["formatted_split_description"] );
                if ($plan["featured"]) {
                    $plan["featured"] = "yes";
                } else {
                    $plan["featured"] = "no";
                }


                /*if (preg_match("/\b$sep\b/i", $plan_description, $match)) {
                    $plan["description_process"] = "true";
                } else {
                    $plan["description_process"] = "false";
                }*/
                if (strpos($plan_description, $sep) !== false) {
                    $plan["description_process"] = "true";
                } else {
                    $plan["description_process"] = "false";
                }

                $plan["primary_color"] = get_option('ptsc_primary_color');;
                $plan["secondary_color"] = get_option('ptsc_secondary_color');
                //$plan["process_description"] = $process_description;
                //$vars["show_order_combo"] = "yes";
                $plan["show_description_icon"] = "yes";
                $plan["price_sub_text"] = "";
                /*$plan["product_tag_line"] = "This is the custom text";*/
                $plan["custom_text_1"] = $group["custom_text"];
                $plan["custom_text_2"] = "";
                $plan["custom_text_3"] = "";
                $plan["featured_text"] = $group["ribbon_text"];
                $plan["product_detail"] = $group["custom_text"];
                $plan["product_tag_line"] = "";
                //$plan["image_url"]  = "";
                $plan["price_sub_text"] = "";
                $plan["process_description"] = "yes";
                $plan["show_order_combo"] = $group["ptsc_show_order_combo"];
                $plan["show_order_combo"] = $plan["show_order_combo"] == 1 ? 'yes' : 'no';
                if ($group["template_file"] == "pic-03-mod-group.tpl") {
                    $plan["image_url"] = "http://sajid.hostriplex.com/whmpress/wp-content/uploads/2018/01/download.png";
                } else {
                    $plan['image_url'] = "http://sajid.hostriplex.com/whmpress/wp-content/uploads/2018/01/plan02.jpg";
                }
                ob_start(); ?>
                <!--<div class="pricing_table_submit">
                    <div class="holder">
                        <a type="button" class="ptsc-btn ptsc_order_button"
                           href="<?php /*echo $plan["order_url"] */?>"><?php /*echo $group["button_text"] */?></a>
                    </div>
                </div>-->
                <?php
                $plan["product_order_button"] = $ptsc->ptsc_prepare_plan_button($group, $plan);

                $plan["product_detail"] = $group["custom_text"];

                /*//$tmp = $ptsc->description_to_array( $plan_description, $rows, $sep, 3, false );
                //~~ build sections
                $section_index             = 0;
                $description_section_index = 0;
                $description_section       = [];
                foreach ( $plan["description"] as $line ) {
                    if ( strpos( $line, "--" ) !== false && strpos( $line, "--", 3 ) == true ) {
                        $description_section_index          = $section_index;
                        $section                            = str_replace( "--", "", $line );
                        $group["section"][ $section_index ] = $section;
                        $group["have_sections"]             = 1;
                        $section_index ++;
                    } else {
                        $strpos  = strpos( $line, $sep );
                        $feature = substr( $line, 0, $strpos );
                        $value   = trim( substr( $line, $strpos + 1 ) );
                        if ( $strpos === false ) {
                            $plan["description_section"][ $line ] = "";
                        } else {
                            $plan["description_section"][ $description_section_index ][ $feature ] = [
                                "value"   => $value,
                                "tooltip" => $ptsc->return_tooltip( $feature ),
                            ];
                        }
                    }
                }*/

                /*		if ( $plan["product_id"] == $group["important"] ) {
                            $plan["featured"] = "yes";
                        } else {
                            $plan["featured"] = "no";
                        }*/
            }//~~End Loop

            $r = rand();
            $group['rows_table'] = $group['rows'];
            $group['duration_toggle'] = $ptsc->ptsc_prepare_duration_toggle($group, $r);
            $group['dropdown_duratoin_toggle'] = $ptsc->ptsc_prepare_duration_dropdown($group, $r);
            $vars = [
                "group" => $group,
            ];
            $vars["random"] = $r;


            /** // Getting custom fields and adding in output
             * //~~ TODO:Are these custom fields defined in VC? Are these needed here?
             * $TemplateArray = $WHMPress->get_template_array("whmpress_pricing_table_group");
             * foreach($TemplateArray as $custom_field) {
             * $vars[$custom_field] = isset($atts[$custom_field])?$atts[$custom_field]:"";
             * }
             */
            //~~ Final string to match the smarty

            $OutputString = $ptsc->ptsc_smarty_template($html_template, $vars);
            //echo $OutputString;
            return $OutputString;
        } /**~~----------------------------------------------------------------
         * If there is no smarty template selected, then show below text
         * --------------------------------------------------------------------*/

        else {
            echo "<div class='ptsc_error'>No template selected or template does not exist. <br/>Please choose a template from <b>Set Option > Select Template File</b> under \"Pricing Table Options\" section.</div>";
        }
    }
}

